<?php
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');
}
if(!is_object($SF_pageinfos))
	$sf_pageinfos =& $GLOBALS['sf_factory']->getObject('PAGE', 'Pageinfos');
else 
	$sf_pageinfos =& $SF_pageinfos;
	
if(!is_object($SF_cattree))
	$sf_cattree =& $GLOBALS['sf_factory']->getObject('PAGE', 'Cattree');
else 
	$sf_cattree =& $SF_cattree; 
	
if(!is_object($SF_catinfos))
	$sf_catinfos =& $GLOBALS['sf_factory']->getObject('PAGE', 'Catinfos');
else 
	$sf_catinfos =& $SF_catinfos;

if(!is_object($SF_dbfile))
	$sf_dbfile =& $GLOBALS['sf_factory']->getObject('ASSETS', 'DbFile');
else 
	$sf_dbfile =& $SF_dbfile;
		
#	
#if(!class_exists('sf_page_pageinfos'))
#	$sf_pageinfos =& $GLOBALS['sf_factory']->getObject('PAGE', 'Pageinfos');
#else 
#	$sf_pageinfos =& $SF_pageinfos;
#	
#if(!class_exists('sf_page_cattree'))
#	$sf_cattree =& $GLOBALS['sf_factory']->getObject('PAGE', 'Cattree');
#else 
#	$sf_cattree =& $SF_cattree;
#	
#if(!class_exists('sf_page_catinfos'))
#	$sf_catinfos =& $GLOBALS['sf_factory']->getObject('PAGE', 'Catinfos');
#else 
#	$sf_catinfos =& $SF_catinfos;

#########################################################
# helper functions
#########################################################

if(! function_exists(nl_get_rewriteurl)){
function nl_get_rewriteurl($sf_page,$sf_lang,$sf_client,$mode='side'){
	
	global $cfg_client,$sf_pageinfos,$sf_cattree,$sf_catinfos,$lang,$db, $cms_db;
	
	$sql  = 'SELECT 
				L.rewrite_key
			FROM 
				' . $cms_db['lang'] . ' L 
				LEFT JOIN '. $cms_db['clients_lang'] . ' CL USING(idlang)
			WHERE 
				L.idlang = ' . $lang ;
	$db->query($sql);
	$db->next_record();
	$lang_prefix= $db->f('rewrite_key');#

	if (!empty($lang_prefix))
		$lang_prefix.='/';
	
		$sf_cattree->setIdclient($sf_client);
		if ( !$sf_cattree->getIsGenerated() )
			$sf_cattree->generate();
		
		$sf_catinfos->setIdlang($sf_lang);
		if ( !$sf_catinfos->getIsGenerated() )
			$sf_catinfos->generate();
		
		$sf_pageinfos->setIdlang($sf_lang);
		if(count($sf_pageinfos->data['data'])<1)		
			$sf_pageinfos->generate();


		if ($mode=='side') {
	
			$catofpage=$sf_pageinfos->getIdcat($sf_page);

			$catlevel=$sf_cattree->getLevel($catofpage);
			$cats=array();
			
			$cats[]=$catofpage;
			$path=array();
			for ($i=$catlevel-1;$i>=0;$i--) {
				$lastcat=$sf_cattree->getParent($catofpage);
				$cats[]=$catofpage=$lastcat;
			}
			
			for ($i=count($cats)-1;$i>=0;$i--) {
				$path[]=$sf_catinfos->getRewriteAliasRaw($cats[$i]);
			}
		 	return $cfg_client['htmlpath'].$lang_prefix.implode('/',$path).'/'.$sf_pageinfos->getRewriteUrlRaw($sf_page).$cfg_client['url_rewrite_suffix'];
		} else if ($mode == 'cat') {

			$catofpage=$sf_page;

			$catlevel=$sf_cattree->getLevel($catofpage);
			$cats=array();
			
			$cats[]=$catofpage;
			$path=array();
			for ($i=$catlevel-1;$i>=0;$i--) {
				$lastcat=$sf_cattree->getParent($catofpage);
				$cats[]=$catofpage=$lastcat;
			}
			
			for ($i=count($cats)-1;$i>=0;$i--) {
				$path[]=$sf_catinfos->getRewriteAliasRaw($cats[$i]);
			}
		 	return $cfg_client['htmlpath'].$lang_prefix.implode('/',$path).'/';
		
		}

	}

}

if(! function_exists(nl_get_startidside_by_cat)){
function nl_get_startidside_by_cat($sf_cat,$sf_lang){
	
		global $cfg_client,$sf_pageinfos,$sf_cattree,$sf_catinfos;

		$sf_pageinfos->setIdlang($sf_lang);
		if(count($sf_pageinfos->data['data'])<1)		
			$sf_pageinfos->generate();

		$sides=array();
		foreach ($sf_pageinfos->data['data'] as $v) {
			if ($v['idcat']==$sf_cat && $v['is_start'])
			 $sf_page=$v['idside'];
			 continue;
		}

		return $sf_page;
	}

}


if(! function_exists(nl_str_chop)){
	/**
	* Chop a string into a smaller string.
	* @author			Aidan Lister <aidan@php.net>
	* @author2		Alexander M. Korn <amk@gmx.info>
	* @version		?
	* @link				http://aidanlister.com/repos/v/function.str_chop.php
	* @param				mixed	 $string	 The string you want to shorten
	* @param				int		 $length	 The length you want to shorten the string to
	* @param				bool	 $center	 If true, chop in the middle of the string
	* @param				mixed	 $append	 String appended if it is shortened
	*/
	function nl_str_chop($string, $length = 60, $center = true, $append = null)
	{

		$string=strip_tags($string);
		 // Set the default append string
		if ($append === null) {
				 $append = ($center === true) ? ' ... ' : ' ...';
		}
		
		preg_match_all('#\&(.*)\;#sU',$string,$entities);
		$entities[0]=array_unique($entities[0]);
		if (is_array($entities[0]) && !empty($entities[0]))
			foreach($entities[0] as $v)
				$string=(str_replace( $v,utf8_encode(html_entity_decode( $v)),$string));
		
		if ($center==="true")
			$center=true;			
		
		 // Get some measurements
		 $len_string = strlen($string);
		 $len_append = strlen($append);
		 
		if ($len_string > $length) {
			
		 // If the string is longer than the maximum length, we need to chop it
		 
				 // Check if we want to chop it in half
			if ($center === true) {
				// Get the lengths of each segment
				$len_start = $length / 2;
				$len_end = $len_start - $len_append;
				
				// Get each segment
				$seg_start = substr($string, 0, $len_start);
				$seg_end = substr($string, $len_string - $len_end, $len_end);
				
				$seg_start = substr( $seg_start, 0, strrpos ( $seg_start, " "));
				$seg_end = substr( $seg_end, strpos ( $seg_end, " ")+1);
				
				// Stick them together
				$string = $seg_start . $append . $seg_end;
			} else {
				// Otherwise, just chop the end off
				$string = substr($string, 0, $length - $len_append);
				$string = substr($string, 0, strrpos ($string, " ")) . $append;
			}
		} 
		return $string;	
	}
}

//
// nl_element_replacement
//

if(! function_exists(nl_element_replacement)){

	function nl_element_replacement($item_obj,
																	$nlsys_obj,
																	$nl_images,
																	$nl_files,
																	$nl_links,
																	$nl_sfcontents,
																	$tpl_main,
																	$cfg_date,
																	$cfg_time,
																	$outputmode='html',
																	$tpl_images='',
																	$tpl_files='',
																	$tpl_links='',
																	$tpl_sfcontents_arr=array(),
																	$tpl_arr=array(),
																	$iimagepath='',
																	$mailouput=true) {
																	
		global $lang,$cfg_client,$_sf_content,$sf_pageinfos,$_NL;	

		$curr_lang=$lang;
		if ($nlsys_obj->multilang_newsletter=='false' && (int) $nlsys_obj->multilang_newsletter_sfcontents_langid!=0)
			$curr_lang=$nlsys_obj->multilang_newsletter_sfcontents_langid;

		$sf_pageinfos->setIdlang($curr_lang);
		if(count($sf_pageinfos->data['data'])<1)		
			$sf_pageinfos->generate();
		
		if (empty($iimagepath))
			$iimagepath=$cfg_client['path'];
		
		$catofpage=$sf_pageinfos->getIdcat($sf_page);
		if (empty($tpl_images))
			$tpl_images = $nlsys_obj->getSetting('newsletter_pictures_tpl_'.$outputmode);
		if (empty($tpl_files))
			$tpl_files = $nlsys_obj->getSetting('newsletter_files_tpl_'.$outputmode);
		if (empty($tpl_links))
			$tpl_links = $nlsys_obj->getSetting('newsletter_links_tpl_'.$outputmode);

		for ($i=1;$i<4;$i++){

			if (empty($tpl_sfcontents_arr[$i]['tpl']))
				${tpl_sfcontents.$i._.$outputmode} = $nlsys_obj->getSetting('newsletter_sfcontents'.$i.'_tpl_'.$outputmode);
			else 
				${tpl_sfcontents.$i._.$outputmode} = $tpl_sfcontents_arr[$i]['tpl'];

			if (empty($tpl_sfcontents_arr[$i]['container']))
				${sfcontents.$i._container} = $nlsys_obj->getSetting('sfcontents'.$i.'_container');
			else
				${sfcontents.$i._container} = $tpl_sfcontents_arr[$i]['container'];
				
			if (empty($tpl_sfcontents_arr[$i]['container']))
				$sfc_temp['loopmode'.$i] = $nlsys_obj->getSetting('newsletter_sfcontents'.$i.'_loopmode');
			else
				$sfc_temp['loopmode'.$i] = $tpl_sfcontents_arr[$i]['container'];

			if (empty($tpl_sfcontents_arr[$i]['specialstring']))
				$sfc_temp['specialstring'] =   $nlsys_obj->getSetting('newsletter_sfcontents'.$i.'_specialstring');
			else
				$sfc_temp['specialstring'] =  $tpl_sfcontents_arr[$i]['specialstring'];
			$sfc_temp['specialstring'.$i.'_array']=array();
		  $sfc_temp['specialstring_rows'] = explode("\n", $sfc_temp['specialstring']);
		  foreach ( $sfc_temp['specialstring_rows'] AS $v) {
		  	$v=trim($v);
		    $sfc_temp['specialstring_pieces'] = explode('>', $v);
		    $sfc_temp['specialstring'.$i.'_array'][(int) trim($sfc_temp['specialstring_pieces'][0])] = trim($sfc_temp['specialstring_pieces'][1]);
		  }	
		}

		$repl_arr=array();
		$repl_sub_arr=array();
		
		if ($mailouput)
			$cfg_link_addon=$nlsys_obj->getSetting('links_url_addon');
			
	  //Startdate
	  $repl_arr['startdate']=date($cfg_date, $item_obj->convDate2Timestamp(0,'newsletter_startdate'));
	
	  //Starttime
	  if($item_obj->getDataByKey('newsletter_starttime_yn') == 1) {
	    $repl_arr['starttime']=strftime($cfg_time, $item_obj->convDate2Timestamp(0,'newsletter_starttime'));
	  } else {
	    $repl_arr['starttime']='';
	  }
	
	  //Enddate - einmalige gesondert behandeln
	  if($item_obj->getDataByKey('newsletter_enddate_yn') == 1 ) {
	    $repl_arr['enddate']=date($cfg_date, $item_obj->convDate2Timestamp(0,'newsletter_enddate'));
	  } else {
	    $repl_arr['enddate']='';
	  }
	
	  //Endtime
	  if($item_obj->getDataByKey('newsletter_enddate_yn') == 1 && $item_obj->getDataByKey('newsletter_endtime_yn') == 1) {
	    $repl_arr['endtime']=strftime($cfg_time, $item_obj->convDate2Timestamp(0,'newsletter_endtime'));
	  } else {
	    $repl_arr['endtime']='';
	  }

	  //Titel, Teaser, text & Turnus
	  $repl_arr['title']	=	$item_obj->getDataByKey('title');
	  $repl_arr['teaser']	=	nl2br($item_obj->getDataByKey('teaser'));

		if($nlsys_obj->settings['wysiwyg']=='true')
	    $repl_arr['text']	=	$item_obj->getDataByKey('text');
		else
	    $repl_arr['text']	=	nl2br($item_obj->getDataByKey('text'));

		if ($outputmode=='text'){
			$repl_arr['text']=str_replace('<br />',"\n",$repl_arr['text']);
			$repl_arr['text']=str_replace('<br/>',"\n",$repl_arr['text']);
			$repl_arr['text']=str_replace('<br>',"\n",$repl_arr['text']);
			$repl_arr['text']=str_replace('</p>','</p>'."\n"."\n",$repl_arr['text']);
		}
		
		if ($nlsys_obj->getSetting('wysiwyg_inlinepath_repl')=='true' && $mailouput=='true') {
	
			// image src replacement - needed for images within wysiwyg-contents
			if (strpos($repl_arr['text'],'<img ')!==false) {
				preg_match_all("/<img ([^>]*)>/",$repl_arr['text'],$html_img_pregmatch);
				if (count($html_img_pregmatch[0])>0) {	
					foreach ($html_img_pregmatch[0] as $v) {
						$repl_arr['text']=str_replace($v,
																					str_replace($cfg_client['htmlpath'],'{inlinepath}',$v),
																					$repl_arr['text']);			 
					}
				}
			}
		}
		
		//customs
		for ($i=1;$i<11;$i++){
		// old
			if($nlsys_obj->settings['newsletter_custom'.$i.'_type']=='textarea' || 
				($nlsys_obj->settings['newsletter_custom'.$i.'_type']=='wysiwyg' && $nlsys_obj->settings['wysiwyg']!='true')) {
	      $repl_arr['custom:'.$i]	=	nl2br($item_obj->getDataByKey('custom'.$i));
				$repl_arr['custom'.$i]	=	$repl_arr['custom:'.$i];
				if ($outputmode=='text'){
					$repl_arr['custom'.$i]=str_replace('<br />',"\n",$repl_arr['custom'.$i]);
					$repl_arr['custom'.$i]=str_replace('<br/>',"\n",$repl_arr['custom'.$i]);
					$repl_arr['custom'.$i]=str_replace('<br>',"\n",$repl_arr['custom'.$i]);
					$repl_arr['custom'.$i]=str_replace('</p>','</p>'."\n"."\n",$repl_arr['custom'.$i]);
					$repl_arr['custom:'.$i]=str_replace('<br />',"\n",$repl_arr['custom:'.$i]);
					$repl_arr['custom:'.$i]=str_replace('<br/>',"\n",$repl_arr['custom:'.$i]);
					$repl_arr['custom:'.$i]=str_replace('<br>',"\n",$repl_arr['custom:'.$i]);
					$repl_arr['custom:'.$i]=str_replace('</p>','</p>'."\n"."\n",$repl_arr['custom:'.$i]);
				}
			} else if($nlsys_obj->settings['newsletter_custom'.$i.'_type']=='date' ) {
	      $repl_arr['custom'.$i]	=	date($cfg_date, strtotime($item_obj->getDataByKey('custom'.$i)));
	      $repl_arr['custom:'.$i]	=	date($cfg_date, strtotime($item_obj->getDataByKey('custom'.$i)));
			} else if($nlsys_obj->settings['newsletter_custom'.$i.'_type']=='time' ) {
	      $repl_arr['custom'.$i]	=	strftime($cfg_time, strtotime($item_obj->getDataByKey('custom'.$i)));
	      $repl_arr['custom:'.$i]	=	strftime($cfg_time, strtotime($item_obj->getDataByKey('custom'.$i)));
			} else {
				$repl_arr['custom:'.$i]	=	$item_obj->getDataByKey('custom'.$i);	
				if ($nlsys_obj->settings['newsletter_custom'.$i.'_type']=='wysiwyg' && $nlsys_obj->settings['wysiwyg']=='true') {
					if ($nlsys_obj->getSetting('wysiwyg_inlinepath_repl')=='true') {
						// image src replacement - needed for images within wysiwyg-contents
						if (strpos($repl_arr['custom:'.$i],'<img ')!==false) {
							preg_match_all("/<img ([^>]*)>/",$repl_arr['custom:'.$i],$html_img_pregmatch);
							if (count($html_img_pregmatch[0])>0) {
								foreach ($html_img_pregmatch[0] as $v) {
									$repl_arr['custom:'.$i]=str_replace($v,
																								str_replace($cfg_client['htmlpath'],'{inlinepath}',$v),
																								$repl_arr['custom:'.$i]);			 
								}
							}
						}
					}			
				}
				$repl_arr['custom'.$i]	=	$repl_arr['custom:'.$i];
			}
			
	    $repl_arr['custom'.$i.'_label']	=	$nlsys_obj->settings['newsletter_custom'.$i.'_label'];
	    $repl_arr['custom_label:'.$i]	=	$nlsys_obj->settings['newsletter_custom'.$i.'_label'];
		}
		
		// tpl_main_tmp only used for base element recognition
		$tpl_main_tmp=str_replace('if_','',$tpl_main);
		$tpl_main_tmp=str_replace('if_not_','',$tpl_main_tmp);
		
		//Image
		if (strpos($tpl_main_tmp,'{image')!==false || strpos($tpl_main_tmp,'{iimage')!==false) {
			preg_match_all('#\{i*mage(.*):(.*)\}#sU',$tpl_main_tmp,$_NL['temp']['matchesarray']);

			$_NL['temp']['matchesarray'][2]=array_unique($_NL['temp']['matchesarray'][2]);
			if (is_array($_NL['temp']['matchesarray'][2]))
				foreach ($_NL['temp']['matchesarray'][2] as $v){
						$ekt=$v;
						$ek=$v-1;
						if (!empty($nl_images['value_txt'][$ek])) {
							if ($outputmode=="html") {
					      $repl_arr['image:'.$v]				=	'<img src="'.$cfg_client['htmlpath'].$nl_images['value_txt'][$ek].'" alt="'.$nl_images['title'][$ek].'"/>';
					      $repl_arr['iimage:'.$v]				=	'<img src="'.$iimagepath.$nl_images['value_txt'][$ek].'" alt="'.$nl_images['title'][$ek].'"/>';

					     	$repl_arr['imagethumb:'.$v]		=	'<img src="'.$cfg_client['htmlpath'].
														        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																															$cfg_client["thumbext"].
																															substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],".")).
																															'" alt="'.$nl_images['title'][$ek].'"/>';
					     	$repl_arr['iimagethumb:'.$v]		=	'<img src="'.$iimagepath.
														        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																															$cfg_client["thumbext"].
																															substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],".")).
																															'" alt="'.$nl_images['title'][$ek].'"/>';
							} else {
					      $repl_arr['image:'.$v]				=	(!empty($nl_images['title'][$ek])?$nl_images['title'][$ek].' : ':'').
				     																		$cfg_client['htmlpath'].$nl_images['value_txt'][$ek];		
					      $repl_arr['imagethumb:'.$v]		=	(!empty($nl_images['title'][$ek])?$nl_images['title'][$ek].' : ':'').
					     																	$cfg_client['htmlpath'].
							        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																								$cfg_client["thumbext"].
																								substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));
								$repl_arr['iimagethumb:'.$v] 	= '';
								$repl_arr['iimage:'.$v] 			= '';
							}
				      $repl_arr['imagethumburl:'.$v]	=	$cfg_client['htmlpath'].substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																														$cfg_client["thumbext"].
																														substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));
				      $repl_arr['imageurl:'.$v]				=	$cfg_client['htmlpath'].$nl_images['value_txt'][$ek];
				      $repl_arr['iimagethumburl:'.$v]	=	$iimagepath.substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																														$cfg_client["thumbext"].
																														substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));
				      $repl_arr['iimageurl:'.$v]			=	$iimagepath.$nl_images['value_txt'][$ek];
						} else {
				      $repl_arr['imageurl:'.$v]				=	'';
				      $repl_arr['image:'.$v]					=	'';
				      $repl_arr['iimage:'.$v]					=	'';
				     	$repl_arr['imagethumb:'.$v]			=	'';
				     	$repl_arr['iimagethumb:'.$v]			=	'';
				      $repl_arr['imagethumburl:'.$v]	=	'';
						}
						$repl_arr['imagedesc:'.$v]				=	$nl_images['description'][$ek];
						$repl_arr['imagetitle:'.$v]				=	$nl_images['title'][$ek];
			  }
			if (strpos($tpl_main_tmp,'{images}')!==false) {		 
		    $repl_arr['images']='';   
		    $repl_sub_arr=array();
				if (is_array($nl_images['sort_index']))
					foreach ($nl_images['sort_index'] as $ek => $ev){
						if (!empty($nl_images['value_txt'][$ek])) {
							if ($outputmode=="html") {
					      $repl_sub_arr['image']					=	'<img src="'.$cfg_client['htmlpath'].$nl_images['value_txt'][$ek].'" alt="'.$nl_images['title'][$ek].'"/>';
					     	$repl_sub_arr['imagethumb']			=	'<img src="'.$cfg_client['htmlpath'].
								        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																									$cfg_client["thumbext"].
																									substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],".")).
																									'" alt="'.$nl_images['title'][$ek].'"/>';
					      $repl_sub_arr['iimage']					=	'<img src="'.$iimagepath.$nl_images['value_txt'][$ek].'" alt="'.$nl_images['title'][$ek].'"/>';
					     	$repl_sub_arr['iimagethumb']		=	'<img src="'.$iimagepath.
								        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																									$cfg_client["thumbext"].
																									substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],".")).
																									'" alt="'.$nl_images['title'][$ek].'"/>';
							} else {
					      $repl_sub_arr['image']					=	(!empty($nl_images['title'][$ek])?$nl_images['title'][$ek].' : ':'').
						     																	$cfg_client['htmlpath'].$nl_images['value_txt'][$ek];		
					      $repl_sub_arr['imagethumb']			=	(!empty($nl_images['title'][$ek])?$nl_images['title'][$ek].' : ':'').
						     																	$cfg_client['htmlpath'].
								        													substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																									$cfg_client["thumbext"].
																									substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));	
					      $repl_sub_arr['iimage']					=	'';
					      $repl_sub_arr['iimagethumb']		=	'';		
							}
				      $repl_sub_arr['imagethumburl']		=	$cfg_client['htmlpath'].substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																									$cfg_client["thumbext"].
																									substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));
				      $repl_sub_arr['imageurl']					=	$cfg_client['htmlpath'].$nl_images['value_txt'][$ek];
				      $repl_sub_arr['iimagethumburl']		=	$iimagepath.substr($nl_images['value_txt'][$ek],0, strrpos($nl_images['value_txt'][$ek],".")).
																									$cfg_client["thumbext"].
																									substr($nl_images['value_txt'][$ek],strrpos($nl_images['value_txt'][$ek],"."));
				      $repl_sub_arr['iimageurl']				=	$iimagepath.$nl_images['value_txt'][$ek];

						} else {
				      $repl_sub_arr['iimage']					=	'';
				      $repl_sub_arr['iimagethumb']		=	'';	
				      $repl_sub_arr['image']					=	'';
				     	$repl_sub_arr['imagethumb']			=	'';
				      $repl_sub_arr['imagethumburl']	=	'';
				      $repl_sub_arr['imageurl']				=	'';
				      $repl_sub_arr['iimagethumburl']	=	'';
				      $repl_sub_arr['iimageurl']				=	'';
						}
						$repl_sub_arr['imagedesc']				=	$nl_images['description'][$ek];
						$repl_sub_arr['imagetitle']				=	$nl_images['title'][$ek];
	
						$repl_sub_t_arr										=	array_filter($repl_sub_arr);
						if (!empty($repl_sub_t_arr)) {
													
							$repl_arr['images'] .= $tpl_images;
					    foreach ($repl_sub_arr as $k => $v) {
	
								// if-statement
								if(strpos($repl_arr['images'],'{if_'.$k.'}')!==false)
									if (empty($v))
									  $repl_arr['images'] = preg_replace('#\{if_'.$k.'\}(.*)\{/if_'.$k.'\}#sU','',$repl_arr['images']);
									else
									  $repl_arr['images'] = str_replace(array('{if_'.$k.'}','{/if_'.$k.'}'), array('',''), $repl_arr['images']);
				
								// if-not-statement
								if(strpos($repl_arr['images'],'{if_not_'.$k.'}')!==false)
									if (empty($v))
								  	$repl_arr['images'] = str_replace(array('{if_not_'.$k.'}','{/if_not_'.$k.'}'), array('',''), $repl_arr['images']);
									else
									 	$repl_arr['images'] = preg_replace('#\{if_not_'.$k.'\}(.*)\{/if_not_'.$k.'\}#sU','',$repl_arr['images']);
	
								$repl_arr['images']			=	str_replace('{'.$k.'}',$v,$repl_arr['images']);
							}	
						}			
					}
			} else
				$repl_arr['images']							= '';
	  }
	
		//file
		if (strpos($tpl_main_tmp,'{file')!==false) {
			preg_match_all('#\{file(.*):(.*)\}#sU',$tpl_main_tmp,$_NL['temp']['matchesarray']);
			$_NL['temp']['matchesarray'][2]=array_unique($_NL['temp']['matchesarray'][2]);
			if (is_array($_NL['temp']['matchesarray'][2]))
				foreach ($_NL['temp']['matchesarray'][2] as $v){
						$ekt=$v;
						$ek=$v-1;
						if (!empty($nl_files['value_txt'][$ek])) {
							if ($outputmode=="html")
					      $repl_arr['file:'.$v]					=	'<a href="'.$cfg_client['htmlpath'].$nl_files['value_txt'][$ek].'">'.
    																						(!empty($nl_files['title'][$ek])?$nl_files['title'][$ek]:$nl_files['value_txt'][$ek]).
    																						'</a>';
					    else
					      $repl_arr['file:'.$v]					=	(!empty($nl_files['title'][$ek])?$nl_files['title'][$ek].' : ':'').
					      																$cfg_client['htmlpath'].$nl_files['value_txt'][$ek];					    
							$repl_arr['fileurl:'.$v]				=	$cfg_client['htmlpath'].$nl_files['value_txt'][$ek];
						} else {
				      $repl_arr['file:'.$v]					=	'';
							$repl_arr['fileurl:'.$v]			= '';
						}
						$repl_arr['filedesc:'.$v]				=	$nl_files['description'][$ek];
						$repl_arr['filetitle:'.$v]			=	$nl_files['title'][$ek];
			  }
			if (strpos($tpl_main_tmp,'{files}')!==false) {		 
		    $repl_arr['files']='';   
		    $repl_sub_arr=array();
				if (is_array($nl_files['sort_index']))
					foreach ($nl_files['sort_index'] as $ek => $ev){
						if (!empty($nl_files['value_txt'][$ek])) {
							if ($outputmode=="html")
					      $repl_sub_arr['file']					=	'<a href="'.$cfg_client['htmlpath'].$nl_files['value_txt'][$ek].'">'.
 																								(!empty($nl_files['title'][$ek])?$nl_files['title'][$ek]:$nl_files['value_txt'][$ek]).
  																							'</a>';
					    else
					      $repl_sub_arr['file']					=	(!empty($nl_files['title'][$ek])?$nl_files['title'][$ek].' : ':'').
					     																	$cfg_client['htmlpath'].$nl_files['value_txt'][$ek];			    	
							$repl_sub_arr['fileurl']				=	$cfg_client['htmlpath'].$nl_files['value_txt'][$ek];
						} else {
				      $repl_sub_arr['file']					=	'';
				      $repl_sub_arr['fileurl']			= '';
						}
						$repl_sub_arr['filedesc']				=	$nl_files['description'][$ek];
						$repl_sub_arr['filetitle']			=	$nl_files['title'][$ek];
	
						$repl_sub_t_arr									=	array_filter($repl_sub_arr);
						if (!empty($repl_sub_t_arr)) {
							
							$repl_arr['files'] .= $tpl_files;
					    foreach ($repl_sub_arr as $k => $v) {
	
								// if-statement
								if(strpos($repl_arr['files'],'{if_'.$k.'}')!==false)
									if (empty($v))
									  $repl_arr['files'] = preg_replace('#\{if_'.$k.'\}(.*)\{/if_'.$k.'\}#sU','',$repl_arr['files']);
									else
									  $repl_arr['files'] = str_replace(array('{if_'.$k.'}','{/if_'.$k.'}'), array('',''), $repl_arr['files']);
				
								// if-not-statement
								if(strpos($repl_arr['files'],'{if_not_'.$k.'}')!==false)
									if (empty($v))
								  	$repl_arr['files'] = str_replace(array('{if_not_'.$k.'}','{/if_not_'.$k.'}'), array('',''), $repl_arr['files']);
									else
									 	$repl_arr['files'] = preg_replace('#\{if_not_'.$k.'\}(.*)\{/if_not_'.$k.'\}#sU','',$repl_arr['files']);
	
								$repl_arr['files']		 =	str_replace('{'.$k.'}',$v,$repl_arr['files']);
							}	
						}			
					}
			} else
				$repl_arr['files']						 =	'';
	  }
	
		//link
		if (strpos($tpl_main_tmp,'{link')!==false) {
			preg_match_all('#\{link(.*):(.*)\}#sU',$tpl_main_tmp,$_NL['temp']['matchesarray']);
			$_NL['temp']['matchesarray'][2]=array_unique($_NL['temp']['matchesarray'][2]);
			if (is_array($_NL['temp']['matchesarray'][2]))
				foreach ($_NL['temp']['matchesarray'][2] as $v){
						$ekt=$v;
						$ek=$v-1;
						if (!empty($nl_links['value_txt'][$ek])) {
							
							if (strpos($nl_links['value_txt'][$ek],'cms://')!==false){
								$link_sideid=(int) str_replace('cms://idcatside=','',$nl_links['value_txt'][$ek]);
								if ($link_sideid==0) {
									$link_catid=(int) str_replace('cms://idcat=','',$nl_links['value_txt'][$ek]);
									$link_sideid=nl_get_startidside_by_cat($link_catid,$item_obj->getDataByKey('idlang'));
								}						
								
								if ($cfg_client['url_rewrite']==2 && $mailouput){
									$link_addon=(!empty($cfg_link_addon)?'?'.$nlsys_obj->getSetting('links_url_addon'):''); 
		            	$link_url = nl_get_rewriteurl($link_sideid, $item_obj->getDataByKey('idlang'), $item_obj->getDataByKey('idclient')).$link_addon;
								} else if ($mailouput) {
									$link_addon=(!empty($cfg_link_addon)?'&amp;'.$nlsys_obj->getSetting('links_url_addon'):''); 
		            	$link_url = $cfg_client['htmlpath'].'index.php?idcatside='.$sideid.'&amp;lang='.$item_obj->getDataByKey('idlang').$link_addon;						
								} else {
		            	$link_url = 'cms://idcatside='.$sideid;						
								}
							} else {
								$link_url=$nl_links['value_txt'][$ek];
							}
					
						if ($outputmode=="html")
				      $repl_arr['link:'.$v]					=	'<a href="'.$link_url.'">'.
				      																(!empty($nl_links['title'][$ek])?$nl_links['title'][$ek]:$nl_links['value_txt'][$ek]).
				      																'</a>';
				    else
				    	 $repl_arr['link:'.$v]					=	(!empty($nl_links['title'][$ek])?$nl_links['title'][$ek].' : ':'').
				    	 																	$link_url;
				    	 																	
						} else {
				      $repl_arr['link:'.$v]					=	'';
						}
			      $repl_arr['linkurl:'.$v]				=	$nl_links['value_txt'][$ek];
						$repl_arr['linkdesc:'.$v]				=	$nl_links['description'][$ek];
						$repl_arr['linktitle:'.$v]			=	$nl_links['title'][$ek];
			  }
			if (strpos($tpl_main_tmp,'{links}')!==false) {		 
		    $repl_arr['links']='';   
		    $repl_sub_arr=array();
				if (is_array($nl_links['sort_index']))
					foreach ($nl_links['sort_index'] as $ek => $ev){
						if (strpos($nl_links['value_txt'][$ek],'cms://')!==false){
						
							$link_sideid=(int) str_replace('cms://idcatside=','',$nl_links['value_txt'][$ek]);
							if ($link_sideid==0) {
								$link_catid=(int) str_replace('cms://idcat=','',$nl_links['value_txt'][$ek]);
								$link_sideid=nl_get_startidside_by_cat($link_catid,$item_obj->getDataByKey('idlang'));
							}
							
							if ($cfg_client['url_rewrite']==2 && $mailouput){
								$link_addon=(!empty($cfg_link_addon)?'?'.$nlsys_obj->getSetting('links_url_addon'):''); 
	            	$link_url = nl_get_rewriteurl($link_sideid, $item_obj->getDataByKey('idlang'), $item_obj->getDataByKey('idclient')).$link_addon;
							} else if ($mailouput){
								$link_addon=(!empty($cfg_link_addon)?'&amp;'.$nlsys_obj->getSetting('links_url_addon'):''); 
	            	$link_url = $cfg_client['htmlpath'].'index.php?idcatside='.$link_sideid.'&amp;lang='.$item_obj->getDataByKey('idlang').$link_addon;						
							}	else {
	            	$link_url = 'cms://idcatside='.$link_sideid;						
							}
						
						} else {
						
							$link_url=$nl_links['value_txt'][$ek];
						}
						
						
						if (!empty($nl_links['value_txt'][$ek])) {
							if ($outputmode=="html")
					      $repl_sub_arr['link']						=	'<a href="'.$link_url.'">'.
			      																									(!empty($nl_links['title'][$ek])?$nl_links['title'][$ek]:$nl_links['value_txt'][$ek]).
			      																									'</a>';
			      	else
					      $repl_sub_arr['link']						=	(!empty($nl_links['title'][$ek])?$nl_links['title'][$ek].' : ':'').
			      																			$link_url;

						} else {
				      $repl_sub_arr['link']						=	'';
						}
						

			      $repl_sub_arr['linkurl']					=	$link_url;
						$repl_sub_arr['linkdesc']					=	$nl_links['description'][$ek];
						$repl_sub_arr['linktitle']				=	$nl_links['title'][$ek];
	
						$repl_sub_t_arr									=	array_filter($repl_sub_arr);
						if (!empty($repl_sub_t_arr)) {
		
							$repl_arr['links'] .= $tpl_links;
					    foreach ($repl_sub_arr as $k => $v) {
	
								// if-statement
								if(strpos($repl_arr['links'],'{if_'.$k.'}')!==false)
									if (empty($v))
									  $repl_arr['links'] = preg_replace('#\{if_'.$k.'\}(.*)\{/if_'.$k.'\}#sU','',$repl_arr['links']);
									else
									  $repl_arr['links'] = str_replace(array('{if_'.$k.'}','{/if_'.$k.'}'), array('',''), $repl_arr['links']);
				
								// if-not-statement
								if(strpos($repl_arr['links'],'{if_not_'.$k.'}')!==false)
									if (empty($v))
								  	$repl_arr['links'] = str_replace(array('{if_not_'.$k.'}','{/if_not_'.$k.'}'), array('',''), $repl_arr['links']);
									else
									 	$repl_arr['links'] = preg_replace('#\{if_not_'.$k.'\}(.*)\{/if_not_'.$k.'\}#sU','',$repl_arr['links']);
	
								$repl_arr['links']		 =	str_replace('{'.$k.'}',$v,$repl_arr['links']);
							}
						}				
					}
			} else
				$repl_arr['links']						 =	'';
	  }

		//sfcontents
		if (strpos($tpl_main_tmp,'{sfcontents')!==false) {		
		
			$_sf_content->_config['idlang'] = $curr_lang;
		
			$sfc_temp['sfcontent_loops']=array();
		  $repl_sub_arr=array();
		  preg_match_all('/\{sfcontents(\d)?(?::(\d))?(?::(\d))?\}/im',$tpl_main_tmp, $sfc_temp['sfcontent_loops']);
	
			foreach ( $sfc_temp['sfcontent_loops'][1] as $sfcontent_tpls_key => $sfcontent_tpls) {

				$number=$sfc_temp['sfcontent_loops'][2][$sfcontent_tpls_key];
				$start=$sfc_temp['sfcontent_loops'][3][$sfcontent_tpls_key];
				$sfconent_element='sfcontents'.$sfcontent_tpls.(!empty($number)?':'.$number:'').(!empty($start)?':'.$number:'');
				$repl_arr[$sfconent_element] = '';				


				if (is_array($nl_sfcontents['sort_index'])) {
					foreach ($nl_sfcontents['sort_index'] as $ek => $ev){

						preg_match_all('/\{([^_\}]+):(\d)(?::(\w+))?(?::cut-(\w+))?\}/im', ${tpl_sfcontents.$sfcontent_tpls._.$outputmode}, $sfc_temp['tags']);
						preg_match_all('/\{if_([^_\}]+):(\d)\}/im', ${tpl_sfcontents.$sfcontent_tpls._.$outputmode}, $sfc_temp['tags_if']);
						preg_match_all('/\{if_not_([^_\}]+):(\d)\}/im', ${tpl_sfcontents.$sfcontent_tpls._.$outputmode}, $sfc_temp['tags_if_not']);


						$sideid=(int) str_replace('cms://idcatside=','',$nl_sfcontents['value_txt'][$ek]);

						if ($sideid==0) {
							$catid=(int) str_replace('cms://idcat=','',$nl_sfcontents['value_txt'][$ek]);
							$sideid=nl_get_startidside_by_cat($catid,$item_obj->getDataByKey('idlang'));
						}						

						if (!empty($sideid) && $sf_pageinfos->getIsOnline($sideid)){
							
							if ($outputmode=="html")
								$_sf_content->setStyler('ContentStylerHTML');
							else
								$_sf_content->setStyler('ContentStylerPlain');
								
							$_sf_content->setIdside($sideid);
							$_sf_content->setContainer(${sfcontents.$sfcontent_tpls._container});

							$_sf_content->generate(); 
							
							if (empty($number))
								$number=99;	
								
							$sfc_temp['number']=$number;				
							if ($_sf_content->getNumberCount() < $sfc_temp['number']) {
							    $sfc_temp['number'] = $_sf_content->getNumberCount();
							}
	
							if($sfc_temp['loopmode'.$sfcontent_tpls]=='0')
				        $sfc_temp['tpl'] =   ${tpl_sfcontents.$sfcontent_tpls._.$outputmode};
	
							// no container? empty loop-template to prevent placeholder-elements output
							if (empty(${sfcontents.$sfcontent_tpls._container})){
								$_NL['error_message']= '<div class="fullwidtherrormsg">'.
																				$nlsys_obj->lang->get('previewerror_nocontainerset').
																				'</div>';
								$sfc_temp['tpl']='';
							}
	
	
					    // Daten aus cms_content auslesen
					    for ($i=1; $i<=$sfc_temp['number'];$i++) {
	
									if($sfc_temp['loopmode'.$sfcontent_tpls]=='1')
						        $sfc_temp['tpl'] =   ${tpl_sfcontents.$sfcontent_tpls._.$outputmode};
									
					        if ($_sf_content->isContentAvailable($i)) {
			
					            // link zum Artikel
					            $sfc_temp['link'] = str_replace('{nr}',$i,$sfc_temp['link_tpl']);
										
											if ($cfg_client['url_rewrite']==2 && $mailouput){
												$link_addon=(!empty($cfg_link_addon)?'?'.$nlsys_obj->getSetting('links_url_addon'):''); 
					            	$sfc_temp['tpl'] = str_replace('{sfcontent_url}',
					            																nl_get_rewriteurl($sideid, $item_obj->getDataByKey('idlang'), $item_obj->getDataByKey('idclient')).$link_addon,
					            																$sfc_temp['tpl']);
											} else if ($mailouput) {
												$link_addon=(!empty($cfg_link_addon)?'&amp;'.$nlsys_obj->getSetting('links_url_addon'):''); 
					            	$sfc_temp['tpl'] = str_replace('{sfcontent_url}',
					            																$cfg_client['htmlpath'].'index.php?idcatside='.$sideid.'&amp;lang='.$item_obj->getDataByKey('idlang').$link_addon,
					            																$sfc_temp['tpl']);
											} else {
					            	$sfc_temp['tpl'] = str_replace('{sfcontent_url}',
					            																'cms://idcatside='.$sideid,
					            																$sfc_temp['tpl']);
											}
											
											$sfc_temp['tpl'] = str_replace('{specialstring}',$sfc_temp['specialstring'.$sfcontent_tpls.'_array'][$sf_pageinfos->getIdcat($sideid)],$sfc_temp['tpl']);
											$sfc_temp['tpl'] = str_replace('{sfcontent_desc}',$nl_sfcontents['description'][$ek],$sfc_temp['tpl']);
											$sfc_temp['tpl'] = str_replace('{sfcontent_title}',$nl_sfcontents['title'][$ek],$sfc_temp['tpl']);
					            // global if-statement
					            if (is_array($sfc_temp['tags_if'])) {
					                foreach($sfc_temp['tags_if'][0] AS $k => $v){
					                    $sfc_temp['method'] = 'get'.ucwords($sfc_temp['tags_if'][1][$k]);
					                    if (method_exists($_sf_content, $sfc_temp['method'])) {
					                        $sfc_temp['res'] = call_user_func(array(&$_sf_content, $sfc_temp['method']),'',$sfc_temp['tags_if'][2][$k],$i);
					                        $sfc_temp['temp'] = $sfc_temp['tags_if'][1][$k].':'.$sfc_temp['tags_if'][2][$k];
					                        if (empty($sfc_temp['res'])) {
					                            $sfc_temp['tpl'] = preg_replace('#\{if_'.$sfc_temp['temp'].'\}(.*)\{/if_'.$sfc_temp['temp'].'\}#sU','',$sfc_temp['tpl']);
					                        }
					                        else {
					                            $sfc_temp['tpl'] = str_replace(array('{if_'.$sfc_temp['temp'].'}','{/if_'.$sfc_temp['temp'].'}'), array('',''), $sfc_temp['tpl']);
					                        }
					                    }
					                }
					            }
					            // global if-not-statement
					            if (is_array($sfc_temp['tags_if_not'])) {
					                foreach($sfc_temp['tags_if_not'][0] AS $k => $v){
					                    $sfc_temp['method'] = 'get'.ucwords($sfc_temp['tags_if_not'][1][$k]);
					                    if (method_exists($_sf_content, $sfc_temp['method'])) {
					                        $sfc_temp['res'] = call_user_func(array(&$_sf_content, $sfc_temp['method']),'',$sfc_temp['tags_if_not'][2][$k],$i);
					                        $sfc_temp['temp'] = $sfc_temp['tags_if_not'][1][$k].':'.$sfc_temp['tags_if_not'][2][$k];
					                        if (empty($sfc_temp['res'])) {
					                            $sfc_temp['tpl'] = str_replace(array('{if_not_'.$sfc_temp['temp'].'}','{/if_not_'.$sfc_temp['temp'].'}'), array('',''), $sfc_temp['tpl']);
					                        }
					                        else {
					                            $sfc_temp['tpl'] = preg_replace('#\{if_not_'.$sfc_temp['temp'].'\}(.*)\{/if_not_'.$sfc_temp['temp'].'\}#sU','',$sfc_temp['tpl']);
					                        }
					                    }
					                }
					            }
					
					            // tags ersetzen
					            if (is_array($sfc_temp['tags'])) {		     										
					                foreach($sfc_temp['tags'][0] AS $k => $v){
					                    $sfc_temp['method'] = 'get'.ucwords($sfc_temp['tags'][1][$k]);
					                    if (method_exists($_sf_content, $sfc_temp['method'])) {
					                        $mod_config['mode'] = $sfc_temp['tags'][3][$k];
					                        $sfc_temp['res'] = call_user_func(array(&$_sf_content, $sfc_temp['method']),$mod_config,$sfc_temp['tags'][2][$k],$i);
					                  
					                       
					                        // cut wenn notwendig
					                        if ($sfc_temp['tags'][4][$k] > 0 ) {
					                            $sfc_temp['res'] = substr($sfc_temp['res'],0,$sfc_temp['tags'][4][$k]+1);
					                            if (strlen($sfc_temp['res']) == ($sfc_temp['tags'][4][$k]+1)) {
					                                $sfc_temp['res'] = substr($sfc_temp['res'],0,strrpos($sfc_temp['res'], " "));
					                            }
					                        }
					                        $sfc_temp['res']=trim($sfc_temp['res']);
					                        if($sfc_temp['loopmode'.$sfcontent_tpls]=='1')
					                        	$sfc_temp['tpl'] = str_replace($sfc_temp['tags'][0][$k],$sfc_temp['res'],$sfc_temp['tpl']);
																	else if ($sfc_temp['loopmode'.$sfcontent_tpls]=='0' && !empty($sfc_temp['res'])) 
																		$sfc_temp['tpl'] = str_replace($sfc_temp['tags'][0][$k],$sfc_temp['res'],$sfc_temp['tpl']);
					                    }
					                }
					            }
					        }
									if($sfc_temp['loopmode'.$sfcontent_tpls]=='1')
										$repl_arr[$sfconent_element] .= $sfc_temp['tpl'];
					    }
							if($sfc_temp['loopmode'.$sfcontent_tpls]=='0')
								$repl_arr[$sfconent_element] .= $sfc_temp['tpl'];
							
	#						$repl_arr[$sfconent_element] = preg_replace('#\{(.*)\}#sU','',$repl_arr[$sfconent_element]);
	
						}
					}
				}
				
			} //tpls loop
			
		} 
		
		$repl_arr['idnewsletter']=$item_obj->getDataByKey('idnewsletter');
		$repl_arr['inlinepath']=$cfg_client['htmlpath'];
		$repl_arr['idtemplate']=$item_obj->getDataByKey('idtemplate');
		$repl_arr['idlang']=$curr_lang;


    $repl_arr['emailtemplate']= $tpl_arr[$item_obj->getDataByKey('idtemplate')];

		return $repl_arr;

	}
}



if(! function_exists(nl_element_ifstatements)){
  /**
  * 
  *
  * @param		
  * @return		
  * @access		
  */
	function nl_element_ifstatements($tpl='',$elarray,$elkey,$elvalue) {
	
			$_AS['temp']=array();

			if(strpos($tpl,'{if_')===false || empty($tpl))
				return $tpl;
			
			// global if-value-statement
			if(strpos($tpl,'{if_'.$elkey.'=')!==false) {
				preg_match_all('/\{if_'.$elkey.'=(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);							
					}
						
					if ($elvalue!=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = preg_replace('#\{if_'.$elkey.'='.$_AS['temp']['compelement'].'\}(.*)\{/if_'.$elkey.'='.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					} else {
					  $tpl = str_replace(array('{if_'.$elkey.'='.$_AS['temp']['temp_results'][1][$ek].'}','{/if_'.$elkey.'='.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					}
				}
			}		
	
			// global if-value-statement
			if(strpos($tpl,'{if_not_'.$elkey.'=')!==false) {
				preg_match_all('/\{if_not_'.$elkey.'=(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);							
					}
			
					if ($elvalue!=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = str_replace(array('{if_not_'.$elkey.'='.$_AS['temp']['temp_results'][1][$ek].'}','{/if_not_'.$elkey.'='.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					} else {
					  $tpl = preg_replace('#\{if_not_'.$elkey.'='.$_AS['temp']['compelement'].'\}(.*)\{/if_not_'.$elkey.'='.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					}
				}
			}

			// global if-value-statement
			if(strpos($tpl,'{if_'.$elkey.'>')!==false) {
				preg_match_all('/\{if_'.$elkey.'>(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
				
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);				
						
					}				
					if ($elvalue<=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = preg_replace('#\{if_'.$elkey.'>'.$_AS['temp']['compelement'].'\}(.*)\{/if_'.$elkey.'>'.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					} else {
					  $tpl = str_replace(array('{if_'.$elkey.'>'.$_AS['temp']['temp_results'][1][$ek].'}','{/if_'.$elkey.'>'.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					}
				}
			}		
	
			// global if-value-statement
			if(strpos($tpl,'{if_not_'.$elkey.'>')!==false) {
				preg_match_all('/\{if_not_'.$elkey.'>(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);							
					}
					if ($elvalue<=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = str_replace(array('{if_not_'.$elkey.'>'.$_AS['temp']['temp_results'][1][$ek].'}','{/if_not_'.$elkey.'>'.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					} else {
					  $tpl = preg_replace('#\{if_not_'.$elkey.'>'.$_AS['temp']['compelement'].'\}(.*)\{/if_not_'.$elkey.'>'.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					}
				}
			}		
		
			// global if-value-statement
			if(strpos($tpl,'{if_'.$elkey.'<')!==false) {
				preg_match_all('/\{if_'.$elkey.'<(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);		
			
					}
					if ($elvalue>=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = preg_replace('#\{if_'.$elkey.'<'.$_AS['temp']['compelement'].'\}(.*)\{/if_'.$elkey.'<'.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					} else {
					  $tpl = str_replace(array('{if_'.$elkey.'<'.$_AS['temp']['temp_results'][1][$ek].'}','{/if_'.$elkey.'<'.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					}
				}
			}		
	
			// global if-value-statement
			if(strpos($tpl,'{if_not_'.$elkey.'<')!==false) {
				preg_match_all('/\{if_not_'.$elkey.'<(.*?)\}/',$tpl,$_AS['temp']['temp_results']);
				foreach ($_AS['temp']['temp_results'][0] as $ek => $ev) {
					$_AS['temp']['compval']=$_AS['temp']['temp_results'][1][$ek];
					$_AS['temp']['compelement']=$_AS['temp']['temp_results'][1][$ek];
					if (array_key_exists(trim($_AS['temp']['compval'],'[]'),$elarray)) {
						$_AS['temp']['compval']=$elarray[trim($_AS['temp']['compval'],'[]')];
						$_AS['temp']['compelement']=str_replace(array('[',']'),array('\[','\]'),$_AS['temp']['temp_results'][1][$ek]);							
					}
					if ($elvalue>=$_AS['temp']['compval'] || (trim($elvalue)=='' && trim($_AS['temp']['compval'])=='')) {
					  $tpl = str_replace(array('{if_not_'.$elkey.'<'.$_AS['temp']['temp_results'][1][$ek].'}','{/if_not_'.$elkey.'<'.$_AS['temp']['temp_results'][1][$ek].'}'), array('',''), $tpl);
					} else {
					  $tpl = preg_replace('#\{if_not_'.$elkey.'<'.$_AS['temp']['compelement'].'\}(.*)\{/if_not_'.$elkey.'<'.$_AS['temp']['compelement'].'\}#sU','',$tpl);
					}
				}
			}		

			// global if-statement
			if(strpos($tpl,'{if_'.$elkey.'}')!==false)
				if (empty($elvalue))
				  $tpl = preg_replace('#\{if_'.$elkey.'\}(.*)\{/if_'.$elkey.'\}#sU','',$tpl);
				else
				  $tpl = str_replace(array('{if_'.$elkey.'}','{/if_'.$elkey.'}'), array('',''), $tpl);

			// global if-not-statement
			if(strpos($tpl,'{if_not_'.$elkey.'}')!==false)
				if (empty($elvalue))
			  	$tpl = str_replace(array('{if_not_'.$elkey.'}','{/if_not_'.$elkey.'}'), array('',''), $tpl);
				else
				 	$tpl = preg_replace('#\{if_not_'.$elkey.'\}(.*)\{/if_not_'.$elkey.'\}#sU','',$tpl);
				 	
			return $tpl;
	
	
	}
}

if(! function_exists(nl_element_sfifstatements)){
  /**
  * 
  *
  * @param		
  * @return		
  * @access		
  */
	function nl_element_sfifstatements($tpl='') {

			if(empty($tpl) || (strpos($tpl,'{if_')===false && strpos($tpl,'cms://')===false))
				return $tpl;
			
			global $view,$sess,$lang,$client,$cfg_client,$sf_dbfile;

			// global if-backend
			if(strpos($tpl,'{if_backend}')!==false)
				if ($sess->name == 'sefrengo' && ($view == 'preview' || $view == 'edit')) {
				  $tpl = str_replace(array('{if_backend}','{/if_backend}'), array('',''), $tpl);
				} else {
					$tpl = preg_replace('#\{if_backend\}(.*)\{/if_backend\}#sU','',$tpl);
				}
			// global if-backend
			if(strpos($tpl,'{if_backend_edit}')!==false)
				if ($sess->name == 'sefrengo' && ($view != 'preview' && $view == 'edit')) {
				  $tpl = str_replace(array('{if_backend_edit}','{/if_backend_edit}'), array('',''), $tpl);
				} else {
					$tpl = preg_replace('#\{if_backend_edit\}(.*)\{/if_backend_edit\}#sU','',$tpl);
				}
			// global if-backend
			if(strpos($tpl,'{if_backend_preview}')!==false)
				if ($sess->name == 'sefrengo' && ($view == 'preview' && $view != 'edit')) {
				  $tpl = str_replace(array('{if_backend_preview}','{/if_backend_preview}'), array('',''), $tpl);
				} else {
					$tpl = preg_replace('#\{if_backend_preview\}(.*)\{/if_backend_preview\}#sU','',$tpl);
				}
			// global if-frontend
			if(strpos($tpl,'{if_frontend}')!==false)
				if (($sess->name != 'sefrengo')) {
				  $tpl = str_replace(array('{if_frontend}','{/if_frontend}'), array('',''), $tpl);
				} else {
					$tpl = preg_replace('#\{if_frontend\}(.*)\{/if_frontend\}#sU','',$tpl);
				}

			if(strpos($tpl,'{if_idlang=')!==false){
				  $tpl = str_replace(array('{if_idlang='.$lang.'}','{/if_idlang='.$lang.'}'), array('',''), $tpl);
					$tpl = preg_replace('#\{if_idlang=(.*)\}(.*)\{/if_idlang=(.*)\}#sU','',$tpl);
			}

			preg_match_all('!cms://(idcat|idcatside|idfile)=(\d+)!', $tpl, $sflinks);

			foreach ($sflinks[1] as $k => $v) {
				$link_url='';
				switch($v) {

					case 'idfile':
						$sf_dbfile->loadByIdupl($sflinks[2][$k]);
						$link_url = $sf_dbfile->getHttppathAbsolute();
					break;
					
					case 'idcatside':
						if (sf_pageIsOnline($sflinks[2][$k],$lang))
							if ($cfg_client['url_rewrite']==2){
						  	$link_url = nl_get_rewriteurl($sflinks[2][$k], $lang, $client).$link_addon;
							} else {
								if (sf_pageIsOnline($sflinks[2][$k],$lang))
						    	$link_url = $cfg_client['htmlpath'].'index.php?idcatside='.$sflinks[2][$k].'&amp;lang='.$lang.$link_addon;						
							} 	
					break;	
					
					case 'idcat':
						if ($cfg_client['url_rewrite']==2){
					  	$link_url = nl_get_rewriteurl($sflinks[2][$k], $lang, $client,'cat').$link_addon;
						} else {
					    $link_url = $cfg_client['htmlpath'].'index.php?idcat='.$sflinks[2][$k].'&amp;lang='.$lang.$link_addon;						
						} 	
					break;	
				
				}

				$tpl = str_replace($sflinks[0][$k],$link_url, $tpl);

			}
				
			return $tpl;
	
	}
}



?>