<?php
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');
}

    //Collectionklasse laden
    include_once $_NL['basedir'] . 'inc/class.newslettercollection.php';
		include_once $_NL['basedir'] . 'inc/class.elementcollection.php';
		include_once $_NL['basedir'] . 'inc/fnc.newsletter_utilities.php';


    //Externe Variablen per CMS WebRequest holen
    $_NL['idnewsletter'] = $_NL['cms_wr']->getVal('idnewsletter');

		$_NL['idnewslettermem'] = $_NL['cms_wr']->getVal('idnewslettermem');
		$_NL['onlinemem'] = $_NL['cms_wr']->getVal('onlinemem');


		$_NL['subarea']=$_NL['cms_wr']->getVal('subarea');;
    $_NL['hash'] = $_NL['cms_wr']->getVal('hash');

    $_NL['config']['imgpath'] = $cfg_cms['cms_html_path'].'plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/';

    $_NL['temp']['startmonth'] = $_NL['cms_wr']->getVal('startmonth');
    $_NL['config']['startmonth'] = (empty($_NL['temp']['startmonth'])) ? date("m") : $_NL['temp']['startmonth'];

    $_NL['temp']['monthback'] = $_NL['cms_wr']->getVal('monthback');
    $_NL['config']['monthback'] = (empty($_NL['temp']['monthback'])) ? $_NL['newsletter_obj']->getSetting('number_of_month') : $_NL['temp']['monthback'];

		$_NL['idnewsletter_langcopy'] = $_NL['cms_wr']->getVal('langcopy');

		$_NL['valid']=(empty($_POST['valid'])?'false':$_POST['valid']);


		// field validation
		$_NL['validation_fields']=array();
		$_NL['validation_fields'][]='teaser';
		$_NL['validation_fields'][]='text';
		$_NL['validation_fields'][]='custom1';
		$_NL['validation_fields'][]='custom2';
		$_NL['validation_fields'][]='custom3';
		$_NL['validation_fields'][]='custom4';
		$_NL['validation_fields'][]='custom5';
		$_NL['validation_fields'][]='custom6';
		$_NL['validation_fields'][]='custom7';
		$_NL['validation_fields'][]='custom8';
		$_NL['validation_fields'][]='custom9';
		$_NL['validation_fields'][]='custom10';		
		$_NL['valid']='true';

		foreach ($_NL['validation_fields'] as $v)
			if (($_NL['newsletter_obj']->getSetting('newsletter_'.$v.'_validation')=='true' &&
					$_NL['newsletter_obj']->getSetting('newsletter_'.$v)=='true') || 
					($_NL['newsletter_obj']->getSetting('newsletter_'.$v.'_validation')=='true' &&
					$_NL['newsletter_obj']->getSetting('newsletter_'.$v.'_label')!='')) {
				if (empty($_POST['newsletter'][$v])){
					$_NL['valid']='false';
				}
			}
		if (empty($_POST['newsletter']['title']))
			$_NL['valid']='false';
		

		$_NL['validation_fields']=array();
		$_NL['validation_fields'][]='picture1';
		$_NL['validation_fields'][]='link';
		$_NL['validation_fields'][]='file1';

		if (is_array($_POST['nlel']['image']['value_txt']))
			$_NL['validation_image']=array_filter($_POST['nlel']['image']['value_txt']);
		if (is_array($_POST['nlel']['file']['value_txt']))
			$_NL['validation_file']=array_filter($_POST['nlel']['file']['value_txt']);
		if (is_array($_POST['nlel']['link']['value_txt'])) {
			$_NL['validation_link']=array_filter($_POST['nlel']['link']['value_txt']);
		}
			
		foreach ($_NL['validation_fields'] as $v)
			if ($_NL['newsletter_obj']->getSetting('newsletter_'.$v.'_validation')=='true' &&
					$_NL['newsletter_obj']->getSetting('newsletter_'.$v)=='true' ) {
				if ($v=='picture1' && empty($_NL['validation_image']))
					$_NL['valid']='false';
				if ($v=='file1' && empty($_NL['validation_file']))
					$_NL['valid']='false';
				if ($v=='link' && empty($_NL['validation_link']))
					$_NL['valid']='false';
				}				

    //Tpl einladen
    include_once $_NL['basedir'] . 'tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/tpl.newsletter_edit.php';

    //Artikel intialisieren
    $_NL['item'] = new SingleNewsletter;

    //init newsletter's element
    $_NL['elements'] = new NewsletterElements;

		if (!empty($_NL['idnewsletter_langcopy'])){
			$_NL['idnewsletter'] = $_NL['idnewsletter_langcopy'];
			$_NL['action']='edit_newsletter';
		} else
			$_NL['onlinemem']='';

    //Artikel bearbeiten
    if($_NL['action']=='edit_newsletter' || $_NL['action']=='dupl_newsletter' || ($_POST['action']=='save_newsletter' && $_NL['valid']=='false')) {
        //Wenn die Sprache gewechselt wurde, dann hier zur bersicht, da der Eintrag nur fr alte Sprache gilt
        if (isset($change_show_tree)) {
            echo $_NL['temp']['url'] = $sess->urlRaw($cfg_cms['cms_html_path'].'main.php?area=plugin&lang='.$lang.'&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template'));
          	header ('Location:' . $_NL['temp']['url'] );
          	exit;
        }
    
       	$_NL['item']->loadById($_NL['idnewsletter']);
       
        if (!empty($_NL['idnewsletter'])) {     
					$_NL['elements']->loadById($_NL['idnewsletter'], true);
				}else {
					$_NL['nlel'] = $_NL['cms_wr']->getVal('nlel'); //$_POST-Array
				
					$_NL['elements']->loadByData($_NL['nlel'], true);
				}

    //Artikel speichern
    } else if($_POST['action']=='save_newsletter' && $_NL['valid']=='true') {
        //Wenn die Sprache gewechselt wurde, dann hier zur bersicht, da der Eintrag nur fr alte Sprache gilt
        if (isset($change_show_tree)) {
            echo $_NL['temp']['url'] = $sess->urlRaw($cfg_cms['cms_html_path'].'main.php?area=plugin&lang='.$lang.'&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template'));
          	header ('Location:' . $_NL['temp']['url'] );
          	exit;
        }

        $_NL['newsletter'] = $_NL['cms_wr']->getVal('newsletter'); //$_POST-Array
        $_NL['item']->loadByData($_NL['newsletter'], true);

        $_NL['nlel'] = $_NL['cms_wr']->getVal('nlel'); //$_POST-Array
				$_NL['elements']->loadByData($_NL['nlel'], true);

        //Bei Bearbeiten: Wenn ID vorhanden -> hinzufgen
        if(is_numeric($_NL['idnewsletter']) && $_NL['idnewsletter']>0) {
            $_NL['item']->setData('idnewsletter', $_NL['idnewsletter']);
            $_NL['item']->setData('hash', $_NL['hash']);
        } else {
            $_NL['item']->setData('hash', md5(time()));
        }

        $_NL['temp']['newsletter_startdate'] = $_NL['temp']['newsletter_starttime'] = mktime(
                    $_NL['newsletter']['newsletter_start_hour'],
                    $_NL['newsletter']['newsletter_start_minute'],
                    0,
                    (($_NL['newsletter']['newsletter_start_month'])?$_NL['newsletter']['newsletter_start_month']:date('m')) ,
                    (($_NL['newsletter']['newsletter_start_day'])?$_NL['newsletter']['newsletter_start_day']:date('d')) ,
                    (($_NL['newsletter']['newsletter_start_year'])?$_NL['newsletter']['newsletter_start_year']:date('Y')) 
                    );

        $_NL['temp']['newsletter_enddate'] = $_NL['temp']['newsletter_endtime'] = mktime(
                    ((isset($_NL['newsletter']['newsletter_endtime_yn']))?$_NL['newsletter']['newsletter_end_hour']:23),
                    ((isset($_NL['newsletter']['newsletter_endtime_yn']))?$_NL['newsletter']['newsletter_end_minute']:59),
                    0,
                    $_NL['newsletter']['newsletter_end_month'],
                    $_NL['newsletter']['newsletter_end_day'],
                    $_NL['newsletter']['newsletter_end_year']);


           	$_NL['item']->setData('newsletter_startdate', $_NL['item']->convTimestamp2Date($_NL['temp']['newsletter_startdate']));

            if(isset($_NL['newsletter']['newsletter_starttime_yn'])) {
                $_NL['item']->setData('newsletter_starttime', $_NL['item']->convTimestamp2Date($_NL['temp']['newsletter_starttime']));
            } else {
            		$_NL['item']->setData('newsletter_starttime', '0000-00-00 00:00:00');
            }
            
            if(isset($_NL['newsletter']['newsletter_enddate_yn'])) {
                $_NL['item']->setData('newsletter_enddate', $_NL['item']->convTimestamp2Date($_NL['temp']['newsletter_enddate']));
            } else {
            		$_NL['item']->setData('newsletter_enddate','0000-00-00 00:00:00');
            }

            if(isset($_NL['newsletter']['newsletter_endtime_yn'])) {
                $_NL['item']->setData('newsletter_endtime', $_NL['item']->convTimestamp2Date($_NL['temp']['newsletter_endtime']));
            } else {
            		$_NL['item']->setData('newsletter_endtime', '0000-00-00 00:00:00');
            }
            //Speichern

            $_NL['item']->save();
            
						if (count($_NL['item']->_new_ids)<2) {
	            $_NL['elements']->setData('idnewsletter',$_NL['item']->getDataByKey('idnewsletter'), 'global');
	            $_NL['elements']->save();  
            } else {
            	foreach ($_NL['item']->_new_ids as $k => $v) {
									$_NL['elements']->loadByData($_NL['nlel'], true);
									$_NL['elements']->setData('idlang',$_NL['item']->_new_langs[$k]);
									$_NL['elements']->setData('idclient',$client);
									$_NL['elements']->setData('idnewsletter',$v, 'global');
			            $_NL['elements']->save();
		            }		
            }
                      
						$_NL['temp']['nleldel']= $_NL['cms_wr']->getVal('nleldel');
							if (!empty($_NL['temp']['nleldel']))
								$_NL['elements']->delete( $_NL['cms_wr']->getVal('nlelsel'));
                
        //Speichern -> zurck zur bersicht
	        if($_NL['cms_wr']->getVal('apply')==0) {
	            $_NL['temp']['url'] = $sess->urlRaw($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']);
	          	header ('Location:' . $_NL['temp']['url'] );
	          	exit;
	        } else {
	            $_NL['action'] = 'edit_newsletter'; //Aktion nach dem "bernehmen" auf Bearbeiten setzen
	            $_NL['idnewsletter'] = &$_NL['item']->getDataByKey('idnewsletter'); //ID nach dem bernehmen noch holen, falls ein neuer Eintrag bernommen wurde
							$_NL['item']->loadById($_NL['idnewsletter']);
							$_NL['elements']->loadById($_NL['idnewsletter'], true);
	        }
    }

    //Zur&uuml;ck

    $_NL['output']['back']  = str_replace(array(
            '{back}',
            '{back_url}',
            '{back_label}',
        ),
        array(
						'<a class="action" href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']).'">'.$_NL['newsletter_obj']->lang->get('back').'</a>',
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
            $_NL['newsletter_obj']->lang->get('back')
        ),
        $_NL['tpl']['back']);

    //Online?
    $_NL['temp']['online']=$_NL['item']->getDataByKey('online');
    if ($_NL['onlinemem']==='0' || $_NL['onlinemem']==='1' )
    	 $_NL['temp']['online']=$_NL['onlinemem'];
    	 
    $_NL['row']['online'] = str_replace(array(
            '{lng_online}',
            '{lng_online_desc}',
            '{checked}',
            '{css_hide}'
        ),
        array(
            $_NL['newsletter_obj']->lang->get('newsletter_online'),
            $_NL['newsletter_obj']->lang->get('newsletter_online_desc'),
            ($_NL['temp']['online'] == 1 || 
            ((empty($_NL['idnewsletter']) || $_GET['action']=='dupl_newsletter') && $_NL['newsletter_obj']->getSetting('new_newsletters_online')=='true')) ? ' checked="checked"' : '',
            (($_NL['newsletter_obj']->getSetting('use_onoffline')=='false')?'display:none;':'')
        ),
        $_NL['tpl']['online']);


    //Start Artikel
    $_NL['row']['newsletter_start'] = str_replace(array(
            '{lng_newsletter_start}',
            '{day}',
            '{month}',
            '{year}',
            '{hour}',
            '{minute}',
            '{starttime_checked}',
            '{path}',
            '{css_hide}'
        ),
        array(
            $_NL['newsletter_obj']->lang->get('newsletter_newsletter_start'),
            ($_NL['item']->getDataByKey('newsletter_startdate')==0) ? date("d") : date("d", $_NL['item']->convDate2Timestamp('', 'newsletter_startdate')),
            ($_NL['item']->getDataByKey('newsletter_startdate')==0) ? date("m") : date("m", $_NL['item']->convDate2Timestamp('', 'newsletter_startdate')),
            ($_NL['item']->getDataByKey('newsletter_startdate')==0) ? date("Y") : date("Y", $_NL['item']->convDate2Timestamp('', 'newsletter_startdate')),
            ($_NL['item']->getDataByKey('newsletter_starttime')==0) ? date("H") : date("H", $_NL['item']->convDate2Timestamp('', 'newsletter_starttime')),
            ($_NL['item']->getDataByKey('newsletter_starttime')==0) ? date("i") : date("i", $_NL['item']->convDate2Timestamp('', 'newsletter_starttime')),
            ($_NL['item']->getDataByKey('newsletter_starttime_yn')==1) ? ' checked="checked"' : '',
            $_NL['config']['imgpath'],
            (($_NL['newsletter_obj']->getSetting('use_onoffline')=='false')?'display:none;':'')
        ),
        $_NL['tpl']['newsletter_start']);


    //End Artikel
    $_NL['row']['newsletter_end'] = str_replace(array(
            '{lng_newsletter_end}',
            '{day}',
            '{month}',
            '{year}',
            '{hour}',
            '{minute}',
            '{enddate_checked}',
            '{endtime_checked}',
            '{path}',
            '{error_to_small_enddate}',
            '{error_to_small_endtime}',
            '{css_hide}'
        ),
        array(
            $_NL['newsletter_obj']->lang->get('newsletter_newsletter_end'),
            ($_NL['item']->getDataByKey('newsletter_enddate')==0) ? date("d") : date("d", $_NL['item']->convDate2Timestamp('', 'newsletter_enddate')),
            ($_NL['item']->getDataByKey('newsletter_enddate')==0) ? date("m") : date("m", $_NL['item']->convDate2Timestamp('', 'newsletter_enddate')),
            ($_NL['item']->getDataByKey('newsletter_enddate')==0) ? date("Y") : date("Y", $_NL['item']->convDate2Timestamp('', 'newsletter_enddate')),
            ($_NL['item']->getDataByKey('newsletter_endtime')==0) ? date("H") : date("H", $_NL['item']->convDate2Timestamp('', 'newsletter_endtime')),
            ($_NL['item']->getDataByKey('newsletter_endtime')==0) ? date("i") : date("i", $_NL['item']->convDate2Timestamp('', 'newsletter_endtime')),
            ($_NL['item']->getDataByKey('newsletter_enddate_yn')==1) ? ' checked="checked"' : '',
            ($_NL['item']->getDataByKey('newsletter_endtime_yn')==1) ? ' checked="checked"' : '',
            $_NL['config']['imgpath'],
            $_NL['newsletter_obj']->lang->get('newsletter_error_to_small_enddate'),
            $_NL['newsletter_obj']->lang->get('newsletter_error_to_small_endtime'),
            (($_NL['newsletter_obj']->getSetting('use_onoffline')=='false')?'display:none;':'')
        ),
        $_NL['tpl']['newsletter_end']);


    //Wochentag erstellen
    $_NL['select']['weekday'] = '<select id="weekday" name="newsletter[newsletter_weekday]">';
    for($i=1;$i<8;$i++) {
        $_NL['temp']['selected'] = ($_NL['item']->getDataByKey('newsletter_weekday') == $i) ? ' selected="selected"' : '';

        $_NL['select']['weekday'] .= '
                <option value="'.$i.'"'.$_NL['temp']['selected'].'>'.$_NL['newsletter_obj']->lang->get('weekday_'.$i).'</option>';
    }
    $_NL['select']['weekday'] .= '
        </select>';

    //Wochentag
    $_NL['row']['newsletter_weekday'] = str_replace(array(
            '{lng_newsletter_weekday}',
            '{select_weekday}'
        ),
        array(
            $_NL['newsletter_obj']->lang->get('newsletter_newsletter_weekday'),
            $_NL['select']['weekday']
        ),
        $_NL['tpl']['newsletter_weekday']);


		// mail-templates
	  $_NL['temp']['template'] = $_NL['newsletter_obj']->getCategory();
		// collect templates data
		$_NL['select']['catdata']=array();
		$_NL['select']['catdata']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');

		foreach($_NL['temp']['template'] as $_NL['temp']['idtemplate'] => $_NL['temp']['name'])
			$_NL['select']['catdata'][$_NL['temp']['idtemplate']]=$_NL['temp']['name'];

		$_NL['select']['catselected']=$_NL['item']->getDataByKey('idtemplate');

		if (empty($_NL['select']['catselected']))
			$_NL['select']['catselected']=$_NL['cms_wr']->getVal('callist_flt_template');

		if (empty($_NL['select']['catselected']) && (int) $_NL['newsletter_obj']->getSetting('default_template')!=0)
			$_NL['select']['catselected']=$_NL['newsletter_obj']->getSetting('default_template');

		$_NL['row']['template'] = str_replace(array(
		        '{lng_template}',
		        '{select_template}',
						'{css_hide_row}'
		    ),
		    array(
		        $_NL['newsletter_obj']->lang->get('newsletter_template'),
		        $_NL['newsletter_obj']->getSelectUni(	'newsletter[idtemplate]',
																	$_NL['select']['catselected'],
																	 $_NL['select']['catdata'],
																		'template',
																		'',
																		(($_NL['newsletter_obj']->getSetting('set_template_multiple')==1)?'multiple="multiple" size="5"':'')),
																		($_NL['newsletter_obj']->getSetting('set_template')!=1?'style="display:none;"':''),
		    ),
		    $_NL['tpl']['template']);
		

	   

			$_NL['select']['group']=array();
      $_NL['select']['group']=nl_getUserGroups(explode(',',$_NL['newsletter_obj']->getSetting('avail_group')));
      $_NL['select']['groupdata']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');
			foreach ( $_NL['select']['group'] as $k => $v)
				$_NL['select']['groupdata'][$k]=$v;

			$_NL['select']['groupselected']=array();	
			if (strpos($_NL['item']->getDataByKey('idgroup'),',')!==false) {
				$_NL['select']['groupselected']=explode(',',$_NL['item']->getDataByKey('idgroup'));
				$_NL['select']['groupselected']=array_filter($_NL['select']['groupselected']);
			} else
				$_NL['select']['groupselected']=$_NL['item']->getDataByKey('idgroup');
		
			if (empty($_NL['select']['groupselected'])){
				$_NL['select']['groupselected']=explode(',',$_NL['newsletter_obj']->getSetting('default_group'));
			}

			//Kategorien
			$_NL['row']['group'] = str_replace(array(
			        '{lng_group}',
			        '{select_group}',
			        '{css_hide_row}'
			    ),
			    array(
			        $_NL['newsletter_obj']->lang->get('newsletter_group'),
			        $_NL['newsletter_obj']->getSelectUni(	'newsletter[idgroup][]',
																		 $_NL['select']['groupselected'],
																		 $_NL['select']['groupdata'],
																			'group',
																			'',
																			(($_NL['newsletter_obj']->getSetting('set_group_multiple')==1)?'multiple="multiple" size="5"':'')),
																			($_NL['newsletter_obj']->getSetting('set_group')!=1?'style="display:none;"':''),

			    ),
			    $_NL['tpl']['group']);
	


    //Title
    $_NL['temp']['value']=$_NL['item']->getDataByKey('title',true);
    if ($_NL['action']=='dupl_newsletter')
    	$_NL['temp']['value'].=' ('.$_NL['newsletter_obj']->lang->get('newsletter_copy').')';
    $_NL['row']['title'] = str_replace(array(
            '{lng_title}',
            '{title}',
            '{validation_error_cssdisplay}',
            '{path}',
            '{error_empty}'
        ),
        array(
            $_NL['newsletter_obj']->lang->get('newsletter_title'),
           	$_NL['temp']['value'],
            ((empty($_NL['temp']['value']))?'inline':'none'),
            $_NL['config']['imgpath'],
            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
        ),
        $_NL['tpl']['title']);

    //Teaser
    $_NL['temp']['value']=$_NL['item']->getDataByKey('teaser',true);
		if ($_NL['newsletter_obj']->getSetting('newsletter_teaser') =="true"){ 
	    $_NL['row']['teaser'] = str_replace(array(
	            '{lng_teaser}',
	            '{teaser}',
	            '{validation_error_cssdisplay}',
	            '{path}',
	            '{error_empty}'
	        ),
	        array(
	            $_NL['newsletter_obj']->lang->get('newsletter_teaser'),
	           	$_NL['temp']['value'],
	            (($_NL['newsletter_obj']->getSetting('newsletter_teaser_validation')=='true' &&
	             empty($_NL['temp']['value']))?'inline':'none'),
	            $_NL['config']['imgpath'],
	            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
	        ),
	        $_NL['tpl']['teaser']);
    }
        
    //Text
    $_NL['temp']['value']=$_NL['item']->getDataByKey('text',true);
    if ($_NL['newsletter_obj']->getSetting('newsletter_text') =="true"){ 
	    $_NL['row']['text'] = str_replace(array(
	            '{lng_text}',
	            '{text}',
	            '{validation_error_cssdisplay}',
	            '{path}',
	            '{error_empty}'
	        ),
	        array(
	            $_NL['newsletter_obj']->lang->get('newsletter_text'),
	           	$_NL['temp']['value'],
	            (($_NL['newsletter_obj']->getSetting('newsletter_text_validation')=='true' &&
	             empty($_NL['temp']['value']))?'inline':'none'),
	            $_NL['config']['imgpath'],
	            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
	        ),
	        $_NL['tpl']['text']);
    }

    //Picture1
		if ($_NL['newsletter_obj']->getSetting('newsletter_picture1') =="true"){      
				// generate image list
			$filetypes_s = 'jpg,jpeg,gif,png';
			$filetypes = explode(',', $filetypes_s);
			$folders_s = $_NL['newsletter_obj']->getSetting('picture_select_folders');
			if (!empty($folders_s))
				$folders = explode(',', $folders_s);
			else
				$folders = array();
	
			// ressource browser init  	
		  $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
		  $res_image = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'FileManager');
		  $res_image->setFiletypes($filetypes);
		  $res_image->setFolderIds($folders);
		  $res_image->setWithSubfoders( $_NL['newsletter_obj']->getSetting('picture_select_subfolders')=="true" ? true : false );
		  $res_image->setReturnValueMode('sefrengolink');
		  $rb->addRessource($res_image);
		  $rb->setJSCallbackFunction('sf_getImage_elm' . $formname, array('picked_name', 'picked_value'));
		  $rb_image_url = $rb->exportConfigURL();
	
			$sql = "SELECT iddirectory, parentid, name FROM ".$cms_db['directory']." WHERE idclient=".$client." AND dirname NOT LIKE('cms/%') ORDER BY dirname";
			$db -> query($sql);
			
			$tree = array();
			while($db -> next_record()) {
				if($perm->have_perm(1, 'folder', $db->f('iddirectory'))) {
					$tree[$db->f('parentid')][] = $db->f('iddirectory');
					$folder[$db->f('iddirectory')] = str_replace("'", "\\'", $db->f('name'));
				}
			}
	
			$allfolders=array();
			foreach($folders as $a){
				$allfolders[]=$a;
				if( $_NL['newsletter_obj']->getSetting('picture_select_subfolders')=='true') {
					if (is_array($tree[$a]))
						foreach($tree[$a] as $b) {
							$allfolders[]=$b;
							if (is_array($tree[$b])) foreach($tree[$b] as $c) $allfolders[]=$c;
						}
				}
			}
	
			$sql = "SELECT A.idupl idupl, A.filename filename, A.iddirectory iddirectory, A.titel titel, A.pictwidth width, A.pictheight height, B.filetype as filetype, C.dirname as directory FROM ".$cms_db['upl']." AS A, ".$cms_db['filetype']." AS B, ".$cms_db['directory']." AS C WHERE A.idclient=".$client." AND C.idclient=".$client." AND A.idfiletype = B.idfiletype AND B.filetype IN ('".join($filetypes, "','")."') AND C.iddirectory = A.iddirectory ORDER BY directory,filename";
			$db -> query($sql);
			$file_array = array();
			while($db -> next_record()) {
				if($perm->have_perm( 17, 'file', $db->f('idupl'), $db->f('iddirectory'))) {
					if (in_array($db->f('iddirectory'),$allfolders) || empty($folders_s)) {
						$file_array[] = array(
							'name'		=> str_replace("'", "\\'", $db->f('filename')),
							'title'		=> str_replace("'", "\\'", $db->f('titel')),
							'dir'		=> $db->f('directory'), 
						);
					}
				}
			}
			
			
			$_NL['temp']['selected'] = $_NL['item']->getDataByKey('picture1');
	    			
			$_NL['select']['tempdata']=array();
			$_NL['select']['tempdata']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');

			foreach($file_array as $a) {
	 			if (strpos($filetypes_s,substr(strrchr (strtolower($a['name']), "."), 1))!==false)	{	
					$imagetitle=str_replace($cfg_client["htmlpath"],'',$cfg_client["upl_htmlpath"]).$a['dir'].$a['name'];
					$_NL['temp']['image']=str_replace($cfg_client["htmlpath"],'',$cfg_client["upl_htmlpath"]).$a['dir'].$a['name'];
				$_NL['select']['tempdata'][$_NL['temp']['image']]=addslashes($imagetitle);
				}
			}

			$_NL['temp']['values']=$_NL['elements']->getDataByType('image');
			$_NL['temp']['values_number']=count($_NL['temp']['values']['sort_index']);

			if ($_NL['temp']['values_number']<1)
				$_NL['temp']['values_number']=1;

			$_NL['temp']['add_elements']=(int) $_NL['cms_wr']->getVal('picadd');

			$_NL['temp']['elementvalid']=false;
			
			$_NL['temp']['currentelementcount']=$_NL['temp']['values_number']+$_NL['temp']['add_elements'];



			$_NL['temp']['elementmaxno']=$_NL['newsletter_obj']->getSetting('newsletter_picture1_no');
			if (!empty($_NL['temp']['elementmaxno'])) {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');
				$h=1;
				for ($i=$_NL['temp']['currentelementcount'];$i<$_NL['temp']['elementmaxno'];$i++) {
					if ($_NL['temp']['values_number']+$h<=$_NL['temp']['elementmaxno'])
						$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			} else {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');			
				$h=1;
				for ($i=0;$i<4;$i++) {
					$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			}

			if (count($_NL['temp']['values']['add_elements'])>1)
				$_NL['temp']['add_elements_select'] =	
				$_NL['newsletter_obj']->getSelectUni('picadd',
																					'0',
																				 	$_NL['temp']['values']['add_elements'],
																					'',
																					'document.getElementById(\'apply\').value = 1; CheckEventForm(document.getElementById(\'newsletterform\'));',
																					'style="width:75px;"');
			else
				$_NL['temp']['add_elements_select']='';

			if ($_NL['temp']['currentelementcount']>$_NL['temp']['elementmaxno'] && !empty($_NL['temp']['elementmaxno']))
				$_NL['temp']['currentelementcount']=$_NL['temp']['elementmaxno'];




			for($i=0;$i<$_NL['temp']['currentelementcount'];$i++) {
	
				if (empty($_NL['temp']['values']['sort_index'][$i])){
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$_NL['temp']['values_number']-1]+$i-$_NL['temp']['values_number']+1;
					if (empty($_NL['temp']['sort_index']))
						$_NL['temp']['sort_index']=1;
				} else 
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$i];

				if (empty($_NL['temp']['values']['idelement'][$i]))
					$_NL['temp']['idelement']='newimage'.$i;
				else
					$_NL['temp']['idelement']=$_NL['temp']['values']['idelement'][$i];

		    $_NL['temp']['row']['picture1sub'] .= str_replace(array(
		    				'{idelement}',
		    				'{idel}',
		            '{select_picture1}',
								'{sort_index}',
		            '{path}',
		            '{selected_picture1}',
		            '{htmlpath}',
		            '{thumb_ext}',
		            '{rb_image_url}',
		            '{ic}',
		            '{lng_picture1_description}',
		            '{lng_picture1_title}',
		            '{lng_picture}',
		            '{lng_sort_index_input_title}',
		            '{picture1_description}',
		            '{picture1_title}',
		            '{showhide_desc}',
		            '{showhide_checkbox}'
		        ),
		        array(

		        		$_NL['temp']['idelement'],
		        		$_NL['temp']['values']['idelement'][$i],
								$_NL['newsletter_obj']->getSelectUni(	'nlel[image][value_txt][]',
																										 $_NL['temp']['values']['value_txt'][$i],
																										 $_NL['select']['tempdata'],
																											'picture'.$_NL['temp']['idelement'],
																											'previewpicture(this.value,\''.$cfg_client["htmlpath"].'\',\''.$cfg_client["thumbext"].'\',\''.$_NL['temp']['idelement'].'\');return false;',
																											'style="width:303px;"'),
								$_NL['temp']['sort_index'],
		            $_NL['config']['imgpath'],
								$_NL['temp']['values']['value_txt'][$i],
								$cfg_client['htmlpath'],
								$cfg_client["thumbext"],
								$rb_image_url,
		            $i+1,
		            $_NL['newsletter_obj']->lang->get('newsletter_picture1_description'),
		            $_NL['newsletter_obj']->lang->get('newsletter_picture1_title'),
		            $_NL['newsletter_obj']->lang->get('newsletter_picture'),
		            $_NL['newsletter_obj']->lang->get('sort_index_input_title'),
		           	htmlentities($_NL['temp']['values']['description'][$i],ENT_COMPAT,'UTF-8'),
		           	htmlentities($_NL['temp']['values']['title'][$i],ENT_COMPAT,'UTF-8'),	            
		            (($_NL['newsletter_obj']->getSetting('newsletter_picture1_desc')=='true')?'inline':'none'),
		            ((!empty($_NL['temp']['values']['idelement'][$i]))?'inline':'none')
		        ),
		        $_NL['tpl']['picture1sub']);
					
					if (!empty($_NL['temp']['values']['value_txt'][$i]))
						$_NL['temp']['elementvalid']=true;

	  	}

		    $_NL['row']['picture1'] = str_replace(array(
		    				'{lng_pictures}',
		            '{lng_elements_sel}',
		            '{lng_elements_del}',
		            '{validation_error_cssdisplay}',
		            '{error_empty}',
		    				'{picture1sub}',
		            '{path}',
		     				'{add_elements}'
		        ),
		        array(
		            $_NL['newsletter_obj']->lang->get('newsletter_pictures'),		            
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_sel'),
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_del'),
								(($_NL['newsletter_obj']->getSetting('newsletter_picture1_validation')=='true' &&
		            $_NL['temp']['elementvalid']===false)?'inline':'none'),
		            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field'),
		            $_NL['temp']['row']['picture1sub'],
		            $_NL['config']['imgpath'],
								$_NL['temp']['add_elements_select']
		        ),
		        $_NL['tpl']['picture1']);
	  }

    //link
		if ($_NL['newsletter_obj']->getSetting('newsletter_link') =="true"){      

	    $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
	    $res_links = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'InternalLink');
	    $rb->addRessource($res_links);
	    $rb->setJSCallbackFunction('sf_getLink' . $formname, array('picked_name', 'picked_value'));
	    $rb_link_url = $rb->exportConfigURL();
        
			$_NL['temp']['values']=$_NL['elements']->getDataByType('link');
			$_NL['temp']['values_number']=count($_NL['temp']['values']['sort_index']);

			if ($_NL['temp']['values_number']<1)
				$_NL['temp']['values_number']=1;

			$_NL['temp']['add_elements']=(int) $_NL['cms_wr']->getVal('linkadd');

			$_NL['temp']['elementvalid']=false;

			$_NL['temp']['currentelementcount']=$_NL['temp']['values_number']+$_NL['temp']['add_elements'];



			$_NL['temp']['elementmaxno']=$_NL['newsletter_obj']->getSetting('newsletter_link_no');
			if (!empty($_NL['temp']['elementmaxno'])) {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');
				$h=1;
				for ($i=$_NL['temp']['currentelementcount'];$i<$_NL['temp']['elementmaxno'];$i++) {
					if ($_NL['temp']['values_number']+$h<=$_NL['temp']['elementmaxno'])
						$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			} else {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');			
				$h=1;
				for ($i=0;$i<4;$i++) {
					$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			}

			if (count($_NL['temp']['values']['add_elements'])>1)
				$_NL['temp']['add_elements_select'] =	
				$_NL['newsletter_obj']->getSelectUni('linkadd',
																					'0',
																				 	$_NL['temp']['values']['add_elements'],
																					'',
																					'document.getElementById(\'apply\').value = 1; CheckEventForm(document.getElementById(\'newsletterform\'));',
																					'style="width:75px;"');
			else
				$_NL['temp']['add_elements_select']='';

			if ($_NL['temp']['currentelementcount']>$_NL['temp']['elementmaxno'] && !empty($_NL['temp']['elementmaxno']))
				$_NL['temp']['currentelementcount']=$_NL['temp']['elementmaxno'];




			for($i=0;$i<$_NL['temp']['currentelementcount'];$i++) {
	
				if (empty($_NL['temp']['values']['sort_index'][$i])){
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$_NL['temp']['values_number']-1]+$i-$_NL['temp']['values_number']+1;
					if (empty($_NL['temp']['sort_index']))
						$_NL['temp']['sort_index']=1;
				} else 
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$i];

				if (empty($_NL['temp']['values']['idelement'][$i]))
					$_NL['temp']['idelement']='newlink'.$i;
				else
					$_NL['temp']['idelement']=$_NL['temp']['values']['idelement'][$i];

		    $_NL['temp']['row']['linksub'] .= str_replace(array(
		    				'{idelement}',
		    				'{idel}',
								'{sort_index}',
		            '{path}',
								'{link_txt}',
		            '{htmlpath}',
		            '{rb_link_url}',
		            '{ic}',
		            '{lng_link_description}',
		            '{lng_link_title}',
		            '{lng_link_url}',
		            '{lng_sort_index_input_title}',
		            '{link_description}',
		            '{link_title}',
		            '{showhide_desc}',
		            '{showhide_checkbox}'
		        ),
		        array(
		        		$_NL['temp']['idelement'],
		        		$_NL['temp']['values']['idelement'][$i],
								$_NL['temp']['sort_index'],
		            $_NL['config']['imgpath'],
								$_NL['temp']['values']['value_txt'][$i],
								$cfg_client['htmlpath'],
								$rb_link_url,
		            $i+1,
		            $_NL['newsletter_obj']->lang->get('newsletter_link_description'),
		            $_NL['newsletter_obj']->lang->get('newsletter_link_title'),
		            $_NL['newsletter_obj']->lang->get('newsletter_link_url'),
		            $_NL['newsletter_obj']->lang->get('sort_index_input_title'),
		            htmlentities($_NL['temp']['values']['description'][$i],ENT_COMPAT,'UTF-8'),
		           	htmlentities($_NL['temp']['values']['title'][$i],ENT_COMPAT,'UTF-8'),
		            (($_NL['newsletter_obj']->getSetting('newsletter_link_desc')=='true')?'inline':'none'),
		            ((!empty($_NL['temp']['values']['idelement'][$i]))?'inline':'none')
		        ),
		        $_NL['tpl']['linksub']);
					
					if (!empty($_NL['temp']['values']['value_txt'][$i]))
						$_NL['temp']['elementvalid']=true;

	  	}

		    $_NL['row']['link'] = str_replace(array(
		    				'{lng_link}',
		            '{lng_elements_sel}',
		            '{lng_elements_del}',
		            '{lng_add}',
		            '{validation_error_cssdisplay}',
		            '{error_empty}',
		    				'{linksub}',
		            '{path}',
		            '{add_elements}'
		        ),
		        array(
		            $_NL['newsletter_obj']->lang->get('newsletter_link'),		            
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_sel'),
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_del'),
		            $_NL['newsletter_obj']->lang->get('add'),
								(($_NL['newsletter_obj']->getSetting('newsletter_link_validation')=='true' &&
		            $_NL['temp']['elementvalid']===false)?'inline':'none'),
		            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field'),
		            $_NL['temp']['row']['linksub'],
		            $_NL['config']['imgpath'],
		            $_NL['temp']['add_elements_select']
		        ),
		        $_NL['tpl']['link']);	        

		}
		
    //file1
		if ($_NL['newsletter_obj']->getSetting('newsletter_file1') =="true"){      

			$filetypes_s = $_NL['newsletter_obj']->getSetting('file_select_filetypes');
			if (!empty($filetypes_s))
				$filetypes = explode(',', $filetypes_s);
			else {
					$sql = "SELECT filetype, description FROM ". $cms_db['filetype'] ." ORDER BY description, filetype";		          
					$db->query($sql);
					while ($db->next_record())
						$filetypes[] = $db->f('filetype');
			}
			$folders_s = $_NL['newsletter_obj']->getSetting('file_select_folders');
			if (!empty($folders_s))
				$folders = explode(',', $folders_s);
			else
				$folders = array();
	
		  $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
		  $res_file = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'FileManager');
	
		  $res_file->setFiletypes($filetypes);
		  $res_file->setFolderIds($folders);
		  $res_file->setWithSubfoders( $_NL['newsletter_obj']->getSetting('file_select_subfolders')=="true" ? true : false );
		  $res_file->setReturnValueMode('sefrengolink');
		  $rb->addRessource($res_file);
			//$res_links =&$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'InternalLink');
			//$rb->addRessource($res_links);
		  $rb->setJSCallbackFunction('sf_getFile_elm' . $formname, array('picked_name', 'picked_value'));
		  $rb_file_url = $rb->exportConfigURL();
	
			$sql = "SELECT iddirectory, parentid, name FROM ".$cms_db['directory']." WHERE idclient=".$client." AND dirname NOT LIKE('cms/%') ORDER BY dirname";
			$db -> query($sql);
			
			$tree = array();
			while($db -> next_record()) {
				if($perm->have_perm(1, 'folder', $db->f('iddirectory'))) {
					$tree[$db->f('parentid')][] = $db->f('iddirectory');
					$folder[$db->f('iddirectory')] = str_replace("'", "\\'", $db->f('name'));
				}
			}
	
			$allfolders=array();
			foreach($folders as $a){
				$allfolders[]=$a;
				if( $_NL['newsletter_obj']->getSetting('file_select_subfolders')=='true') {
					if (is_array($tree[$a]))
						foreach($tree[$a] as $b) {
							$allfolders[]=$b;
							if (is_array($tree[$b])) foreach($tree[$b] as $c) $allfolders[]=$c;
						}
				}
			}
			
			$sql = "SELECT A.idupl idupl, A.filename filename, A.iddirectory iddirectory, A.titel titel, A.pictwidth width, A.pictheight height, B.filetype as filetype, C.dirname as directory FROM ".$cms_db['upl']." AS A, ".$cms_db['filetype']." AS B, ".$cms_db['directory']." AS C WHERE A.idclient=".$client." AND C.idclient=".$client." AND A.idfiletype = B.idfiletype AND B.filetype IN ('".join($filetypes, "','")."') AND C.iddirectory = A.iddirectory ORDER BY directory,filename";
			$db -> query($sql);
			$file_array = array();
			while($db -> next_record()) {
				if($perm->have_perm( 17, 'file', $db->f('idupl'), $db->f('iddirectory'))) {
					if (in_array($db->f('iddirectory'),$allfolders) || empty($folders_s)) {
						$file_array[] = array(
							'name'		=> str_replace("'", "\\'", $db->f('filename')),
							'title'		=> str_replace("'", "\\'", $db->f('titel')),
							'dir'		=> $db->f('directory'), 
						);
					}
				}
			}
			
	  
			$_NL['temp']['selected'] = $_NL['item']->getDataByKey('file1');
			
			$_NL['select']['tempdata']=array();
			$_NL['select']['tempdata']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');
		
			foreach($file_array as $a) {
				$filetitle=str_replace($cfg_client["htmlpath"],'',$cfg_client["upl_htmlpath"]).$a['dir'].$a['name'];
				$_NL['temp']['file']=str_replace($cfg_client["htmlpath"],'',$cfg_client["upl_htmlpath"]).$a['dir'].$a['name'];
				$_NL['select']['tempdata'][$_NL['temp']['file']]=addslashes($filetitle);
			}
     
			$_NL['temp']['values']=$_NL['elements']->getDataByType('file');
			$_NL['temp']['values_number']=count($_NL['temp']['values']['sort_index']);

			if ($_NL['temp']['values_number']<1)
				$_NL['temp']['values_number']=1;

			$_NL['temp']['add_elements']=(int) $_NL['cms_wr']->getVal('fileadd');

			$_NL['temp']['elementvalid']=false;

			$_NL['temp']['currentelementcount']=$_NL['temp']['values_number']+$_NL['temp']['add_elements'];



			$_NL['temp']['elementmaxno']=$_NL['newsletter_obj']->getSetting('newsletter_file1_no');
			if (!empty($_NL['temp']['elementmaxno'])) {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');
				$h=1;
				for ($i=$_NL['temp']['currentelementcount'];$i<$_NL['temp']['elementmaxno'];$i++) {
					if ($_NL['temp']['values_number']+$h<=$_NL['temp']['elementmaxno'])
						$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			} else {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');			
				$h=1;
				for ($i=0;$i<4;$i++) {
					$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			}

			if (count($_NL['temp']['values']['add_elements'])>1)
				$_NL['temp']['add_elements_select'] =	
				$_NL['newsletter_obj']->getSelectUni('fileadd',
																					'0',
																				 	$_NL['temp']['values']['add_elements'],
																					'',
																					'document.getElementById(\'apply\').value = 1; CheckEventForm(document.getElementById(\'newsletterform\'));',
																					'style="width:75px;"');
			else
				$_NL['temp']['add_elements_select']='';

			if ($_NL['temp']['currentelementcount']>$_NL['temp']['elementmaxno'] && !empty($_NL['temp']['elementmaxno']))
				$_NL['temp']['currentelementcount']=$_NL['temp']['elementmaxno'];
				
				
				
				
			for($i=0;$i<$_NL['temp']['currentelementcount'];$i++) {
	
				if (empty($_NL['temp']['values']['sort_index'][$i])){
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$_NL['temp']['values_number']-1]+$i-$_NL['temp']['values_number']+1;
					if (empty($_NL['temp']['sort_index']))
						$_NL['temp']['sort_index']=1;
				} else 
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$i];

				if (empty($_NL['temp']['values']['idelement'][$i]))
					$_NL['temp']['idelement']='newfile'.$i;
				else
					$_NL['temp']['idelement']=$_NL['temp']['values']['idelement'][$i];


		    $_NL['temp']['row']['file1sub'] .= str_replace(array(
		    				'{idelement}',
		    				'{idel}',
		            '{select_file1}',
								'{sort_index}',
		            '{path}',
		            '{selected_file1}',
		            '{htmlpath}',
		            '{rb_file_url}',
		            '{ic}',
		            '{lng_file1_description}',
		            '{lng_file1_title}',
		            '{lng_file}',
		            '{lng_sort_index_input_title}',
		            '{file1_description}',
		            '{file1_title}',
		            '{showhide_desc}',
		            '{showhide_checkbox}'
		        ),
		        array(
		        		$_NL['temp']['idelement'],
		        		$_NL['temp']['values']['idelement'][$i],
								$_NL['newsletter_obj']->getSelectUni(	'nlel[file][value_txt][]',
																										 $_NL['temp']['values']['value_txt'][$i],
																										 $_NL['select']['tempdata'],
																											'file'.$_NL['temp']['idelement'],
																											'previewfile(this.value,\''.$cfg_client["htmlpath"].'\',\''.$_NL['temp']['values']['title'][$i].'\',\''.$_NL['temp']['idelement'].'\');return false;',
																											'style="width:303px;"'),
								$_NL['temp']['sort_index'],
		            $_NL['config']['imgpath'],
								$_NL['temp']['values']['value_txt'][$i],
								$cfg_client['htmlpath'],
								$rb_file_url,
		            $i+1,
		            $_NL['newsletter_obj']->lang->get('newsletter_file1_description'),
		            $_NL['newsletter_obj']->lang->get('newsletter_file1_title'),
		            $_NL['newsletter_obj']->lang->get('newsletter_file'),
		            $_NL['newsletter_obj']->lang->get('sort_index_input_title'),
		           	htmlentities($_NL['temp']['values']['description'][$i],ENT_COMPAT,'UTF-8'),
		           	htmlentities($_NL['temp']['values']['title'][$i],ENT_COMPAT,'UTF-8'),
		            (($_NL['newsletter_obj']->getSetting('newsletter_file1_desc')=='true')?'inline':'none'),
		            ((!empty($_NL['temp']['values']['idelement'][$i]))?'inline':'none')
		        ),
		        $_NL['tpl']['file1sub']);
					
					if (!empty($_NL['temp']['values']['value_txt'][$i]))
						$_NL['temp']['elementvalid']=true;

	  	}

		    $_NL['row']['file1'] = str_replace(array(
		    				'{lng_files}',
		            '{lng_elements_sel}',
		            '{lng_elements_del}',
		            '{lng_add}',
		            '{validation_error_cssdisplay}',
		            '{error_empty}',
		    				'{file1sub}',
		            '{path}',
		            '{add_elements}'
		        ),
		        array(
		            $_NL['newsletter_obj']->lang->get('newsletter_files'),		            
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_sel'),
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_del'),
		            $_NL['newsletter_obj']->lang->get('add'),
								(($_NL['newsletter_obj']->getSetting('newsletter_file1_validation')=='true' &&
		            $_NL['temp']['elementvalid']===false)?'inline':'none'),
		            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field'),
		            $_NL['temp']['row']['file1sub'],
		            $_NL['config']['imgpath'],
		            $_NL['temp']['add_elements_select']
		        ),
		        $_NL['tpl']['file1']);	        
	        
	          
    }




    //sf-content
		if ($_NL['newsletter_obj']->getSetting('newsletter_sfcontent') =="true"){      

	    $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
	    $res_sfcontents = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'InternalLink');
	   	$res_sfcontents->setCatIds(explode(',',$_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_idcats')));
			$res_sfcontents->setWithSubcats(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_subcats')=='true'?true:false));
			$res_sfcontents->setShowStartpages(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_startpages')=='true'?true:false));
			$res_sfcontents->setCatsAreChosable(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_choosecats')=='true'?true:false));
	    $rb->addRessource($res_sfcontents);
	    $rb->setJSCallbackFunction('sf_getLink' . $formname, array('picked_name', 'picked_value'));
	    $rb_sfcontent_url = $rb->exportConfigURL();
        
			$_NL['temp']['values']=$_NL['elements']->getDataByType('sfcontent');
			$_NL['temp']['values_number']=count($_NL['temp']['values']['sort_index']);

			if ($_NL['temp']['values_number']<1)
				$_NL['temp']['values_number']=1;

			$_NL['temp']['add_elements']=(int) $_NL['cms_wr']->getVal('sfcontentadd');

			$_NL['temp']['elementvalid']=false;

			$_NL['temp']['currentelementcount']=$_NL['temp']['values_number']+$_NL['temp']['add_elements'];



			$_NL['temp']['elementmaxno']=$_NL['newsletter_obj']->getSetting('newsletter_sfcontent_no');
			if (!empty($_NL['temp']['elementmaxno'])) {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');
				$h=1;
				for ($i=$_NL['temp']['currentelementcount'];$i<$_NL['temp']['elementmaxno'];$i++) {
					if ($_NL['temp']['values_number']+$h<=$_NL['temp']['elementmaxno'])
						$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			} else {
				$_NL['temp']['values']['add_elements']=array();
				$_NL['temp']['values']['add_elements'][0]=$_NL['newsletter_obj']->lang->get('add');			
				$h=1;
				for ($i=0;$i<4;$i++) {
					$_NL['temp']['values']['add_elements'][$h]='+'.$h;
					$h=$h*2;
				}
			}

			if (count($_NL['temp']['values']['add_elements'])>1)
				$_NL['temp']['add_elements_select'] =	
				$_NL['newsletter_obj']->getSelectUni('sfcontentadd',
																					'0',
																				 	$_NL['temp']['values']['add_elements'],
																					'',
																					'document.getElementById(\'apply\').value = 1; CheckEventForm(document.getElementById(\'newsletterform\'));',
																					'style="width:75px;"');
			else
				$_NL['temp']['add_elements_select']='';

			if ($_NL['temp']['currentelementcount']>$_NL['temp']['elementmaxno'] && !empty($_NL['temp']['elementmaxno']))
				$_NL['temp']['currentelementcount']=$_NL['temp']['elementmaxno'];




			for($i=0;$i<$_NL['temp']['currentelementcount'];$i++) {
	
				if (empty($_NL['temp']['values']['sort_index'][$i])){
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$_NL['temp']['values_number']-1]+$i-$_NL['temp']['values_number']+1;
					if (empty($_NL['temp']['sort_index']))
						$_NL['temp']['sort_index']=1;
				} else 
					$_NL['temp']['sort_index']=$_NL['temp']['values']['sort_index'][$i];

				if (empty($_NL['temp']['values']['idelement'][$i]))
					$_NL['temp']['idelement']='newsfcontent'.$i;
				else
					$_NL['temp']['idelement']=$_NL['temp']['values']['idelement'][$i];

		    $_NL['temp']['row']['sfcontentsub'] .= str_replace(array(
		    				'{idelement}',
		    				'{idel}',
								'{sort_index}',
		            '{path}',
								'{link_txt}',
		            '{htmlpath}',
		            '{rb_sfcontent_url}',
		            '{ic}',
		            '{lng_sfcontent_description}',
		            '{lng_sfcontent_title}',
		            '{lng_sfcontent_url}',
		            '{lng_sort_index_input_title}',
		            '{link_description}',
		            '{link_title}',
		            '{showhide_desc}',
		            '{showhide_checkbox}',
		            '{hide_title_css}',
		            '{hide_title_js}'
		        ),
		        array(
		        		$_NL['temp']['idelement'],
		        		$_NL['temp']['values']['idelement'][$i],
								$_NL['temp']['sort_index'],
		            $_NL['config']['imgpath'],
								$_NL['temp']['values']['value_txt'][$i],
								$cfg_client['htmlpath'],
								$rb_sfcontent_url,
		            $i+1,
		            $_NL['newsletter_obj']->lang->get('newsletter_sfcontent_description'),
		            $_NL['newsletter_obj']->lang->get('newsletter_sfcontent_title'),
		            $_NL['newsletter_obj']->lang->get('newsletter_sfcontent_url'),
		            $_NL['newsletter_obj']->lang->get('sort_index_input_title'),
		            htmlentities($_NL['temp']['values']['description'][$i],ENT_COMPAT,'UTF-8'),
		           	htmlentities($_NL['temp']['values']['title'][$i],ENT_COMPAT,'UTF-8'),
		            (($_NL['newsletter_obj']->getSetting('newsletter_sfcontent_desc')=='true')?'inline':'none'),
		            ((!empty($_NL['temp']['values']['idelement'][$i]))?'inline':'none'),
		            (($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_show_title_input')=='false')?'display:none':''),
		            (($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_show_title_input')=='false')?'<script type="text/javascript">var js_ask_for_title=false;</script>':''),
		        ),
		        $_NL['tpl']['sfcontentsub']);
					
					if (!empty($_NL['temp']['values']['value_txt'][$i]))
						$_NL['temp']['elementvalid']=true;

	  	}

		    $_NL['row']['sfcontent'] = str_replace(array(
		    				'{lng_sfcontent}',
		            '{lng_elements_sel}',
		            '{lng_elements_del}',
		            '{lng_add}',
		            '{validation_error_cssdisplay}',
		            '{error_empty}',
		    				'{linksub}',
		            '{path}',
		            '{add_elements}'
		        ),
		        array(
		            $_NL['newsletter_obj']->lang->get('newsletter_sfcontent'),		            
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_sel'),
		            $_NL['newsletter_obj']->lang->get('newsletter_elements_del'),
		            $_NL['newsletter_obj']->lang->get('add'),
								(($_NL['newsletter_obj']->getSetting('newsletter_sfcontent_validation')=='true' &&
		            $_NL['temp']['elementvalid']===false)?'inline':'none'),
		            $_NL['newsletter_obj']->lang->get('newsletter_error_empty_field'),
		            $_NL['temp']['row']['sfcontentsub'],
		            $_NL['config']['imgpath'],
		            $_NL['temp']['add_elements_select']
		        ),
		        $_NL['tpl']['sfcontent']);	        

		}






    //custom
    for ($i=1;$i<11;$i++){
    	if ( $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label')){
    		$_NL['temp']['value']=$_NL['item']->getDataByKey('custom'.$i,true);
			 // text
			 if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='text')
		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{custom'.$i.'}',
		            '{validation_error_cssdisplay}',
		            '{path}',
	            	'{error_empty}'
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['temp']['value'],
		          	(($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
	            	$_NL['config']['imgpath'],
	            	$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i]);
		   // textarea
			 if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='textarea' || $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='wysiwyg')
		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{custom'.$i.'}',
		            '{validation_error_cssdisplay}',
		            '{wysiwyg}',
		            '{path}',
	           		'{error_empty}'		             
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['temp']['value'],
		            (($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
		            (($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='wysiwyg')?'class="mceEditor w800"':''),
	            	$_NL['config']['imgpath'],
	           		$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i.'_textarea']);
		   // date		       
			 if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='date'){
			  $_NL['temp']['date_splited']=explode('-',$_NL['temp']['value']);
		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{lng_day}',
		            '{lng_month}',
		            '{lng_year}',
		            '{custom'.$i.'}',
		            '{custom'.$i.'_day}',
		            '{custom'.$i.'_month}',
		            '{custom'.$i.'_year}',
		            '{validation_error_cssdisplay}',
		            '{path}',
	            	'{error_empty}'
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['newsletter_obj']->lang->get('day'),
		            $_NL['newsletter_obj']->lang->get('month'),
		            $_NL['newsletter_obj']->lang->get('year'),
		            ((empty($_NL['temp']['value']))?'0000-00-00':$_NL['temp']['value']),
		            ((empty($_NL['temp']['date_splited'][2]))?'':sprintf ("%02d",(int) $_NL['temp']['date_splited'][2])) ,
		            ((empty($_NL['temp']['date_splited'][1]))?'':sprintf ("%02d",(int) $_NL['temp']['date_splited'][1])),
		            ((empty($_NL['temp']['date_splited'][0]))?'':sprintf ("%04d",(int) $_NL['temp']['date_splited'][0])),
		          	(($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
	            	$_NL['config']['imgpath'],
	            	$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i.'_date']);		     
		    }   
		   // time		       
			 if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='time'){
			  $_NL['temp']['time_splited']=explode(':',$_NL['temp']['value']);
		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{lng_hour}',
		            '{lng_minute}',
		            '{custom'.$i.'}',
		            '{custom'.$i.'_minute}',
		            '{custom'.$i.'_hour}',
		            '{validation_error_cssdisplay}',
		            '{path}',
	            	'{error_empty}'
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['newsletter_obj']->lang->get('hour'),
		            $_NL['newsletter_obj']->lang->get('minute'),
		            ((empty($_NL['temp']['value']))?'00:00':$_NL['temp']['value']),
		            ((empty($_NL['temp']['time_splited'][1]))?'':sprintf ("%02d",(int) $_NL['temp']['time_splited'][1])),
		            ((empty($_NL['temp']['time_splited'][0]))?'':sprintf ("%02d",(int) $_NL['temp']['time_splited'][0])),
		          	(($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
	            	$_NL['config']['imgpath'],
	            	$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i.'_time']);		     
		    }   		        
		        

			// select
	    if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='select') {
				$_NL['custom']['tempdataarray']=array();
	    	$_NL['custom']['tempdataarray']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');
	    	$_NL['custom']['tempdata']=trim($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_select_values'));

				if (!empty($_NL['custom']['tempdata'])){
		    	$_NL['custom']['temparray']=explode("\n",$_NL['custom']['tempdata']);
	    		foreach ($_NL['custom']['temparray'] as $k => $v) {
	    			$v=htmlentities(trim($v),ENT_COMPAT,'UTF-8');
	    			$_NL['custom']['tempdataarray'][$v]=$v;
	    		}
	    	}

		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{custom'.$i.'_select}',
		            '{custom'.$i.'_mem}',
		            '{custom'.$i.'_input}',
		            '{validation_error_cssdisplay}',
		            '{path}',
	            	'{error_empty}'
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['newsletter_obj']->getSelectUni(	'newsletter[custom'.$i.']',	$_NL['item']->getDataByKey('custom'.$i),
																																							$_NL['custom']['tempdataarray'],
																																							'custom'.$i,
																																							'',
																																							'class="w800"  style="font-size:1em;"'),
								'',
								'',
								(($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
	            	$_NL['config']['imgpath'],
	            	$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i.'_select']);	    
		    }
		  // select2
	    if ($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_type')=='select2') {
				$_NL['custom']['tempdataarray']=array();
	    	$_NL['custom']['tempdataarray']['']=$_NL['newsletter_obj']->lang->get('newsletter_non_selected_string');
	    	$_NL['custom']['tempdatastatic']=trim($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_select_values'));
	    	$_NL['custom']['temparray']=explode("\n",$_NL['custom']['tempdatastatic']);

				// fill option-array with static vals
    		foreach ($_NL['custom']['temparray'] as $v) {
    			$v=stripslashes(str_replace('&amp;','&',$v));
					$v=htmlentities($v,ENT_COMPAT,'UTF-8');
					if (!empty($v))
    				$_NL['custom']['tempdataarray'][trim($v)]=trim($v);
    		}

				// fill option-array with vals from newsletters
				$sql = "SELECT custom".$i." FROM ".$cfg_cms['db_table_prefix']."plug_newslettersystem 
								WHERE idclient=".$client." AND idlang=".$lang;
		    $db -> query($sql);
				while($db -> next_record()) {
					$v=htmlentities(trim($db->f('custom'.$i)),ENT_COMPAT,'UTF-8');
					if (!empty($v))
						$_NL['custom']['tempdataarray'][$v]=$v;
				}			

				$_NL['custom']['tempdataarray']=array_unique($_NL['custom']['tempdataarray']);
				natcasesort($_NL['custom']['tempdataarray']);

		    $_NL['row']['custom'.$i] = str_replace(array(
		            '{lng_custom'.$i.'}',
		            '{custom'.$i.'_select}',
		            '{custom'.$i.'_mem}',
		            '{custom'.$i.'_input}',
		            '{validation_error_cssdisplay}',
		            '{path}',
	            	'{error_empty}'
		        ),
		        array(
		            $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'),
		            $_NL['newsletter_obj']->getSelectUni(	'newsletter[custom'.$i.']',	htmlentities($_NL['item']->getDataByKey('custom'.$i),ENT_COMPAT,'UTF-8'),
																																							$_NL['custom']['tempdataarray'],
																																							'custom'.$i,
																																							'',
																																							'class="w800"  style="width:392px;font-size:1em;"'),
		            $_NL['newsletter_obj']->getSelectUni(	'newsletter[custom'.$i.'mem]',	htmlentities($_NL['item']->getDataByKey('custom'.$i),ENT_COMPAT,'UTF-8'),
																																							$_NL['custom']['tempdataarray'],
																																							'custom'.$i.'mem',
																																							'',
																																							'style="display:none;"'),
								'<input id="'.'custom'.$i.'input'.'" name="'.'newsletter[custom'.$i.'input]'.'" value="" class="w800" style="width:392px;font-size:1em;margin-left:5px;" onchange="addoptiontoselect(\'custom'.$i.'\',this.value);"/>',
								(($_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_validation')=='true' &&
	            	empty($_NL['temp']['value']))?'inline':'none'),
	            	$_NL['config']['imgpath'],
	            	$_NL['newsletter_obj']->lang->get('newsletter_error_empty_field')
		        ),
		        $_NL['tpl']['custom'.$i.'_select']);	    
		    }
	    }
    }
               

    //Buttons
    $_NL['row']['buttons'] = str_replace(array(
            '{back}',
            '{back_url}',
            '{back_label}',
        ),
        array(
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
            $_NL['newsletter_obj']->lang->get('back')
        ),
        $_NL['tpl']['buttons']);



    //Tpls je nach Einstellung zusammenbauen
    $_NL['temp']['output'] = '';
    $_NL['temp']['output'] .= $_NL['row']['online'];
    $_NL['temp']['output'] .= $_NL['row']['newsletter_start'];
    $_NL['temp']['output'] .= $_NL['row']['newsletter_end'];
    $_NL['temp']['output'] .= $_NL['row']['template'];
    $_NL['temp']['output'] .= $_NL['row']['group'];
    $_NL['temp']['output'] .= $_NL['row']['title'];

    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_teaser_sortindex')][] = $_NL['row']['teaser'];
    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_text_sortindex')][] = $_NL['row']['text'];
    for ($i=1;$i<11;$i++)
    	$_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_sortindex')][] = $_NL['row']['custom'.$i];
    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_picture1_sortindex')][] = $_NL['row']['picture1'];
    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_file1_sortindex')][] = $_NL['row']['file1'];
    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_link_sortindex')][] = $_NL['row']['link'];
    $_NL['temp']['output_sortable_elements'][$_NL['newsletter_obj']->getSetting('newsletter_sfcontent_sortindex')][] = $_NL['row']['sfcontent'];

		ksort($_NL['temp']['output_sortable_elements'],SORT_NUMERIC);
		foreach($_NL['temp']['output_sortable_elements'] as $v1){
			natsort($v1);
			foreach($v1 as $v2)
			$_NL['temp']['output'] .=$v2;
		}
#    $_NL['temp']['output'] .= ($_NL['newsletter_obj']->getSetting('set_organizer') == 1) ? $_NL['row']['organizer'] : '';
    $_NL['temp']['output'] .= $_NL['row']['buttons'];

		// try to get the cms-ui-language from backend language  
		$_NL['tinylanguage']=strtolower(substr($cfg_cms['backend_lang'],0,2));
		// no supported language > English
		if ($_NL['tinylanguage']!="de" && $_NL['tinylanguage']!="en" && $_NL['tinylanguage']!="fr") $_NL['tinylanguage']='en';
		$_NL['tpl']['tinyscripts']=str_replace('{language}',$_NL['tinylanguage'],$_NL['tpl']['tinyscripts']);

		$_NL['tpl']['tiny_buttons_1']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_buttons_1'));
		$_NL['tpl']['tiny_buttons_2']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_buttons_2'));
		$_NL['tpl']['tiny_buttons_3']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_buttons_3'));
		$_NL['tpl']['tiny_formats']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_formats'));
		$_NL['tpl']['tiny_css']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_css'));
		$_NL['tpl']['tiny_templatedir']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_template_path'));
		$_NL['tpl']['tiny_formats']=trim($_NL['newsletter_obj']->getSetting('wysiwyg_formats'));

		
		// get available tinymce template-plugin templates
		$_NL['tinymce_tpl-files']=array();
		if (is_dir($cfg_client['path'].$_NL['tpl']['tiny_templatedir'])) {
			if ($handle = opendir($cfg_client['path'].$_NL['tpl']['tiny_templatedir'])) {
			    while (false !== ($file = readdir($handle))) {
			        if ($file != "." && $file != ".." && strpos($file,'.htm')) {
									$description = '';
									if (is_file($cfg_client['path'].$_NL['tpl']['tiny_templatedir'].'/'.$file)) {
				        		$filecontents = file($cfg_client['path'].$_NL['tpl']['tiny_templatedir'].'/'.$file);
										$description = trim(str_replace(array('<!--','-->'),array('',''),$filecontents[0]));
									} 
									$filename = $file;
									$last_pos = strrpos($filename, ".");
									$name = substr($filename, "0", $last_pos);
			            $_NL['tinymce_tpl-files'][]='{title:"'.$name.'",src:"'.$cfg_cms['cms_html_path'].'plugins/newslettersystem/tpl/tinymce/'.$filename.'",description:"'.$description.'"}';
			        }
			    }
			    closedir($handle);
			}
		}	
		if (count($_NL['tinymce_tpl-files'])>0) {
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-files}',implode(','."\n",$_NL['tinymce_tpl-files']),$_NL['tpl']['tinyscripts']);
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-plugin}','template,',$_NL['tpl']['tinyscripts']);
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-button}','template,separator,',$_NL['tpl']['tinyscripts']);

		}	else	{
			$_NL['tpl']['tiny_buttons_1']=str_replace('template','',$_NL['tpl']['tiny_buttons_1']);
			$_NL['tpl']['tiny_buttons_2']=str_replace('template','',$_NL['tpl']['tiny_buttons_2']);
			$_NL['tpl']['tiny_buttons_3']=str_replace('template','',$_NL['tpl']['tiny_buttons_3']);
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-files}','',$_NL['tpl']['tinyscripts']);
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-plugin}','',$_NL['tpl']['tinyscripts']);
			$_NL['tpl']['tinyscripts']=str_replace('{tinymce_tpl-button}','',$_NL['tpl']['tinyscripts']);
		}
		

		if (empty($_NL['tpl']['tiny_formats'])) {
				$_NL['tpl']['tiny_buttons_1']=str_replace('formatselect','',$_NL['tpl']['tiny_buttons_1']);
				$_NL['tpl']['tiny_buttons_2']=str_replace('formatselect','',$_NL['tpl']['tiny_buttons_2']);
				$_NL['tpl']['tiny_buttons_3']=str_replace('formatselect','',$_NL['tpl']['tiny_buttons_3']);
		}
		if (empty($_NL['tpl']['tiny_css'])) {
				$_NL['tpl']['tiny_buttons_1']=str_replace('styleselect','',$_NL['tpl']['tiny_buttons_1']);
				$_NL['tpl']['tiny_buttons_2']=str_replace('styleselect','',$_NL['tpl']['tiny_buttons_2']);
				$_NL['tpl']['tiny_buttons_3']=str_replace('styleselect','',$_NL['tpl']['tiny_buttons_3']);
		}

		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_buttons_1}',$_NL['tpl']['tiny_buttons_1'],$_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_buttons_2}',$_NL['tpl']['tiny_buttons_2'],$_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_buttons_3}',$_NL['tpl']['tiny_buttons_3'],$_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_formats}',$_NL['tpl']['tiny_formats'],$_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_css}',trim($_NL['newsletter_obj']->getSetting('wysiwyg_css')),$_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_height}',trim($_NL['newsletter_obj']->getSetting('wysiwyg_height')),$_NL['tpl']['tinyscripts']);

		// resource browser inits
	  $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
	  $res_file = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'FileManager');

		$filetypes_s = $_NL['newsletter_obj']->getSetting('file_select_filetypes');
			if (!empty($filetypes_s))
				$filetypes = explode(',', $filetypes_s);
			else {
					$sql = "SELECT filetype, description FROM ". $cms_db['filetype'] ." ORDER BY description, filetype";		          
					$db->query($sql);
					while ($db->next_record())
						$filetypes[] = $db->f('filetype');
			}
			$folders_s = $_NL['newsletter_obj']->getSetting('file_select_folders');
			if (!empty($folders_s))
				$folders = explode(',', $folders_s);
			else
				$folders = array();
	
	  $res_file->setFiletypes($filetypes);
	  $res_file->setFolderIds($folders);
		$res_file->setWithSubfoders( $_NL['newsletter_obj']->getSetting('file_select_subfolders')=="true" ? true : false );
	  $res_file->setReturnValueMode('sefrengolink');
	  $rb->addRessource($res_file);
		$res_links =&$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'InternalLink');
   	$res_links->setCatIds(explode(',',$_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_idcats')));
		$res_links->setWithSubcats(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_subcats')=='true'?true:false));
		$res_links->setShowStartpages(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_startpages')=='true'?true:false));
		$res_links->setCatsAreChosable(($_NL['newsletter_obj']->getSetting('newsletter_sfcontents_select_choosecats')=='true'?true:false));
		$rb->addRessource($res_links);
	  $rb->setJSCallbackFunction('sf_getFile' . $formname, array('picked_name', 'picked_value'));
	  $rb_file_url = $rb->exportConfigURL();

		$filetypes_s = 'jpg,jpeg,gif,png';
		$filetypes = explode(',', $filetypes_s);
		$folders_s = $_NL['newsletter_obj']->getSetting('picture_select_folders');
		if (!empty($folders_s))
			$folders = explode(',', $folders_s);
		else
			$folders = array();
	  
	  $rb = &$GLOBALS['sf_factory']->getObjectForced('GUI', 'RessourceBrowser');
	  $res_image = &$GLOBALS['sf_factory']->getObjectForced('GUI/RESSOURCES', 'FileManager');
	  $res_image->setFiletypes($filetypes);
	  $res_image->setFolderIds($folders);
		$res_image->setWithSubfoders( $_NL['newsletter_obj']->getSetting('picture_select_subfolders')=="true" ? true : false );
	  $res_image->setReturnValueMode('sefrengolink');
	  $rb->addRessource($res_image);
	  $rb->setJSCallbackFunction('sf_getImage' . $formname, array('picked_name', 'picked_value'));
	  $rb_image_url = $rb->exportConfigURL();			

		$_NL['tpl']['tinyscripts']=str_replace('{sf_rb_file_url}',$rb_file_url, $_NL['tpl']['tinyscripts']);
		$_NL['tpl']['tinyscripts']=str_replace('{sf_rb_image_url}', $rb_image_url, $_NL['tpl']['tinyscripts']);

		$_NL['tpl']['tinyscripts']=str_replace('{tinymce_docbaseurl}', $cfg_client['htmlpath'], $_NL['tpl']['tinyscripts']);


		$_NL['temp']['othlangnewsletters']=array();
		$_NL['temp']['othlangnewslettersall']=array();
		$_NL['temp']['othlangnewslettersall']=$_NL['item']->getIdAndLangFromHash($_NL['item']->getDataByKey('hash'));

		if (!empty($_NL['idnewslettermem']))
			$_NL['temp']['filterlang']=$_NL['temp']['othlangnewslettersall'][$_NL['idnewslettermem']];
		else 
			$_NL['temp']['filterlang']=$_NL['item']->getDataByKey('idlang');

		$_NL['temp']['othlangnewsletters']	=	$_NL['item']->getIdAndLangFromHash($_NL['item']->getDataByKey('hash'),$_NL['temp']['filterlang']);

		$langs=array();
 		$langs=$_NL['newsletter_obj']->getClientLangs();	

		
		$_NL['temp']['othlangcopyselarr'][0]=$_NL['newsletter_obj']->lang->get('newsletter_langcopyfrom');

		foreach($_NL['temp']['othlangnewsletters'] as $k => $v)
			$_NL['temp']['othlangcopyselarr'][$k]=$langs[$v];
		
		$_NL['temp']['othlangcopyselect']='';
		if (count($_NL['temp']['othlangcopyselarr'])>1)
	   $_NL['temp']['othlangcopyselect'] = $_NL['newsletter_obj']->getSelectUni(	'langcopy','',
																									$_NL['temp']['othlangcopyselarr'],
																									'langcopy',
																									'',
																									'onchange=" document.getElementById(\'apply\').value = 1;document.getElementById(\'newsletterform\').submit();" style="font-size:1.1em;margin-top:-5px;margin-bottom:-3px;margin-right:15px;"');



    $_NL['output']['body'] = str_replace(array(
       			'{idnewslettermem}',
   					'{onlinemem}',
   					'{langcopyselect}',
    				'{valid}',
            '{body}',
            '{action}',
            '{formurl}',
            '{jspath}',
            '{idnewsletter}',
            '{hash}',
            '{archived}',
            '{htmlpath}',
            '{uplhtmlpath}',
            '{thumbext}',
            '{additional_body_scripts}',
            '{validation_icon}',
            '{question_delete}',
            '{question_reset}',
            '{js_get_title1}',
            '{js_get_title2}'
        ),
        array(
        		((!empty($_NL['idnewslettermem']))?$_NL['idnewslettermem']:$_NL['item']->getDataByKey('idnewsletter')),
        		( $_NL['temp']['online'] == 1 || 
            ((empty($_NL['idnewsletter']) || $_GET['action']=='dupl_newsletter') && $_NL['newsletter_obj']->getSetting('new_newsletters_online')=='true')) ? '1' : '0',
        		$_NL['temp']['othlangcopyselect'],
        		$_NL['valid'],
            $_NL['temp']['output'],
            $_NL['newsletter_obj']->lang->get('action_'.$_NL['action']),
            $_NL['form_url'] = $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&page='.$_NL['cms_wr']->getVal('page').'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['cms_wr']->getVal('callist_search').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
            $cfg_cms['cms_html_path'].'plugins/newslettersystem/js/',
             ((!empty($_NL['idnewslettermem']))?$_NL['idnewslettermem']:$_NL['item']->getDataByKey('idnewsletter')),
            ($_NL['item']->getDataByKey('hash') != '') ? $_NL['item']->getDataByKey('hash') : '',
            $_NL['item']->getDataByKey('archived'),
            $cfg_client["htmlpath"],
						$cfg_client["upl_htmlpath"],
						$cfg_client["thumbext"],
						($_NL['newsletter_obj']->getSetting('wysiwyg')=="true") ?  $_NL['tpl']['tinyscripts'] : '',
						(($_POST['action']=='save_newsletter')?'info_error.gif':'info_warning.gif'),
						$_NL['newsletter_obj']->lang->get('question_delete'),
						$_NL['newsletter_obj']->lang->get('question_reset'),
						$_NL['newsletter_obj']->lang->get('js_get_title1'),
						$_NL['newsletter_obj']->lang->get('js_get_title2')
        ),
        $_NL['tpl']['body']);

    //Ausgabe der ersetzten Tpls
    echo $_NL['output']['back'];
    echo $_NL['output']['body'];
    
    function type_config_string_to_array($string)
{
    if (! empty($string) && $string != 'true' && $string != 'false') {
        if (substr($string, 0, 1) == ',') {
            $string = substr($string, 1);
        } 
    } else {
        return array();
    } 

    $string = str_replace(' ', '', $string);
    $arr = explode(',', $string);
    foreach($arr AS $k => $v) {
        if ($v == '') {
            unset($arr[$k]);
        } 
    } 

    return $arr;
} 

?>
