<?php
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');
}

    //Collectionklasse laden
    include_once $_NL['basedir'] . 'inc/class.statuscollection.php';
    include_once $_NL['basedir'] . 'inc/class.newslettercollection.php';
    include_once $_NL['basedir'] . 'inc/paginator.php';
		include_once $_NL['basedir'] . 'inc/fnc.newsletter_utilities.php';
    //Tpl einladen
    include_once $_NL['basedir'] . 'tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/tpl.status_list.php';


    //Externe Variablen per CMS WebRequest holen
    $_NL['idstatus'] = $_NL['cms_wr']->getVal('idstatus');
 		$_NL['status_sel'] = $_NL['cms_wr']->getVal('status_sel');
 		if (is_array($_NL['status_sel']))
 		 	$_NL['status_sel'] = array_filter($_NL['status_sel']);
 		$_NL['subarea']=$_NL['cms_wr']->getVal('subarea');;
 		$_NL['action']=$_NL['cms_wr']->getVal('action');;
    //Einige Config-Vars direkt holen
    $_NL['config']['date'] =  $_NL['newsletter_obj']->defaultval['display']['date'];
    $_NL['config']['time'] =  $_NL['newsletter_obj']->defaultval['display']['time'];
    $_NL['config']['perpage'] =  $_NL['newsletter_obj']->defaultval['display']['perpage'];

    $_NL['singlestatus_obj'] = new SingleStatus;
		
    //Aktionen abarbeiten
    if($_NL['action']=='abort' && empty($_NL['status_sel'])) {
        if(is_numeric($_NL['idstatus'])) {
            $_NL['singlestatus_obj']->Status($_NL['idstatus'],'abort');
        }
    } else if ($_NL['action']=='abort' && !empty($_NL['status_sel'])) {
     				foreach ($_NL['status_sel'] as $v) {
	            $_NL['singlestatus_obj']->Status($v,'abort');
        		}        		
    } else if($_NL['action']=='delete' && empty($_NL['status_sel'])) {
        if(is_numeric($_NL['idstatus'])) {
        		$_NL['singlestatus_obj']->loadById($_NL['idstatus']);
            $_NL['singlestatus_obj']->delete($_NL['idstatus']);
        }
    } else if ($_NL['action']=='delete' && !empty($_NL['status_sel'])) {
     				foreach ($_NL['status_sel'] as $v) {
     					$_NL['singlestatus_obj']->loadById($v);
	            $_NL['singlestatus_obj']->delete();
        		}        		
    } else if($_NL['action']=='pause' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='abort' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='done' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='error' &&
    						empty($_NL['status_sel'])) {
        if(is_numeric($_NL['idstatus'])) {
            $_NL['singlestatus_obj']->Status($_NL['idstatus'],'pause');
        }
    } else if(	$_NL['action']=='continue' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='abort' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='done' &&
    						$_NL['singlestatus_obj']->Status($_NL['idstatus'])!='error' &&
    						empty($_NL['status_sel'])) {
        if(is_numeric($_NL['idstatus'])) {
        
            $_NL['singlestatus_obj']->Status($_NL['idstatus'],'start');
        }
    } 

    //Collection intialisieren
    $_NL['collection'] = new StatusCollection();
    $_NL['singlenewsletter_obj'] = new SingleNewsletter();
		
    //Header der Tabelle hinzuf&uuml;gen
    $_NL['output']['header'] = str_replace(array(
        '{lng_action_start}',
        '{lng_action_end}',
        '{lng_status}',
        '{lng_title}',
        '{lng_current}',
        '{lng_actions}',
        '{lng_sent}'
      ),
      array(
        $_NL['newsletter_obj']->lang->get('action_start'),
        $_NL['newsletter_obj']->lang->get('action_end'),
        $_NL['newsletter_obj']->lang->get('status'),
        $_NL['newsletter_obj']->lang->get('title'),
        $_NL['newsletter_obj']->lang->get('current'),
        $_NL['newsletter_obj']->lang->get('actions'),
        $_NL['newsletter_obj']->lang->get('sent')
      ),
      $_NL['tpl']['list_header']);

    $i=0;
    
    
   	$_NL['items']=$_NL['collection']->get();
    $_NL['items_arrays']=$_NL['items']->arr;
  	$_NL['current_page']=$_NL['cms_wr']->getVal('page');;
  	$_NL['no_of_entries']=$_NL['newsletter_obj']->getSetting('number_of_entries');
		if (empty($_NL['current_page']))
			$_NL['current_page']=1;

		$_NL['pager'] = new Paginator($_NL['current_page'],$_NL['collection']->countitems());
		//sets the number of records displayed
		//defaults to five			
		$_NL['pager']->set_Limit($_NL['no_of_entries']);
		$_NL['pager']->set_Links(10); 
		//if using numbered links this will set the number before and behind 
		//the current page.

		//gets starting point.
		$_NL['pager_limit1'] = $_NL['pager']->getRange1();	 
		//gets number of items displayed on page.
		$_NL['pager_limit2'] = $_NL['pager']->getRange2();	 
		
		$_NL['pager_links'] = $_NL['pager']->getLinkArr();
		$_NL['pager_current']=$_NL['pager']->getCurrent();			

		$_NL['pager_base_url']=$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_status');

		$_NL['page_nav']='';
		if ($_NL['pager']->getTotalPages()>1) {

			if($_NL['pager']->getPrevious())
				$_NL['page_nav'] .= '<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager']->getPrevious().'">&lsaquo;&lsaquo;</a>';

			for($i=0;$i<count($_NL['pager_links']);$i++) {
				$_NL['pager_link']=$_NL['pager_links'][$i];
				if($_NL['pager_link'] == $_NL['current_page'])
						$_NL['page_nav'] .= '&nbsp;<span class="akt"><a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager_link'].'">'.($_NL['pager_link']).'</a></span>';
				else
						$_NL['page_nav'] .= '&nbsp;<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager_link'].'">'.($_NL['pager_link']).'</a>';
			}

			if($_NL['pager']->getNext())
				$_NL['page_nav'] .= '&nbsp;<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager']->getNext().'">&rsaquo;&rsaquo;</a>';

		}
		
		
		
		$_NL['collection']->setLimit($_NL['pager_limit2'],$_NL['pager_limit1']);
    $_NL['collection']->generate();
    
   	$_NL['items']=$_NL['collection']->get();
    $_NL['items_arrays']=$_NL['items']->arr;
    
    
    //F&uuml;r jeden geladenenen Eintrag durchlaufen
    foreach ($_NL['items_arrays'] as $v) {

        //Tpl in Tmp-Var kopieren
        $_NL['temp']['list_output'] = $_NL['tpl']['list_row'];

				$_NL['current_item']=$v->_data;

        $i++; //Zeilennummer erh&ouml;hen

        //Startdate
        if( (int) $_NL['current_item']['action_start']!=0 ) 
	        $_NL['temp']['list_output'] = str_replace('{startdate}', date($_NL['config']['date'].' H:i', strtotime($_NL['current_item']['action_start'])), $_NL['temp']['list_output']);
				else
	        $_NL['temp']['list_output'] = str_replace('{startdate}','<span class="grey">'.date($_NL['config']['date'], strtotime($_NL['current_item']['created'])).'</span>', $_NL['temp']['list_output']);


        if( (int) $_NL['current_item']['action_end']!=0 ) {
          $_NL['temp']['list_output'] = str_replace('{enddate}', date($_NL['config']['date'].' H:i', strtotime($_NL['current_item']['action_end'])), $_NL['temp']['list_output']);
        } else {
          $_NL['temp']['list_output'] = str_replace('{enddate}', '', $_NL['temp']['list_output']);
        }

				$_NL['singlenewsletter_obj']->loadById($_NL['current_item']['idnewsletter']);

				$_NL['temp']['receivercount']=nl_countReceivers($_NL['singlenewsletter_obj']->getDataByKey('idgroup'),$_NL['current_item']['idstatus']);

				if ($_NL['current_item']['sstatus']!='done')
	        $_NL['temp']['list_output'] = str_replace('{sent}', $_NL['temp']['receivercount']['sent'].(!empty($_NL['temp']['receivercount']['sent'])?'/'.($_NL['temp']['receivercount']['sent']+$_NL['temp']['receivercount']['send']):''), $_NL['temp']['list_output']);
				else
	        $_NL['temp']['list_output'] = str_replace('{sent}', $_NL['temp']['receivercount']['sent'].(!empty($_NL['temp']['receivercount']['sent'])?'/'.($_NL['temp']['receivercount']['sent']):''), $_NL['temp']['list_output']);


        $_NL['temp']['list_output'] = str_replace('{status}', $_NL['newsletter_obj']->lang->get('status_'.$_NL['current_item']['sstatus']), $_NL['temp']['list_output']);

        $_NL['temp']['list_output'] = str_replace('{title}', $_NL['current_item']['title'], $_NL['temp']['list_output']);

				if ($_NL['current_item']['sstatus']=='pause')
	        $_NL['temp']['list_output'] = str_replace('{pause}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=continue&idstatus='.$_NL['current_item']['idstatus']).'&page='.$_NL['current_page'].'" ><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/action_go.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('continue').'"></a>', $_NL['temp']['list_output']);
				else if ($_NL['current_item']['sstatus']=='start' )
        	$_NL['temp']['list_output'] = str_replace('{pause}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=pause&idstatus='.$_NL['current_item']['idstatus']).'&page='.$_NL['current_page'].'" ><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/action_pause.png" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('pause').'"></a>', $_NL['temp']['list_output']);
				else
        	$_NL['temp']['list_output'] = str_replace('{pause}', '<img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/space.gif" width="16" height="16" border="0" >', $_NL['temp']['list_output']);

				if ($_NL['current_item']['sstatus']!='done' && $_NL['current_item']['sstatus']!='abort' && $_NL['current_item']['sstatus']!='error') {
					$_NL['temp']['list_output'] = str_replace('{abort}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=abort&idstatus='.$_NL['current_item']['idstatus']).'&page='.$_NL['current_page'].'" onClick="return confirmabort()"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/action_stop.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('abort').'"></a>', $_NL['temp']['list_output']);
					$_NL['temp']['list_output'] = str_replace('{idstatus}','',$_NL['temp']['list_output']);
					$_NL['temp']['list_output'] = str_replace('{delete}', '<img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/space.gif" width="16" height="16" border="0"/>', $_NL['temp']['list_output']);
				} else {
					$_NL['temp']['list_output'] = str_replace('{abort}','',$_NL['temp']['list_output']);
					$_NL['temp']['list_output'] = str_replace('{idstatus}', $_NL['current_item']['idstatus'], $_NL['temp']['list_output']);
	        $_NL['temp']['list_output'] = str_replace('{delete}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=delete&idstatus='.$_NL['current_item']['idstatus']).'&page='.$_NL['current_page'].'" onClick="return confirmdelete()"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_deleteside.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('delete').'"></a>', $_NL['temp']['list_output']);
				}


        //Zeile zur Tabelle hinzuf&uuml;gen
        $_NL['output']['body'] .= $_NL['temp']['list_output'];

    }//Ende for    
    
									
    //vorherige - n&auml;chste ersetzen
    $_NL['output']['list_prevnext'] = str_replace(array(	
    				'{page_nav}',
            '{prev_url}',
            '{next_url}',
            '{prev_label}',
            '{next_label}'
          ),
          array(
           $_NL['page_nav'],
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']-$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']+$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $_NL['newsletter_obj']->lang->get('prev'),
            $_NL['newsletter_obj']->lang->get('next')
          ),
          $_NL['tpl']['list_prevnext']);


    //Eintrag gefunden
    if($_NL['collection']->count() > 0) {
        $_NL['output']['list_body'] = str_replace('{body}', $_NL['output']['header'].$_NL['output']['body'], $_NL['tpl']['list_body']);

    //Keine Eintrge gefunden
    } else {
        $_NL['temp']['nothing_found'] = $_NL['output']['header'];
        $_NL['temp']['nothing_found'].= str_replace('{msg}', $_NL['newsletter_obj']->lang->get('nothing_found'), $_NL['tpl']['nothing_found']);

        $_NL['output']['list_body'] = str_replace('{body}', $_NL['temp']['nothing_found'], $_NL['tpl']['list_body']);
    }


    //Ausgabe der ersetzten Tpls
#    echo $_NL['output']['new_number_filter'];
    
    //vorherige - n&auml;chste ersetzen
    echo str_replace(array(	
					'{list_prevnext}',
					'{list_range_prevnext}',
					'{question_abort}',
					'{question_delete}',
          '{revert_selection}',
          '{abort_selected}',
          '{formurl}',
          '{skin}'
          ),
          array(
					$_NL['output']['list_prevnext'],
					$_NL['output']['list_range_prevnext'],
					$_NL['newsletter_obj']->lang->get('question_abort'),
					$_NL['newsletter_obj']->lang->get('question_delete'),
					$_NL['newsletter_obj']->lang->get('revert_selection'),
					$_NL['newsletter_obj']->lang->get('abort_selected'),
					$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['current_page']),
					$_NL['newsletter_obj']->getSetting('skin')

          ),
          $_NL['output']['list_body']);
    

?>
