<?php
//Wenn die Klasse Array Iterator nicht vorhanden ist, laden
if(!class_exists('NlArrayIterator')) {
    include_once str_replace ('\\', '/', dirname(__FILE__) . '/') . 'class.arrayiterator.php';
}

class BounceCollection {
        var $_data = array();
        var $_env = array(
            );
        var $_default_where = "";
        var $_add_where = "";
        
        //Anzahl der Eintr&auml;ge einschr&auml;nken
        /* $lines = Anzahl der Zeilen
          $offset = Starte ab dieser Zeile */
        function setLimit($lines, $offset="0") {
            if(!is_numeric($offset)) {
                $this->writeError('offset <b>'.$offset.'</b> is not numeric', __FILE__, __CLASS__, __FUNCTION__);
                return false;
            } else if(!is_numeric($lines)) {
                $this->writeError('lines <b>'.$lines.'</b> is not numeric', __FILE__, __CLASS__, __FUNCTION__);
                return false;
            } else {
                $this->_env['limit'] = " LIMIT ".$offset.",".$lines;
                return true;
            }
        }
        
        function generate() {
            global $adodb, $client, $lang, $cfg_cms,$_NL;

            $this->_data = array();

			      if ($_NL['newsletter_obj']->multilang_newsletter)
							$langman=$lang;
						else
							$langman=1;

            if (empty($this->_default_where))
        			$this->_default_where = "idclient=".$client." AND idlang=".$langman;

            //zusaetzlich generieren: Kategoriename, Veranstaltername
            $sql = "SELECT
                        *
                    FROM
                        ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                    WHERE
                        ".$this->_default_where." ".$this->_add_where." 
                    ORDER BY
                        bouncecount DESC, uid ASC, umail ASC
                        ".$this->_env['limit'];
#            echo $sql;

            $rs = $adodb->Execute($sql);
            if ($rs === false) die("failed");

            while (!$rs->EOF) {
                $item = new SingleBounce();
                $_data = array(
                    'idbounce' => $rs->fields['idbounce'],
                    'idclient' => $rs->fields['idclient'],
                    'idlang' => $rs->fields['idlang'],
                    'umail' => $rs->fields['umail'],
                    'uid' => $rs->fields['uid'],
                    'bouncecount' => $rs->fields['bouncecount']
                );

                $item->loadByData($_data);
                array_push($this->_data, $item);

                $rs->MoveNext();
            }

            $rs->Close();
        }

        function &get() {
            $i = new NlArrayIterator();
            $i->loadByRef($this->_data);
            return $i;
        }

        //alle treffer andrucken
        function count() {
            return count($this->_data);
        }

       function countitems() {

            global $adodb, $client, $lang, $cfg_cms,$_NL;

			      if ($_NL['newsletter_obj']->multilang_newsletter!='false')
							$langman=$lang;
						else
							$langman=1;
							            //zusaetzlich generieren: Kategoriename, Veranstaltername
            if (empty($this->_default_where))
        			$this->_default_where = "idclient=".$client." AND idlang=".$langman;

            //zusaetzlich generieren: Kategoriename, Veranstaltername
            $sql = "SELECT
                        count(*) as number
                    FROM
                        ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                    WHERE
                        ".$this->_default_where." ".$this->_add_where." 
                    ORDER BY
                        bouncecount DESC, uid ASC, umail ASC";
                       

          	//echo "<pre>".$sql."</pre>";
            $rs = $adodb->Execute($sql);
            if ($rs === false) die("failed");
						return $rs->fields['number'];
        }

        //Gibt eine Fehlermeldung aus
        function writeError($msg, $file, $class, $function)
        {
            if($this->error_report==true) //Fehlermeldung ausgeben?
            {
                echo '<strong>Error:</strong> '.$msg.' <br /><strong>File:</strong> '.$file.'<br /><strong>Class:</strong> '.$class.'<br /><strong>Function:</strong> '.$function.'()';
            }
            return false;
        }
}




class SingleBounce {
		var $status_translation = array('stop'=>0,'start'=>1,'pause'=>2,'abort'=>3,'done'=>4,'error'=>5);
    var $_data = array(
		                    'idbounce' => '',
		                    'idclient' => '',
		                    'idlang' => '',
		                    'umail' => '',
		                    'uid' => '',
		                    'bouncecount' => ''
       							 );
    var $_is_loaded = false;
    var $_dirty = false;
    var $_dontsave = array();
    var $_extra = array();

    function __construct() { }

    function loadById($id) {
        global $adodb, $cfg_cms;
        
        $id = (int) $id;
        
        $sql = "SELECT
                    *
                FROM
                    ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                WHERE
                    idbounce='".$id."';";

        $rs = $adodb->Execute($sql);
        if ($rs === false) 
        {
            //echo "load by id failed".$sql."<br/>";
            return FALSE;
            //die("failed");
        }
				
        $_data = array(
                    'idbounce' => $rs->fields['idbounce'],
                    'idclient' => $rs->fields['idclient'],
                    'idlang' => $rs->fields['idlang'],
                    'umail' => $rs->fields['umail'],
                    'uid' => $rs->fields['uid'],
                    'bouncecount' => $rs->fields['bouncecount']
        );

        $rs->Close();

        $this->loadByData($_data);
    }

    function loadByUMail($umail) {
        global $adodb, $cfg_cms;

        $sql = "SELECT
                    *
                FROM
                    ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                WHERE
                    umail='".addslashes($umail)."';";

        $rs = $adodb->Execute($sql);
        if ($rs === false)
        {
            //echo "load by email failed".$sql."<br/>";
            return FALSE;
            //die("failed");
        }
				
        $_data = array(
                    'idbounce' => $rs->fields['idbounce'],
                    'idclient' => $rs->fields['idclient'],
                    'idlang' => $rs->fields['idlang'],
                    'umail' => $rs->fields['umail'],
                    'uid' => $rs->fields['uid'],
                    'bouncecount' => $rs->fields['bouncecount']
        );

        $rs->Close();

        $this->loadByData($_data);
    }

    function loadByData($incoming_data, $set_dirtyflag = false) {
        foreach($incoming_data as $key => $value)
        {
            $this->_set($key, $value, $set_dirtyflag);
        }

        $this->_is_loaded = true;
    }


    function getDataByKey($key,$transform=false) {
    		if ($transform)
    			return htmlentities($this->_data[$key],ENT_COMPAT,'UTF-8');
        return $this->_data[$key];
    }


    function _set($key, $val, $set_dirtyflag = true) {
        if (array_key_exists($key, $this->_data)) {
            $this->_data[$key] = $val;
            if ($set_dirtyflag) {
                $this->_dirty = true;
            }
            return true;
        }

        return false;
    }

    function setData($key, $val, $set_dirtyflag = true) {
        if (array_key_exists($key, $this->_data)) {
            $this->_data[$key] = $val;
            if ($set_dirtyflag) {
                $this->_dirty = true;
            }
            return true;
        }

        return false;
    }
    
    function _setSpecial() {
        global $client, $lang, $auth,$_NL;
	      if ($_NL['newsletter_obj']->multilang_newsletter!='false')
					$langman=$lang;
				else
					$langman=1;
        $this->_set('idclient', $client, false);
        $this->_set('idlang', $langman, false);

    }

    function save() {
        global $adodb, $cfg_cms;


        if ($this->_dirty) {
            if ($this->_data['idbounce'] > 0) {
                $this->_setSpecial();

                $this->_dontsave[] = 'idbounce';
                $this->_dontsave[] = 'idclient';
                $this->_dontsave[] = 'idlang';
#                
#                $this->_dontsave[] = 'uid';
#                $this->_dontsave[] = 'bouncecount';
#                $this->_dontsave[] = 'userid';

                $set_sql = array();
                foreach($this->_data as $key => $value)
                {
                    if(!in_array($key, $this->_dontsave)) {
                    	if (is_string($value))
                        $set_sql[] = $key."='".$value."'";
                      else
                      	 $set_sql[] = $key."=".$value;
                    }
                }

              	$sql = "UPDATE
                        ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                      SET
                        ".implode($set_sql, ", ")."
                      WHERE
                          idbounce='".$this->_data['idbounce']."';";
                            
               //echo $sql;
               $adodb->Execute($sql);
                
            } else {
                $this->_setSpecial();

                $keys_sql = array();
                $values_sql = array();
                $this->_dontsave[] = 'idbounce';
                foreach($this->_data as $key => $value)
                {
                		if(!in_array($key, $this->_dontsave)) {
                    $values_sql[] = "'".$value."'";
                    $keys_sql[] = $key;
                		}
                }
                
                $sql = "INSERT INTO
                            ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                             (".implode($keys_sql, ', ').")
                        VALUES
                             (".implode($values_sql, ', ').")";

                //echo $sql;
                $adodb->Execute($sql);

                //Die neue ID in das Objekt speichern, falls sie sofort gebraucht wird
                $this->setData('idbounce', $adodb->Insert_ID());
            }

            $this->_dirty = false;
        }
    }

    function delete() {
        global $adodb, $cfg_cms;

        if ($this->_data['idbounce'] > 0) {
            $sql = "DELETE FROM
                        ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
                    WHERE
                        idbounce='".$this->_data['idbounce']."'";
            $adodb->Execute($sql);
            
        }
    }

    // sets and gets status
    function Bounce($id,$status='',$idisidnl=false) {
#
#        global $adodb, $cfg_cms; //, $_NL;
#				$status_translation = $this->status_translation;
#
#
#        if ($idisidnl==false)
#                    $sqlid = "idbounce='".$id."';";
#        else
#                    $sqlid = "umail='".$id."';";   
#
#				if (!empty($status) && array_key_exists($status,$status_translation)){
#
#            $sql = "UPDATE
#                     ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
#                    SET
#                     sstatus=".(int) $status_translation[$status].
#                     (($status=='abort')?", umail = ''":"")." 
#                    WHERE ";
#
#            $rs = $adodb->Execute($sql.$sqlid);
#            $rs->Close();
#        } else {
#        	$status_translation = array_flip ($this->status_translation);
#
#            $sql = "SELECT
#                        *
#                    FROM
#                        ".$cfg_cms['db_table_prefix']."plug_newslettersystem_bounce
#                    WHERE ";
#
#            $rs = $adodb->Execute($sql.$sqlid);
#            if ($rs === false) die("failed");
#						$rs->Close();
#						return $status_translation[$rs->fields['sstatus']];
#       
#        }
        
     
    }    
    

}







?>
