<?php
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');
}

    //Collectionklasse laden
    include_once $_NL['basedir'] . 'inc/class.statuscollection.php';
    include_once $_NL['basedir'] . 'inc/class.newslettercollection.php';
    include_once $_NL['basedir'] . 'inc/paginator.php';
		include_once $_NL['basedir'] . 'inc/fnc.generate_newsletter.php';
		include_once $_NL['basedir'] . 'inc/fnc.newsletter_utilities.php';
		
    //Externe Variablen per CMS WebRequest holen
    $_NL['idnewsletter'] = $_NL['cms_wr']->getVal('idnewsletter');
 		$_NL['newsletter_sel'] = $_NL['cms_wr']->getVal('newsletter_sel');
 		if (is_array($_NL['newsletter_sel']))
 		 	$_NL['newsletter_sel'] = array_filter($_NL['newsletter_sel']);
 		$_NL['subarea']=$_NL['cms_wr']->getVal('subarea');;
    //Einige Config-Vars direkt holen
    $_NL['config']['date'] =  $_NL['newsletter_obj']->defaultval['display']['date'];
    $_NL['config']['time'] =  $_NL['newsletter_obj']->defaultval['display']['time'];
    $_NL['config']['perpage'] =  $_NL['newsletter_obj']->defaultval['display']['perpage'];

    $_NL['temp']['startmonth'] = $_NL['cms_wr']->getVal('startmonth');
    $_NL['config']['startmonth'] = ($_NL['temp']['startmonth']=='') ? date("m") : $_NL['temp']['startmonth'];

    $_NL['temp']['monthback'] = $_NL['cms_wr']->getVal('monthback');
    $_NL['config']['monthback'] = (empty($_NL['temp']['monthback'])) ? $_NL['newsletter_obj']->getSetting('number_of_month') : $_NL['temp']['monthback'];

    //
    function available($datetime=array())
    {

     	if (empty($datetime))
    		return true;
      $bool = array();
      $checked = false;
      $current_dz=mktime(0,0,0,date('m'),date('d'),date('Y'));
      $current_d=mktime(23,59,59,date('m'),date('d'),date('Y'));
      $current_dt=mktime(date('H'),date('i'),0,date('m'),date('d'),date('Y'));
      $newsletter_startdate = strtotime($datetime['newsletter_startdate']);
      $newsletter_starttime_yn = $datetime['newsletter_starttime_yn'];
      $newsletter_starttime = strtotime( $datetime['newsletter_starttime']);
      $newsletter_enddate_yn = $datetime['newsletter_enddate_yn'];
      $newsletter_enddate = strtotime($datetime['newsletter_enddate']);
      $newsletter_endtime_yn = $datetime['newsletter_endtime_yn'];
      $newsletter_endtime = strtotime($datetime['newsletter_endtime']);
	
			if ($newsletter_startdate>$current_d)
				return false;
				
			if (!empty($newsletter_starttime_yn) &&  $newsletter_starttime>$current_dt)
				return false;

			if (!empty($newsletter_endtime_yn) && !empty($newsletter_enddate_yn) &&  $newsletter_enddate<$current_dt)
				return false;

			if (!empty($newsletter_enddate_yn) &&  $newsletter_enddate<$current_dz)
				return false;

			if (!empty($newsletter_endtime_yn) &&  $newsletter_endtime<$current_dt)
				return false;
				
			return true;
    }


    //Aktionen abarbeiten
    if($_NL['action']=='switch_online' || $_NL['action']=='switch_offline') {
        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
        if(is_numeric($_NL['idnewsletter'])) {
            $_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
            //Online
            if($_NL['action']=='switch_online') {
                $_NL['singlenewsletter_obj']->update_online(1);
            } else {
                $_NL['singlenewsletter_obj']->update_online(0);
            }
        }
    } else if ($_NL['action']=='onlineoffline_newsletter' && !empty($_NL['newsletter_sel'])) {
      	if (is_array($_NL['newsletter_sel']))
	        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
     				foreach ($_NL['newsletter_sel'] as $v) {
	            $_NL['singlenewsletter_obj']->loadById($v);
	            $online=$_NL['singlenewsletter_obj']->getDataByKey('online');
	            //Online
	            if($online) {
	                $_NL['singlenewsletter_obj']->update_online(0);
	            } else {
	                $_NL['singlenewsletter_obj']->update_online(1);
	            }
	        }
		} else if($_NL['action']=='switch_archive' || $_NL['action']=='switch_dearchive') {

        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
        if(is_numeric($_NL['idnewsletter'])) {
            $_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
            //archived
            if($_NL['action']=='switch_archive') {
                $_NL['singlenewsletter_obj']->update_archived(1);
            } else {
                $_NL['singlenewsletter_obj']->update_archived(0);
            }
        }
    } else if ($_NL['action']=='archivedearchive_newsletter' && !empty($_NL['newsletter_sel'])) {
      	if (is_array($_NL['newsletter_sel']))
	        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
     				foreach ($_NL['newsletter_sel'] as $v) {
	            $_NL['singlenewsletter_obj']->loadById($v);
	            $archived=$_NL['singlenewsletter_obj']->getDataByKey('archived');
	            //archived
	            if($archived) {
	                $_NL['singlenewsletter_obj']->update_archived(0);
	            } else {
	                $_NL['singlenewsletter_obj']->update_archived(1);
	            }
	        }
		} else if($_NL['action']=='delete_newsletter' && empty($_NL['newsletter_sel'])) {
        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
        if(is_numeric($_NL['idnewsletter'])) {
            $_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
            $_NL['singlenewsletter_obj']->delete();
        }
    } else if ($_NL['action']=='delete_newsletter' && !empty($_NL['newsletter_sel'])) {
      	if (is_array($_NL['newsletter_sel']))
	        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
     				foreach ($_NL['newsletter_sel'] as $v) {
	            $_NL['singlenewsletter_obj']->loadById($v);
	            $_NL['singlenewsletter_obj']->delete();
        		}        		
    } else if($_NL['action']=='send_newsletter' && empty($_NL['newsletter_sel'])) {
        $_NL['singlenewsletter_obj'] = new SingleNewsletter;
        if(is_numeric($_NL['idnewsletter'])) {
         			$_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
     					if ($_NL['singlenewsletter_obj']->getDataByKey('idgroup')!=''){
	         			$_NL['status_obj'] = new SingleStatus();
	         			$_NL['status_obj']->setData('title',$_NL['singlenewsletter_obj']->_data['title']);
	     					$_NL['status_obj']->setData('idnewsletter',$_NL['idnewsletter']);
	     					$_NL['status_obj']->setData('sstatus','start');
								$_NL['status_obj']->save();
            	}
        }
    } else if ($_NL['action']=='send_newsletter' && !empty($_NL['newsletter_sel'])) {				
      	if (is_array($_NL['newsletter_sel'])) {
	       	 $_NL['singlenewsletter_obj'] = new SingleNewsletter;
     				foreach ($_NL['newsletter_sel'] as $v) {
     					$_NL['singlenewsletter_obj']->loadById($v);
     					if ($_NL['singlenewsletter_obj']->getDataByKey('idgroup')!=''){
	     					$_NL['singlenewsletter_obj']->loadById($v);
	     					$_NL['status_obj'] = new SingleStatus();
	     					$_NL['status_obj']->setData('title',$_NL['singlenewsletter_obj']->_data['title']);
	     					$_NL['status_obj']->setData('idnewsletter',$v);
	     					$_NL['status_obj']->setData('sstatus','start');
		            $_NL['status_obj']->save();
	            }
        		}
        	}        		
    }

   	$_NL['status_obj'] = new SingleStatus();
    //Collection intialisieren
    $_NL['collection'] = new NewsletterCollection();
		
		$_NL['temp']['searchstring']=stripslashes($_NL['cms_wr']->getVal('callist_search'));
		if (!empty($_NL['temp']['searchstring'])) {
			//$_NL['collection']->setDateRange();
			$_NL['config']['monthback']=-1;
			$_NL['temp']['searchfields']=array();
			$_NL['temp']['searchfields'][]='title';
			$_NL['temp']['searchfields'][]='text';
			$_NL['temp']['searchfields'][]='teaser';
	    for ($i=1;$i<11;$i++){
	    	if ( $_NL['newsletter_obj']->getSetting('newsletter_custom'.$i.'_label'))
					$_NL['temp']['searchfields'][]='custom'.$i;
			}

			$_NL['collection']->setLimit(100);
			$_NL['collection']->setSearchString($_NL['temp']['searchstring'],$_NL['temp']['searchfields']);
		}
		
    //Zeitraum NICHT bei "alle Artikele" benutzen
    if($_NL['config']['monthback'] > 0) {
        //falsch: //$_NL['collection']->setDateRange( mktime(0,0,0,$_NL['config']['startmonth']-$_NL['config']['monthback']+1,1), mktime(23,59,59,$_NL['config']['startmonth'], date("t",mktime(23,59,59,$_NL['config']['startmonth']))) );
		$_NL['collection']->setDateRange( mktime(0,0,0,$_NL['config']['startmonth'],1), mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1,date("t",mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1))) );
    }
    //Nur eine bestimmte Kategorie ausw?hlen
    if(!empty($_REQUEST['callist_flt_template']))
   		$_NL['collection']->setIdtemplate($_NL['cms_wr']->getVal('callist_flt_template'));
		

		
		$_NL['temp']['searchstring']=htmlentities(stripslashes($_NL['cms_wr']->getVal('callist_search')),ENT_COMPAT,'UTF-8');
    //Anzahl eingrenzen
    //$_NL['collection']->setLimit($_NL['config']['per_page']);

    //Offline geschaltete Artikele anzeigen?
    $_NL['collection']->setHideOffline(false);
    if ($_NL['subarea']=='archive')
	 		$_NL['collection']->setHideArchived(false);
    //Nur eine bestimmte Kategorie auswhlen
    //$_NL['collection']->setIdtemplate(6);


    //Eintr&auml;ge laden

#   	$_NL['items']=$_NL['collection']->get();
#    $_NL['items_arrays']=$_NL['items']->arr;
#		// archive sent newsletters
#    if ($_NL['newsletter_obj']->getSetting('use_archive') &&
#    		$_NL['newsletter_obj']->getSetting('sent_auto_archive')=='true' ){
#     		for ($c=0;$c<count($_NL['items_arrays']);$c++) {
#    			$_NL['current_item']=$_NL['items_arrays'][$c]->_data;
#      		if ($_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='done' && $_NL['current_item']['archived']==0) {
#      			$_NL['singlenewsletter_obj'] = new SingleNewsletter;
#						$_NL['singlenewsletter_obj']->loadById($_NL['current_item']['idnewsletter']);
#      			$_NL['singlenewsletter_obj']->update_archived(1);
#      		}
#      	}
#		}


    //Eintr&auml;ge laden
    

    //Tpl einladen
    include_once $_NL['basedir'] . 'tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/tpl.newsletter_list.php';


			// collect templates data
	  $_NL['temp']['template'] = $_NL['newsletter_obj']->getCategory();
		$_NL['select']['catdata']=array();
		$_NL['select']['catdata']['']=$_NL['newsletter_obj']->lang->get('template_filter');
		//$_NL['temp']['selected'] = $_NL['item']->getDataByKey('idtemplate');
		foreach($_NL['temp']['template'] as $_NL['temp']['idtemplate'] => $_NL['temp']['name'])			
			$_NL['select']['catdata'][$_NL['temp']['idtemplate']]=$_NL['temp']['name'];

		// remove template-column header placeholder if no templates are available or feature is off
    if($_NL['newsletter_obj']->getSetting('set_template')!=1 || count($_NL['select']['catdata'])<2)
			$_NL['tpl']['list_header']=str_replace('{lng_template}','', $_NL['tpl']['list_header']);

    //Header der Tabelle hinzuf&uuml;gen
    $_NL['output']['header'] = str_replace(array(
        '{lng_start}',
        '{lng_end}',
        '{lng_created}',
        '{lng_title}',
        '{lng_current}',
        '{lng_turnus}',
        '{lng_actions}',
        '{lng_template}',
        '{css_hide_valid_column}'
      ),
      array(
        $_NL['newsletter_obj']->lang->get('start'),
        $_NL['newsletter_obj']->lang->get('end'),
        $_NL['newsletter_obj']->lang->get('created'),
        $_NL['newsletter_obj']->lang->get('title'),
        $_NL['newsletter_obj']->lang->get('current'),
        $_NL['newsletter_obj']->lang->get('turnus'),
        $_NL['newsletter_obj']->lang->get('actions'),
        '<th width="20%" align="left">'.$_NL['newsletter_obj']->lang->get('newsletter_template').'&nbsp;</th>',
        (($_NL['newsletter_obj']->getSetting('use_onoffline')!='false')?'':'display:none;')
      ),
      $_NL['tpl']['list_header']);

    $i=0;
    
    

  	$_NL['current_page']=$_NL['cms_wr']->getVal('page');;
  	$_NL['no_of_entries']=$_NL['newsletter_obj']->getSetting('number_of_entries');
		if (empty($_NL['current_page']))
			$_NL['current_page']=1;

		$_NL['pager'] = new Paginator($_NL['current_page'],$_NL['collection']->countitems());
		//sets the number of records displayed
		//defaults to five			
		$_NL['pager']->set_Limit($_NL['no_of_entries']);
		$_NL['pager']->set_Links(10); 
		//if using numbered links this will set the number before and behind 
		//the current page.

		//gets starting point.
		$_NL['pager_limit1'] = $_NL['pager']->getRange1();	 
		//gets number of items displayed on page.
		$_NL['pager_limit2'] = $_NL['pager']->getRange2();	 
		
		$_NL['pager_links'] = $_NL['pager']->getLinkArr();
		$_NL['pager_current']=$_NL['pager']->getCurrent();			

		$_NL['pager_base_url']=$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']);

		$_NL['page_nav']='';
		if ($_NL['pager']->getTotalPages()>1) {

			if($_NL['pager']->getPrevious())
				$_NL['page_nav'] .= '<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager']->getPrevious().'">&lsaquo;&lsaquo;</a>';

			for($i=0;$i<count($_NL['pager_links']);$i++) {
				$_NL['pager_link']=$_NL['pager_links'][$i];
				if($_NL['pager_link'] == $_NL['current_page'])
						$_NL['page_nav'] .= '&nbsp;<span class="akt"><a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager_link'].'">'.($_NL['pager_link']).'</a></span>';
				else
						$_NL['page_nav'] .= '&nbsp;<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager_link'].'">'.($_NL['pager_link']).'</a>';
			}

			if($_NL['pager']->getNext())
				$_NL['page_nav'] .= '&nbsp;<a href="'.$_NL['pager_base_url'].'&page='.$_NL['pager']->getNext().'">&rsaquo;&rsaquo;</a>';

		}


		$_NL['collection']->setLimit($_NL['pager_limit2'],$_NL['pager_limit1']);
    $_NL['collection']->generate();
    
   	$_NL['items']=$_NL['collection']->get();
    $_NL['items_arrays']=$_NL['items']->arr;

		$_NL['temp']['pers_std_data']['salutation']=$_NL['newsletter_obj']->getSetting('default_testmail_pers_salutation');
		$_NL['temp']['pers_std_data']['firstname']=$_NL['newsletter_obj']->getSetting('default_testmail_pers_firstname');
		$_NL['temp']['pers_std_data']['lastname']=$_NL['newsletter_obj']->getSetting('default_testmail_pers_lastname');
    
    
    //F&uuml;r jeden geladenenen Eintrag durchlaufen
    foreach ($_NL['items_arrays'] as $v) {

        //Tpl in Tmp-Var kopieren
        $_NL['temp']['list_output'] = $_NL['tpl']['list_row'];

				$_NL['current_item']=$v->_data;

        //Anker setzen, wenn ben&ouml;tigt
        if($_NL['cms_wr']->getVal('idnewsletter') == $_NL['current_item']['idnewsletter']) {
            $_NL['temp']['list_output'] = str_replace('{anchor}', '<a name="anchor">&nbsp;</a>', $_NL['temp']['list_output']);
        } else {
            $_NL['temp']['list_output'] = str_replace('{anchor}', '&nbsp;', $_NL['temp']['list_output']);
        }

        //Row-ID ersetzen
        $_NL['temp']['list_output'] = str_replace('{trid}', $i, $_NL['temp']['list_output']);
        $i++; //Zeilennummer erh&ouml;hen
        $_NL['temp']['list_output'] = str_replace('{online}', $_NL['current_item']['online'], $_NL['temp']['list_output']);

        //Startdate
        if($_NL['current_item']['newsletter_startdate_yn'] == 1)
	        $_NL['temp']['list_output'] = str_replace('{startdate}', date($_NL['config']['date'], strtotime($_NL['current_item']['newsletter_startdate'])), $_NL['temp']['list_output']);
				else
	        $_NL['temp']['list_output'] = str_replace('{startdate}','<span class="grey">'.date($_NL['config']['date'], strtotime($_NL['current_item']['created'])).'</span>', $_NL['temp']['list_output']);
					
        //Starttime
        if($_NL['current_item']['newsletter_startdate_yn'] == 1 && $_NL['current_item']['newsletter_starttime_yn'] == 1) {
          $_NL['temp']['list_output'] = str_replace('{starttime}', date($_NL['config']['time'], strtotime($_NL['current_item']['newsletter_starttime'])).$_NL['newsletter_obj']->lang->get('hour'), $_NL['temp']['list_output']);
        } else {
          $_NL['temp']['list_output'] = str_replace('{starttime}', '', $_NL['temp']['list_output']);
        }

        //Enddate - einmalige gesondert behandeln
        if($_NL['current_item']['newsletter_enddate_yn'] == 1 ) {
          $_NL['temp']['list_output'] = str_replace('{enddate}', date($_NL['config']['date'], strtotime($_NL['current_item']['newsletter_enddate'])), $_NL['temp']['list_output']);
        } else {
          $_NL['temp']['list_output'] = str_replace('{enddate}', '', $_NL['temp']['list_output']);
        }

        //Endtime
        if($_NL['current_item']['newsletter_enddate_yn'] == 1 && $_NL['current_item']['newsletter_endtime_yn'] == 1) {
          $_NL['temp']['list_output'] = str_replace('{endtime}', date($_NL['config']['time'], strtotime($_NL['current_item']['newsletter_endtime'])).$_NL['newsletter_obj']->lang->get('hour'), $_NL['temp']['list_output']);
        } else {
          $_NL['temp']['list_output'] = str_replace('{endtime}', '', $_NL['temp']['list_output']);
        }
        
        //Created date
        $_NL['temp']['list_output'] = str_replace('{created}', date($_NL['config']['date'], strtotime($_NL['current_item']['created'])), $_NL['temp']['list_output']);

        //Katgorie?
        if($_NL['newsletter_obj']->getSetting('set_template')==1 && count($_NL['select']['catdata'])>1) {

        unset($_NL['temp']['templates_string'],$_NL['temp']['templates_string_array']);

				if (strpos($_NL['current_item']['idtemplate'],'|')!==false) {
				
					$_NL['temp']['templates_string_array']=array();
				
					foreach(array_filter(explode('|',$_NL['current_item']['idtemplate'])) as $v)
						$_NL['temp']['templates_string_array'][]=(strlen($_NL['select']['catdata'][$v])>16)?substr($_NL['select']['catdata'][$v],0,16).'&nbsp;...':$_NL['select']['catdata'][$v];
				
					$_NL['temp']['templates_string']=implode('<br/>',$_NL['temp']['templates_string_array']);
				
				} elseif ($_NL['current_item']['idtemplate']!='')					
	        $_NL['temp']['templates_string']=$_NL['select']['catdata'][$_NL['current_item']['idtemplate']];
        
          $_NL['temp']['list_output'] = str_replace('{template}','<td class="entry" nowrap>'.$_NL['temp']['templates_string'].'</td>', $_NL['temp']['list_output']);
        
        } else {
        	// remove template-column placeholder if no templates are available or feature is off
          $_NL['temp']['list_output'] = str_replace('{template}', '', $_NL['temp']['list_output']);
        }
        
        //Titel & Turnus
        $_NL['temp']['list_output'] = str_replace('{title}', $_NL['current_item']['title'], $_NL['temp']['list_output']);
//        $_NL['temp']['list_output'] = str_replace('{turnus}', $_NL['newsletter_obj']->lang->get('turnus_'.$_NL['current_item']['turnus_type']), $_NL['temp']['list_output']);

				$valid	= true;
				$valid	= available(array(	'newsletter_startdate' 	=> $_NL['current_item']['newsletter_startdate'],
																		'newsletter_starttime_yn' 	=> $_NL['current_item']['newsletter_starttime_yn'],
																		'newsletter_starttime' 	=> $_NL['current_item']['newsletter_starttime'],
																		'newsletter_enddate_yn' 	=> $_NL['current_item']['newsletter_enddate_yn'],
																		'newsletter_enddate' 		=> $_NL['current_item']['newsletter_enddate'],
																		'newsletter_endtime_yn' 	=> $_NL['current_item']['newsletter_endtime_yn'],
																		'newsletter_endtime' 		=> $_NL['current_item']['newsletter_endtime'] )
													);

        //Aktionslinks
        if ( $_NL['newsletter_obj']->getSetting('use_onoffline')!='false')
	        if($_NL['current_item']['online'] == 1) {
	        		if ($_NL['current_item']['newsletter_enddate_yn']==1 && $valid===true){
	 							$_NL['temp']['list_output'] = str_replace('{state}', '&nbsp;&nbsp;<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_offline&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_online_timeron.png" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_offline').'"></a>', $_NL['temp']['list_output']);
	         		} else if ($_NL['current_item']['newsletter_enddate_yn']==1 && $valid!==true){
	 							$_NL['temp']['list_output'] = str_replace('{state}', '&nbsp;&nbsp;<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_offline&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_online_timeroff.png" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_offline').'"></a>', $_NL['temp']['list_output']);
	        		} else {
		            $_NL['temp']['list_output'] = str_replace('{state}', '&nbsp;&nbsp;<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_offline&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_online.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_offline').'"></a>', $_NL['temp']['list_output']);
	        		}
	        } else {
	            $_NL['temp']['list_output'] = str_replace('{state}', '&nbsp;&nbsp;<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_online&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_offline.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_online').'"></a>', $_NL['temp']['list_output']);
	        }
	      else
	      	$_NL['temp']['list_output'] = str_replace('{state}', '',$_NL['temp']['list_output']);
        

				if ($_NL['newsletter_obj']->getSetting('use_archive'))
	        if($_NL['current_item']['archived'] == 1) {
		          $_NL['temp']['list_output'] = str_replace('{archived}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_dearchive&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor" onClick="return confirmarchive()"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/flag_red.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_dearchive').'"></a>', $_NL['temp']['list_output']);
	        } else {
	            $_NL['temp']['list_output'] = str_replace('{archived}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=switch_archive&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'#anchor" onClick="return confirmarchive()"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/flag_green.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('switch_archive').'"></a>', $_NL['temp']['list_output']);
	        }
	      else
					$_NL['temp']['list_output'] = str_replace('{archived}&nbsp;&nbsp;', '',$_NL['temp']['list_output']);

        $_NL['temp']['list_output'] = str_replace('{preview}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'plugins/newslettersystem/preview.php?action=preview_newsletter&lang='.$lang.'&client='.$client.'&idnewsletter='.$_NL['current_item']['idnewsletter']).'&keepThis=true&TB_iframe=true&width=670&height=450" class="thickbox"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/icon_previewmail.png" width="24" height="16" border="0" style="margin-bottom:-1px;" title="'.$_NL['newsletter_obj']->lang->get('preview').'"></a>', $_NL['temp']['list_output']);


				if ((	$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='stop' ||
							$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='' ||
							$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='done' ||
							$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='abort') &&
							$_NL['subarea']!='archive' && $perm->have_perm(1, 'area_plug_newslettersystem' ,0) == true)
	        $_NL['temp']['list_output'] = str_replace('{send}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=send_newsletter&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'" onClick="return confirmsend()"><img src="plugins/newslettersystem/tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/icon_email.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('send').'"></a>', $_NL['temp']['list_output']);
				else
	        $_NL['temp']['list_output'] = str_replace('{send}', '<img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/space.gif" width="16" height="16" border="0"/>', $_NL['temp']['list_output']);

				if ( $_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)!='start' &&
						 $_NL['subarea']!='archive') {
	        $_NL['temp']['list_output'] = str_replace('{edit}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=edit_newsletter&idnewsletter='.$_NL['current_item']['idnewsletter'].'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']).'"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_edit.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('edit').'"></a>', $_NL['temp']['list_output']);
				} else {
	        $_NL['temp']['list_output'] = str_replace('{edit}', '<img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/space.gif" width="16" height="16" border="0"/>', $_NL['temp']['list_output']);
				}

				if ( $_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='start') {
					$_NL['temp']['list_output'] = str_replace('{cssjs_special_bg}','this.style[\'background\']=\'#ffeedf\';',$_NL['temp']['list_output']);
					$_NL['temp']['list_output'] = str_replace('{css_special_bg}','style="background:#ffeedf !important;"',$_NL['temp']['list_output']);
				} else {
					$_NL['temp']['list_output'] = str_replace('{cssjs_special_bg}','',$_NL['temp']['list_output']);
					$_NL['temp']['list_output'] = str_replace('{css_special_bg}','',$_NL['temp']['list_output']);
				}

				
				if ($_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='stop' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='done' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='abort')
	        $_NL['temp']['list_output'] = str_replace('{delete}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=delete_newsletter&idnewsletter='.$_NL['current_item']['idnewsletter']).'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback'].'" onClick="return confirmdelete()"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_deleteside.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('delete').'"></a>', $_NL['temp']['list_output']);
				else
	        $_NL['temp']['list_output'] = str_replace('{delete}', '<img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/space.gif" width="16" height="16" border="0"/>', $_NL['temp']['list_output']);

        $_NL['temp']['list_output'] = str_replace('{dupl}', '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea=newsletter&action=dupl_newsletter&idnewsletter='.$_NL['current_item']['idnewsletter'].'&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']).'"><img src="tpl/'.$_NL['newsletter_obj']->getSetting('skin').'/img/but_duplicate.gif" width="16" height="16" border="0" title="'.$_NL['newsletter_obj']->lang->get('dupl').'"></a>', $_NL['temp']['list_output']);

				if ($_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='stop' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='done' ||
						$_NL['status_obj']->Status($_NL['current_item']['idnewsletter'],'',true)=='abort')
				$_NL['temp']['list_output'] = str_replace('{idnewsletter}', $_NL['current_item']['idnewsletter'], $_NL['temp']['list_output']);
				else 
				$_NL['temp']['list_output'] = str_replace('{idnewsletter}', '', $_NL['temp']['list_output']);
				$_NL['temp']['list_output'] = str_replace('{css_hide_valid_column}',(($_NL['newsletter_obj']->getSetting('use_onoffline')!='false')?'':'display:none;'), $_NL['temp']['list_output']);

				foreach ($_NL['temp']['pers_std_data'] as $k => $v) 
					$_NL['temp']['list_output']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['temp']['list_output'],$_NL['temp']['pers_std_data'],$k,$v));
				

        //Zeile zur Tabelle hinzuf&uuml;gen
        $_NL['output']['body'] .= $_NL['temp']['list_output'];

    }//Ende for    
    
		if ($_NL['newsletter_obj']->getSetting('set_template')!=1 || count($_NL['select']['catdata'])<2)
			$_NL['tpl']['list_new_number_filter'] = str_replace('{select_template}','', $_NL['tpl']['list_new_number_filter']);
    //Neuer Artikel - Anzahl - Filter ersetzen
    $_NL['output']['new_number_filter'] = str_replace(array(    
						'{hide_new_button}',
            '{new}',
            '{new_url}',
            '{new_label}',
            '{select_number}',
#            '{select_turnus}',
            '{select_template}',
            '{searchform_start}',
            '{searchform_end}',
            '{search}',
            '{lng_search}',
            '{lng_showrange}',
            '{startrange}',
            '{endrange}',
    				'{imprec_label}',
    				'{imprec_url}',
    				'{imprec_csshide}'
          ),
          array(
          	(($_NL['subarea']=='archive')?'display:none;':''),
            '<a class="action" href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=new_newsletter&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']).'">'.$_NL['newsletter_obj']->lang->get('action_new_newsletter').'</a>',
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=new_newsletter&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
            $_NL['newsletter_obj']->lang->get('action_new_newsletter'),
            '<form name="numberform" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="callist_flt_template" value="'.$_NL['cms_wr']->getVal('callist_flt_template').'">
                 <input type="hidden" name="callist_search" value="">
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'">
                '.$_NL['newsletter_obj']->getSelectMonthBack('monthback', $_NL['config']['monthback'], ' style="font-weight:bold;"', ' onChange="numberform.submit()"', true).'
            </form>',
#            $_NL['newsletter_obj']->getSelectTurnus('', '', 'onChange="selectFilterTable(\'newsletterlist\', this);"', true, true),
            '<form name="form_callist_flt_template" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <div style="display:none;"><input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="monthback" value="'.$_NL['cms_wr']->getVal('monthback').'">
                <input type="hidden" name="callist_search" value="'.$_NL['temp']['searchstring'].'">
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'"></div>
                '.$_NL['newsletter_obj']->getSelectUni(	'callist_flt_template',
																									 $_NL['cms_wr']->getVal('callist_flt_template'),
																									 $_NL['select']['catdata'],
																										'callist_flt_template',
																										'form_callist_flt_template.submit();return false;',
																										'').'
            </form>',
            '<form name="form_callist_search" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="monthback" value="'.$_NL['cms_wr']->getVal('monthback').'">
                <input type="hidden" name="callist_flt_template" value="'.$_NL['cms_wr']->getVal('callist_flt_template').'">
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'">',
            '</form>',
            '<input type="text" name="callist_search" value="'.$_NL['temp']['searchstring'].'" class="search_input"/>',
            $_NL['newsletter_obj']->lang->get('search'),
            ($_NL['config']['monthback'] != -1) ? $_NL['newsletter_obj']->lang->get('showrange').':':'',
            ($_NL['config']['monthback'] == -1) ? $_NL['newsletter_obj']->lang->get('turnus_all') : date($_NL['config']['date'], mktime(0,0,0,$_NL['config']['startmonth'],1)),
            ($_NL['config']['monthback'] == -1) ? '' : ' - '.date($_NL['config']['date'], mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1,date("t",mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1)))),
            $_NL['newsletter_obj']->lang->get('impreccsv'),
	          $sess->url($cfg_cms['cms_html_path'].'plugins/newslettersystem/impreccsv.php?action=impreccsv&lang='.$lang.'&client='.$client.'&idnewsletter='.$_NL['current_item']['idnewsletter']).'&keepThis=true&TB_iframe=true&width=670&height=450',
           (($_NL['newsletter_obj']->getSetting('impreccsv')=='false' || $_NL['subarea']=='archive')?'display:none;':'')
          ),
          $_NL['tpl']['list_new_number_filter']);


		if ($_NL['newsletter_obj']->getSetting('set_template')!=1 || count($_NL['select']['catdata'])<2)
			$_NL['tpl']['list_range_prevnext'] = str_replace('{select_template}','', $_NL['tpl']['list_range_prevnext']);
    //Zeitraum - vorherige - n&auml;chste ersetzen
    
    // colspan
    if ($_NL['newsletter_obj']->getSetting('set_template')==1 && count($_NL['select']['catdata'])>1)
    	$_NL['temp']['colspan']=7;
    else 
    	$_NL['temp']['colspan']=6;

    if ($_NL['newsletter_obj']->getSetting('use_onoffline')=='false')
    	$_NL['temp']['colspan']=$_NL['temp']['colspan']-2;
    
    $_NL['output']['list_range_prevnext'] = str_replace(array(
            '{lng_showrange}',
            '{prev}',
            '{next}',
            '{prev_url}',
            '{next_url}',
            '{prev_label}',
            '{next_label}',
            '{startrange}',
            '{endrange}',
            '{select_number}',
#            '{select_turnus}',
            '{new}',
            '{select_template}',
            '{colspan}',
            '{css_hide}'
          ),
          array(
            $_NL['newsletter_obj']->lang->get('showrange'),
            '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']-$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'].'">'.$_NL['newsletter_obj']->lang->get('prev').'</a>',
            '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']+$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'].'">'.$_NL['newsletter_obj']->lang->get('next').'</a>',
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']-$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']+$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $_NL['newsletter_obj']->lang->get('prev'),
            $_NL['newsletter_obj']->lang->get('next'),
            ($_NL['config']['monthback'] == -1) ? $_NL['newsletter_obj']->lang->get('turnus_all') : date($_NL['config']['date'], mktime(0,0,0,$_NL['config']['startmonth'],1)),
            ($_NL['config']['monthback'] == -1) ? '' : ' - '.date($_NL['config']['date'], mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1,date("t",mktime(23,59,59,$_NL['config']['startmonth']+$_NL['config']['monthback']-1)))),
            '<form name="numberform" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="callist_flt_template" value="'.$_NL['cms_wr']->getVal('callist_flt_template').'">
								<input type="hidden" name="callist_search" value="">          
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'">
                '.$_NL['newsletter_obj']->getSelectMonthBack('monthback', $_NL['config']['monthback'], ' style="font-weight:bold;"', ' onChange="numberform.submit()"', true).'
            </form>',
#            $_NL['newsletter_obj']->getSelectTurnus('', '', 'onChange="selectFilterTable(\'newsletterlist\', this);"', true, true),
            $_NL['output']['new_number_filter'],
            '<form name="form_callist_flt_template" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <div style="display:none;"><input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="monthback" value="'.$_NL['cms_wr']->getVal('monthback').'">
                <input type="hidden" name="callist_search" value="'.$_NL['temp']['searchstring'].'">
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'"></div>
                '.$_NL['newsletter_obj']->getSelectUni(	'callist_flt_template',
																									 $_NL['cms_wr']->getVal('callist_flt_template'),
																									 $_NL['select']['catdata'],
																										'callist_flt_template',
																										'form_callist_flt_template.submit();return false;',
																										' ').'
            </form>',
						$_NL['temp']['colspan'],
						(($_NL['config']['monthback'] == -1)?'display:none !important;':'')

          ),
          $_NL['tpl']['list_range_prevnext']);
								
    //vorherige - n&auml;chste ersetzen
    $_NL['output']['list_prevnext'] = str_replace(array(
    				'{archive_selected_icon}',
   					'{hide_archive_selected_button}',	
   					'{hide_onoffline_selected_button}',
    				'{page_nav}',
            '{prev}',
            '{next}',
            '{prev_url}',
            '{next_url}',
            '{prev_label}',
            '{next_label}',
            '{select_number}',
#            '{select_turnus}',
            '{new}',
            '{colspan}'
          ),
          array(
          (($_NL['subarea']=='archive')?'flag_red.gif':'flag_green.gif'),
          ((!$_NL['newsletter_obj']->getSetting('use_archive'))?'display:none;':''),
          (($_NL['newsletter_obj']->getSetting('use_onoffline')!='false')?'':'display:none;'),
           $_NL['page_nav'],
            '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']-$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'].'">'.$_NL['newsletter_obj']->lang->get('prev').'</a>',
            '<a href="'.$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']+$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'].'">'.$_NL['newsletter_obj']->lang->get('next').'</a>',
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']-$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&startmonth='.($_NL['config']['startmonth']+$_NL['config']['monthback'])).'&monthback='.$_NL['config']['monthback'],
            $_NL['newsletter_obj']->lang->get('prev'),
            $_NL['newsletter_obj']->lang->get('next'),
            '<form name="numberform" method="post" action="main.php" style="display:inline;">
                <input type="hidden" name="area" value="'.$_NL['cms_wr']->getVal('area').'">
                <input type="hidden" name="cms_plugin" value="'.$_NL['cms_wr']->getVal('cms_plugin').'">
                <input type="hidden" name="subarea" value="'.$_NL['cms_wr']->getVal('subarea').'">
                <input type="hidden" name="action" value="'.$_NL['cms_wr']->getVal('action').'">
                <input type="hidden" name="startmonth" value="'.$_NL['config']['startmonth'].'">
                <input type="hidden" name="callist_flt_template" value="'.$_NL['cms_wr']->getVal('callist_flt_template').'">
                <input type="hidden" name="callist_search" value="'.$_NL['temp']['searchstring'].'">
                <input type="hidden" name="'.$sess->name.'" value="'.$sess->id.'">
                '.$_NL['newsletter_obj']->getSelectMonthBack('monthback', $_NL['config']['monthback'], ' style="font-weight:bold;"', ' onChange="numberform.submit()"', true).'
            </form>',
#            $_NL['newsletter_obj']->getSelectTurnus('', '', 'onChange="selectFilterTable(\'newsletterlist\', this);"', true, true),
             $_NL['output']['new_number_filter'],
           	 $_NL['temp']['colspan']
          ),
          $_NL['tpl']['list_prevnext']);


    //Eintrag gefunden
    if($_NL['collection']->count() > 0) {
        $_NL['output']['list_body'] = str_replace('{body}', $_NL['output']['header'].$_NL['output']['body'], $_NL['tpl']['list_body']);

    //Keine Eintrge gefunden
    } else {
        $_NL['temp']['nothing_found'] = $_NL['output']['header'];
        $_NL['temp']['nothing_found'] .= str_replace('{colspan}',$_NL['temp']['colspan'], $_NL['tpl']['nothing_found']);
        $_NL['temp']['nothing_found'] = str_replace('{msg}', $_NL['newsletter_obj']->lang->get('nothing_found'), $_NL['tpl']['nothing_found']);

        $_NL['output']['list_body'] = str_replace('{body}', $_NL['temp']['nothing_found'], $_NL['tpl']['list_body']);
    }

    //Ausgabe der ersetzten Tpls
    echo $_NL['output']['new_number_filter'];
    
    //vorherige - n&auml;chste ersetzen
    echo str_replace(array(	
					'{list_prevnext}',
					'{list_range_prevnext}',
					'{question_send}',
					'{question_delete}',
          '{question_reset}',
          '{question_archive}',
          '{revert_selection}',
          '{delete_selected}',
          '{formurl}',
          '{skin}',
          '{hideinarchive}'
          ),
          array(
					$_NL['output']['list_prevnext'],
					$_NL['output']['list_range_prevnext'],
					$_NL['newsletter_obj']->lang->get('question_send'),
					$_NL['newsletter_obj']->lang->get('question_delete'),
					$_NL['newsletter_obj']->lang->get('question_reset'),
					(($_NL['subarea']=='archive')?$_NL['newsletter_obj']->lang->get('question_dearchive'):$_NL['newsletter_obj']->lang->get('question_archive')),
					$_NL['newsletter_obj']->lang->get('revert_selection'),
					$_NL['newsletter_obj']->lang->get('delete_selected'),
					$sess->url($cfg_cms['cms_html_path'].'main.php?area=plugin&cms_plugin=newslettersystem/index.php&subarea='.$_NL['subarea'].'&action=show_newsletter&page='.$_NL['current_page'].'&callist_flt_template='.$_NL['cms_wr']->getVal('callist_flt_template').'&callist_search='.$_NL['temp']['searchstring'].'&startmonth='.$_NL['config']['startmonth'].'&monthback='.$_NL['config']['monthback']),
					$_NL['newsletter_obj']->getSetting('skin'),
					($_NL['subarea']=='archive')?'style="display:none;"':''

          ),
          $_NL['output']['list_body']);
    

?>
