<?php


$_NL['basedir'] = str_replace ('\\', '/', dirname(__FILE__) . '/');
	
$types_to_register = array('GET','POST','SERVER');
foreach ($types_to_register as $global_type) {
	$arr = @${'HTTP_'.$global_type.'_VARS'};
	if (@count($arr) > 0)
		extract($arr, EXTR_OVERWRITE);
	else {
		$arr = @${'_'.$global_type};
		if (@count($arr) > 0) extract($arr, EXTR_OVERWRITE);
	}
}
$client = (int) $_POST['client'];
$lang = (int) $_POST['lang'];

define('SF_SKIP_HEADER', true);


require_once ($_NL['basedir'].'/../../inc/inc.init_external.php');

$perm->check('area_plug_newslettersystem');


$cfg_client['session_enabled'] = '0'; 	
	
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');	
}

include_once $_NL['basedir'] . 'inc/fnc.newsletter_utilities.php';
include_once $_NL['basedir'] . 'inc/fnc.generate_newsletter.php';

#########################################################
# init
#########################################################

include_once $_NL['basedir'] . 'inc/class.newslettersystem.php'; //Basisklasse
include_once $_NL['basedir'] . 'inc/class.lang.php'; //Sprachobjekt


$_sf_content =& sf_factoryGetObjectCache('PAGE', 'ContentCollection');

//AdoDB initialtisieren
$adodb =& $GLOBALS['sf_factory']->getObject('DATABASE', 'Ado');

//CMS Webrequest erstllen
$_NL['cms_wr'] =& $GLOBALS['sf_factory']->getObject('HTTP', 'WebRequest');

//Externe Variablen per CMS WebRequest holen
$_NL['idnewsletter'] = $_NL['cms_wr']->getVal($_NL['modkey'].'idnewsletter');
$_NL['action'] = $_NL['cms_wr']->getVal('action');

//Newslettersystem initializieren
$_NL['nlsys_obj'] = new Newslettersystem;
include_once $_NL['basedir'] . 'inc/class.newslettercollection.php';
include_once $_NL['basedir'] . 'inc/class.elementcollection.php';
include_once $_NL['basedir'] . 'inc/class.templatecollection.php';

//Termin intialisieren
$_NL['singlenewsletter_obj'] = new SingleNewsletter;
$_NL['newsletterelements_obj'] = new NewsletterElements;
$_NL['singletemplate_obj'] = new SingleTemplate;

//Termin laden
$_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
$_NL['item_elements']=$_NL['newsletterelements_obj']->loadById($_NL['idnewsletter']);


$_NL['TMP']['maintemplates']=$_NL['singletemplate_obj']->loadByID($_NL['singlenewsletter_obj']->getDataByKey('idtemplate'));
$_NL['TMP']['maintemplates']['HTML']=$_NL['singletemplate_obj']->getDataByKey('htmlmail');
$_NL['TMP']['maintemplates']['TEXT']=$_NL['singletemplate_obj']->getDataByKey('textmail');

#########################################################
# generate html output
#########################################################

$_NL['TMP']['detail']=$_NL['TMP']['maintemplates']['HTML'];
$_NL['TMP']['data']=array();

if (!empty($_NL['TMP']['detail'])){
	
	$_NL['TMP']['data']	=		nl_element_replacement(	$_NL['singlenewsletter_obj'],
																									$_NL['nlsys_obj'],
																									$_NL['item_elements']['image'],
																									$_NL['item_elements']['file'],
																									$_NL['item_elements']['link'],																										
																									$_NL['item_elements']['sfcontent'],
																									$_NL['TMP']['detail'],
																									$_NL['config']['date'],
																									$_NL['config']['time'],
																									'html');
	

	foreach ($_NL['TMP']['data'] as $k => $v)
		$_NL['TMP']['detail']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['detail'],$_NL['TMP']['data'],$k,$v));

	$_NL['TMP']['detail'] = nl_element_sfifstatements($_NL['TMP']['detail']);

	
	if (strpos($_NL['TMP']['detail'],'{chop}')!==false){
		preg_match_all('#\{chop\}(.*)\{/chop\}#sU',$_NL['TMP']['detail'],$_NL['TMP']['chopparts']);
		if (!empty($_NL['TMP']['chopparts']))
	  	foreach ($_NL['TMP']['chopparts'][1] as $k => $v)
	  		$_NL['TMP']['detail']=str_replace(	$_NL['TMP']['chopparts'][0][$k],
	  																				nl_str_chop($v, $mvars['1003'], $mvars['1004'], $mvars['1005']),
	  																				$_NL['TMP']['detail']);
	  else
	  	$_NL['TMP']['detail']=str_replace(array('{chop}','{/chop}'), array('',''), $_NL['TMP']['detail']);
	}
	
	$_NL['TMP']['html_ouput']=stripslashes($_NL['TMP']['detail']);

	$_NL['TMP']['html_ouput']=nl_placeholder_replacement($_NL['TMP']['html_ouput'],array('ph_code' => $_NL['nlsys_obj']->getSetting('ph_code'),
																																												 'ph_opendel' => $_NL['nlsys_obj']->getSetting('ph_opendel'),
																																												 'ph_closedel' => $_NL['nlsys_obj']->getSetting('ph_closedel'),
																																												 'ph_valdel' => $_NL['nlsys_obj']->getSetting('ph_valdel'),
																																												 'ph_ident' => $_NL['nlsys_obj']->getSetting('ph_ident')
																																												 ));
	
	$_NL['TMP']['html_ouput']=str_replace('{inlinepath}',$cfg_client['path'],$_NL['TMP']['html_ouput']);

} else
	$_NL['TMP']['html_ouput']='';

#########################################################
# generate text output
#########################################################

$_NL['TMP']['detail']=$_NL['TMP']['maintemplates']['TEXT'];
$_NL['TMP']['data']=array();
if (!empty($_NL['TMP']['detail'])){
	
	$_NL['TMP']['data']	=		nl_element_replacement(	$_NL['singlenewsletter_obj'],
																										$_NL['nlsys_obj'],
																										$_NL['item_elements']['image'],
																										$_NL['item_elements']['file'],
																										$_NL['item_elements']['link'],																										
																										$_NL['item_elements']['sfcontent'],
																										$_NL['TMP']['detail'],
																										$_NL['config']['date'],
																										$_NL['config']['time'],
																										'text');

	foreach ($_NL['TMP']['data'] as $k => $v)
		$_NL['TMP']['detail']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['detail'],$_NL['TMP']['data'],$k,$v));

	$_NL['TMP']['detail'] = nl_element_sfifstatements($_NL['TMP']['detail']);

#		if (strpos($_NL['TMP']['detail'],'{chop}')!==false){
#    	preg_match_all('#\{chop\}(.*)\{/chop\}#sU',$_NL['TMP']['detail'],$_NL['TMP']['chopparts']);
#    	if (!empty($_NL['TMP']['chopparts']))
#	    	foreach ($_NL['TMP']['chopparts'][1] as $k => $v)
#	    		$_NL['TMP']['detail']=str_replace(	$_NL['TMP']['chopparts'][0][$k],
#	    																				nl_str_chop($v, $mvars['1003'], $mvars['1004'], $mvars['1005']),
#	    																				$_NL['TMP']['detail']);
#	    else
#	    	$_NL['TMP']['detail']=str_replace(array('{chop}','{/chop}'), array('',''), $_NL['TMP']['detail']);
#		}
#    

  $_NL['TMP']['text_ouput']=stripslashes($_NL['TMP']['detail']);
   
	$_NL['TMP']['text_ouput']=nl_placeholder_replacement($_NL['TMP']['text_ouput'],array('ph_code' => $_NL['nlsys_obj']->getSetting('ph_code'),
																																												 'ph_opendel' => $_NL['nlsys_obj']->getSetting('ph_opendel'),
																																												 'ph_closedel' => $_NL['nlsys_obj']->getSetting('ph_closedel'),
																																												 'ph_valdel' => $_NL['nlsys_obj']->getSetting('ph_valdel'),
																																												 'ph_ident' => $_NL['nlsys_obj']->getSetting('ph_ident')
																																												 ));



} else 
	$_NL['TMP']['text_ouput']='';

	$_NL['TMP']['data']=array();
	if ($salutation=='') {
		$_NL['TMP']['data']['salutation']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_salutation');
	} else {
		$_NL['TMP']['data']['salutation']=trim($salutation);
	}
	if ($firstname=='') {
		$_NL['TMP']['data']['firstname']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_firstname');
	} else {
		$_NL['TMP']['data']['firstname']=trim($firstname);
	}
	if ($lastname=='') {
		$_NL['TMP']['data']['lastname']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_lastname');
	} else {
		$_NL['TMP']['data']['lastname']=trim($lastname);
	}

	foreach ($_NL['TMP']['data'] as $k => $v) {
			$_NL['TMP']['html_ouput']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['html_ouput'],$_NL['TMP']['data'],$k,$v));
			$_NL['TMP']['text_ouput']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['text_ouput'],$_NL['TMP']['data'],$k,$v));
	}

?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <title></title>
</head>
<style type="text/css">
body {font-family:sans-serif;font-size:90%}


.fullwidtherrormsg {
font-size:11px;font-family:verdana;font-weight:bold;
	text-align:center;
	background:#fdd;
	color:#f00;
	font-size:10px;
	font-weight:bold;
	padding:5px;
	border:1px solid #f00;

	margin-bottom:10px;
}


.fullwidthsuccessmsg {
font-size:11px;font-family:verdana;font-weight:bold;
	text-align:center;
	background:#dfd;
	color:#090;
	font-size:10px;
	font-weight:bold;
	padding:5px;
	border:1px solid #090;

	margin-bottom:10px;
}

.tabs-hide {
    display: none;
}
label {display:block;float:left;width:80px;margin-top:5px;}

/* Skin */
.tabs-nav {
    list-style: none;
    margin: 4px 0 0 0;
    padding: 0 0 0 13px;
}
.tabs-nav:after { /* clearing without presentational markup, IE gets extra treatment */
    display: block;
    clear: both;
    content: " ";
}
.tabs-nav li {
    float: left;
    margin: 3px 0 0 6px;
    min-width: 84px; /* be nice to Opera */
}
.tabs-nav a, .tabs-nav a span {
    display: block;
    padding: 0 10px;
    background:#eee;
}
.tabs-nav a {
		border:1px solid #ccc;
		border-bottom:0 !important;
		
    position: relative;
    top: 1px;
    z-index: 2;
    padding-left: 0;
    color: #27537a;
    font-size: 11px;
    line-height: 1.2;
    text-align: center;
    text-decoration: none;
    white-space: nowrap; /* required in IE 6 */    
}
.tabs-nav .tabs-selected a {
		border:1px solid #bbb;
		border-bottom:1px solid #fff !important;
   font-weight: bold;
		background:#fff;	
    
   
}
.tabs-nav .tabs-selected a, .tabs-nav a:hover, .tabs-nav a:focus, .tabs-nav a:active {

    outline: 0; /* prevent dotted border in Firefox */
}
.tabs-nav a, .tabs-nav .tabs-disabled a:hover, .tabs-nav .tabs-disabled a:focus, .tabs-nav .tabs-disabled a:active {
		
}
.tabs-nav a span {
    width: 64px; /* IE 6 treats width as min-width */
    min-width: 64px;
    height: 16px; /* IE 6 treats height as min-height */
    min-height: 16px;
    padding-top: 3px;
    padding-right: 0;
}
*>.tabs-nav a span { /* hide from IE 6 */
    width: auto;
    height: auto;
    
}
.tabs-nav .tabs-selected a span {
		background:#fff;
    padding-top: 3px;
}
.tabs-nav .tabs-selected a span, .tabs-nav a:hover span, .tabs-nav a:focus span, .tabs-nav a:active span {
    background-position: 0 -50px;
}
.tabs-nav a span, .tabs-nav .tabs-disabled a:hover span, .tabs-nav .tabs-disabled a:focus span, .tabs-nav .tabs-disabled a:active span {
    background-position: 0 0;
}
.tabs-nav .tabs-selected a:link, .tabs-nav .tabs-selected a:visited, .tabs-nav .tabs-disabled a:link, .tabs-nav .tabs-disabled a:visited { /* @ Opera, use pseudo classes otherwise it confuses cursor... */
    cursor: text;
}
.tabs-nav a:hover, .tabs-nav a:focus, .tabs-nav a:active { /* @ Opera, we need to be explicit again here now... */
    cursor: pointer;
}
.tabs-nav .tabs-disabled {
    opacity: .4;
}
.tabs-container {
		width:96%;
    border: 1px solid #bbb;
    padding: 6px;
    margin:0 6px 10px 6px;
    background: #fff; /* declare background color for container to avoid distorted fonts in IE while fading */
}

.tabs-loading em {
    padding: 0 0 0 20px;
    background: url(loading.gif) no-repeat 0 50%;
}
input,submit,label,
#previewtabs {
	font-size:11px;
	font-family:verdana,sans-serif;
}
#fragment-1,
#fragment-2,
#fragment-3{
	min-height:385px;
	height: auto !important;
	height: 385px;
	padding-top:10px;
	padding-bottom:20px;
	padding-left:10px;
	padding-right:10px;
}
</style>

<!-- Additional IE/Win specific style sheet (Conditional Comments) -->
<!--[if lte IE 7]>
<style type="text/css">
.tabs-nav { /* auto clear */
    display: inline-block;
}
.tabs-nav .tabs-disabled {
    position: relative; /* fixes opacity */
    filter: alpha(opacity=40);
}
.tabs-nav .tabs-disabled a span {
    _height: 19px; /* for some reason the height is 1px to less with opacity... */
    min-height: 19px; /* ...in both IE 6 and 7 */
}
.tabs-container {
	width:100%;
}
.tabs-nav a {
 	padding-bottom:3px;
}
</style>
<![endif]-->
<!--[if IE 7]>
<style type="text/css">
.tabs-container {
	width:98%;
}
.tabs-nav a {
 	padding-bottom:0;
}
</style>
<![endif]-->
<script type="text/javascript" src="js/newslettersystem.js"></script>
<script language="JavaScript1.2">
function checkemail(){
	var str=document.getElementById('email').value
	var filter=/^(\w+(?:\.\w+)*)@((?:\w+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
	if (filter.test(str))
		document.forms[0].submit();
	else{
		alert("<?PHP echo $_NL['nlsys_obj']->lang->get('novalidemailaddress'); ?>")
	}
}
</script>
<body>

<?PHP

if ($_NL['action'] == 'preview_newsletter' || $_NL['action'] == 'send_testmail') {

	echo '
<div id="container-1">
	<ul id="previewtabs">
		<li><a href="#fragment-1"><span>'.$_NL['nlsys_obj']->lang->get('htmlmail').'</span></a></li>
		<li><a href="#fragment-2"><span>'.$_NL['nlsys_obj']->lang->get('textmail').'</span></a></li>';

if (!empty($_NL['TMP']['html_ouput']) || !empty($_NL['TMP']['text_ouput']))	
		echo '<li><a href="#fragment-3"><span>'.$_NL['nlsys_obj']->lang->get('sendtestmail').'</span></a></li>';

echo '
	</ul>
<div id="fragment-1">';

	if (!empty($_NL['TMP']['text_ouput'])) {
        echo $_NL['error_message'] . '<div ><iframe frameborder="no" style="padding:0;margin:0;width:655px;height:385px;" src="preview_html.php?idnewsletter=' . $_NL['idnewsletter'] . '&amp;lang=' . $lang . '&amp;client=' . $client . '&amp;salutation=' . $salutation . '&amp;firstname=' . $firstname . '&amp;lastname=' . $lastname . '&amp;sefrengo="></iframe></div>';
    }
	else {
		echo '<div class="fullwidtherrormsg">';
		echo $_NL['nlsys_obj']->lang->get('previewerror_nocontent');
		echo '</div>';		
	}
	echo '</div>
				<div id="fragment-2">';

	if (!empty($_NL['TMP']['html_ouput']))
		echo $_NL['error_message'].'<pre style="padding:0;margin:0;width:655px;height:385px;overflow:auto;">'.wordwrap(strip_tags($_NL['TMP']['text_ouput']),$_NL['nlsys_obj']->getSetting('textmailwordwrap')).'</pre>';
	else {
		echo '<div class="fullwidtherrormsg">';
		echo $_NL['nlsys_obj']->lang->get('previewerror_nocontent');
		echo '</div>';		
	}
	
	echo '	
	</div>';

if (!empty($_NL['TMP']['html_ouput']) || !empty($_NL['TMP']['text_ouput']))	{
	echo'	<div id="fragment-3">';
	
	if (!empty($email)) {
	
		require_once($_NL['basedir']."inc/class.phpmailer.php");
		
		$mail = new PHPMailer();
		$mail->SetLanguage("de", $_NL['basedir'].'lang/phpmailer/');	

		if ($_NL['nlsys_obj']->getSetting('smtp_server')!='' ){
			$mail->IsSMTP(); //Versand über SMTP festlegen
	  	$mail->Host					= $_NL['nlsys_obj']->getSetting('smtp_server') ; 
			$mail->SMTPAuth     = (($_NL['nlsys_obj']->getSetting('smtp_name'))?true:false);
	  	$mail->SMTPSecure		= $_NL['nlsys_obj']->getSetting('smtp_secure') ; 
	  	if ((int) $_NL['nlsys_obj']->getSetting('smtp_port')!=0)
	  		$mail->Port 				= $_NL['nlsys_obj']->getSetting('smtp_port');     
	  	$mail->Username			= $_NL['nlsys_obj']->getSetting('smtp_name');  
	  	$mail->Password			= $_NL['nlsys_obj']->getSetting('smtp_pass');
		}
		
		$mail->From = $_NL['nlsys_obj']->getSetting('default_sender');;
		$mail->FromName = $_NL['nlsys_obj']->getSetting('');;
		$mail->AddAddress($email);
		$replyto = $_NL['nlsys_obj']->getSetting('default_replyto');
		if (empty($replyto))
			$mail->AddReplyTo($_NL['nlsys_obj']->getSetting('default_sender'));
		else
			$mail->AddReplyTo($replyto);
			

		if (!empty($_NL['TMP']['html_ouput']))
			$mail->IsHTML(true);
			
		$mail->CharSet = "utf-8";
		$mail->WordWrap = $_NL['nlsys_obj']->getSetting('textmailwordwrap');

		$_NL['TMP']['subject'] = nl_placeholder_replacement($_NL['singlenewsletter_obj']->_data['title'],
																								array('ph_code' => $_NL['nlsys_obj']->getSetting('ph_code'),
																											'ph_opendel' => $_NL['nlsys_obj']->getSetting('ph_opendel'),
																											'ph_closedel' => $_NL['nlsys_obj']->getSetting('ph_closedel'),
																											'ph_valdel' => $_NL['nlsys_obj']->getSetting('ph_valdel'),
																											'ph_ident' => $_NL['nlsys_obj']->getSetting('ph_ident')
																											));
		foreach ($_NL['TMP']['data'] as $k => $v) {
				$_NL['TMP']['subject']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['subject'],$_NL['TMP']['data'],$k,$v));
		}		
		$mail->Subject = $_NL['TMP']['subject'];

		if (!empty($_NL['TMP']['html_ouput'])){
			$mail->MsgHTML($_NL['TMP']['html_ouput']);
			$mail->AltBody = strip_tags($_NL['TMP']['text_ouput']);
		} else
			$mail->Body = strip_tags($_NL['TMP']['text_ouput']);
			
		if(!$mail->Send())
		{
		echo '<div class="fullwidtherrormsg">';
		   echo $_NL['nlsys_obj']->lang->get('sendtestmailerror').'<br/>';
		   echo "<small style='font-weight:normal!important;'>Error: " . $mail->ErrorInfo.'</small>';
		 
		echo '</div>';
		} else {
			echo '<div class="fullwidthsuccessmsg">';
			echo $_NL['nlsys_obj']->lang->get('sendtestmailsuccess');
			echo '</div>';	
		}
	
	} else if (count($_POST)>0) {
	
		echo '<div class="fullwidtherrormsg">';
	  echo $_NL['nlsys_obj']->lang->get('sendtestmailerror').'<br/><br/>';
		echo '</div>';	
		$activetab=3;
	
	}
	echo '
			<form method="post" action="http://'.$HTTP_HOST.$PHP_SELF.'?lang='.$lang.'&amp;client='.$client.'&amp;idnewsletter='.$idnewsletter.'&amp;action=send_testmail#fragment-3" target="_self">
				<label for="email">'.$_NL['nlsys_obj']->lang->get('email').'</label>
				<input id="email" name="email" type="text" value="'.((!empty($email))?$email:$_NL['nlsys_obj']->getSetting('default_testmail_email')).'" style="margin-left:10px;"/>
				<input type="button" onclick="checkemail();" value="'.$_NL['nlsys_obj']->lang->get('send').'" style="margin-left:10px;"/><br/><br/>';
	if ($_NL['nlsys_obj']->getSetting('default_testmail_persinpreviw')=='true') {			
	echo'				<label for="salutation">'.$_NL['nlsys_obj']->lang->get('salutation').'</label>
				<input id="salutation" name="salutation" type="text" value="'.((!empty($salutation))?$salutation:$_NL['nlsys_obj']->getSetting('default_testmail_pers_salutation')).'" style="margin-left:10px;margin-bottom:5px;"/><br/>
				<label for="firstname">'.$_NL['nlsys_obj']->lang->get('firstname').'</label>
				<input id="firstname" name="firstname" type="text" value="'.((!empty($firstname))?$firstname:$_NL['nlsys_obj']->getSetting('default_testmail_pers_firstname')).'" style="margin-left:10px;margin-bottom:5px;"/><br/>
				<label for="lastname">'.$_NL['nlsys_obj']->lang->get('lastname').'</label>
				<input id="lastname" name="lastname" type="text" value="'.((!empty($lastname))?$lastname:$_NL['nlsys_obj']->getSetting('default_testmail_pers_lastname')).'" style="margin-left:10px;margin-bottom:5px;"/>
				';
	}
	echo'				<br/>
				<br/>
			</form>
		</div>';

}
		
}


	echo '
	    <script type="text/javascript"> 
		  	<!--              
				$("#container-1").tabs('.$activetab.');
				//-->
				</script>

</div>';


?>
</body>
</html>

