<?php

$_NL['basedir'] = str_replace ('\\', '/', dirname(__FILE__) . '/');
	
$types_to_register = array('GET','POST','SERVER');
foreach ($types_to_register as $global_type) {
	$arr = @${'HTTP_'.$global_type.'_VARS'};
	if (@count($arr) > 0)
		extract($arr, EXTR_OVERWRITE);
	else {
		$arr = @${'_'.$global_type};
		if (@count($arr) > 0) extract($arr, EXTR_OVERWRITE);
	}
}
$client = (int) $_POST['client'];
$lang = (int) $_POST['lang'];

define('SF_SKIP_HEADER', true);

require_once ($_NL['basedir'].'/../../inc/inc.init_external.php');

$perm->check('area_plug_newslettersystem');
	
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');	
}


include_once $_NL['basedir'] . 'inc/fnc.newsletter_utilities.php';
include_once $_NL['basedir'] . 'inc/fnc.generate_newsletter.php';

#########################################################
# init
#########################################################

include_once $_NL['basedir'] . 'inc/class.newslettersystem.php'; //Basisklasse
include_once $_NL['basedir'] . 'inc/class.lang.php'; //Sprachobjekt


$_sf_content =& sf_factoryGetObjectCache('PAGE', 'ContentCollection');

//AdoDB initialtisieren
$adodb =& $GLOBALS['sf_factory']->getObject('DATABASE', 'Ado');

//CMS Webrequest erstllen
$_NL['cms_wr'] =& $GLOBALS['sf_factory']->getObject('HTTP', 'WebRequest');

//Externe Variablen per CMS WebRequest holen
$_NL['idnewsletter'] = $_NL['cms_wr']->getVal($_NL['modkey'].'idnewsletter');
$_NL['action'] = $_NL['cms_wr']->getVal('action');

//Newslettersystem initializieren
$_NL['nlsys_obj'] = new Newslettersystem;
include_once $_NL['basedir'] . 'inc/class.newslettercollection.php';
include_once $_NL['basedir'] . 'inc/class.elementcollection.php';
include_once $_NL['basedir'] . 'inc/class.templatecollection.php';

//Termin intialisieren
$_NL['singlenewsletter_obj'] = new SingleNewsletter;
$_NL['newsletterelements_obj'] = new NewsletterElements;
$_NL['singletemplate_obj'] = new SingleTemplate;

//Termin laden
$_NL['singlenewsletter_obj']->loadById($_NL['idnewsletter']);
$_NL['item_elements']=$_NL['newsletterelements_obj']->loadById($_NL['idnewsletter']);


$_NL['TMP']['maintemplates']=$_NL['singletemplate_obj']->loadByID($_NL['singlenewsletter_obj']->getDataByKey('idtemplate'));
$_NL['TMP']['maintemplates']['HTML']=$_NL['singletemplate_obj']->getDataByKey('htmlmail');
$_NL['TMP']['maintemplates']['TEXT']=$_NL['singletemplate_obj']->getDataByKey('textmail');

#########################################################
# generate html output
#########################################################

$_NL['TMP']['detail']=$_NL['TMP']['maintemplates']['HTML'];
$_NL['TMP']['data']=array();

if (!empty($_NL['TMP']['detail'])){
	
	$_NL['TMP']['data']	=		nl_element_replacement(	$_NL['singlenewsletter_obj'],
																									$_NL['nlsys_obj'],
																									$_NL['item_elements']['image'],
																									$_NL['item_elements']['file'],
																									$_NL['item_elements']['link'],																										
																									$_NL['item_elements']['sfcontent'],
																									$_NL['TMP']['detail'],
																									$_NL['config']['date'],
																									$_NL['config']['time'],
																									'html',
																									'',
																									'',
																									'',
																									array(),
																									array(),
																									$cfg_client['htmlpath']);

	foreach ($_NL['TMP']['data'] as $k => $v)
		$_NL['TMP']['detail']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['detail'],$_NL['TMP']['data'],$k,$v));

	$_NL['TMP']['detail'] = nl_element_sfifstatements($_NL['TMP']['detail']);

	
	if (strpos($_NL['TMP']['detail'],'{chop}')!==false){
		preg_match_all('#\{chop\}(.*)\{/chop\}#sU',$_NL['TMP']['detail'],$_NL['TMP']['chopparts']);
		if (!empty($_NL['TMP']['chopparts']))
	  	foreach ($_NL['TMP']['chopparts'][1] as $k => $v)
	  		$_NL['TMP']['detail']=str_replace(	$_NL['TMP']['chopparts'][0][$k],
	  																				nl_str_chop($v, $mvars['1003'], $mvars['1004'], $mvars['1005']),
	  																				$_NL['TMP']['detail']);
	  else
	  	$_NL['TMP']['detail']=str_replace(array('{chop}','{/chop}'), array('',''), $_NL['TMP']['detail']);
	}
	
	$_NL['TMP']['html_ouput']=stripslashes($_NL['TMP']['detail']);
	
	$_NL['TMP']['html_ouput']=nl_placeholder_replacement($_NL['TMP']['html_ouput'],array('ph_code' => $_NL['nlsys_obj']->getSetting('ph_code'),
																																												 'ph_opendel' => $_NL['nlsys_obj']->getSetting('ph_opendel'),
																																												 'ph_closedel' => $_NL['nlsys_obj']->getSetting('ph_closedel'),
																																												 'ph_valdel' => $_NL['nlsys_obj']->getSetting('ph_valdel'),
																																												 'ph_ident' => $_NL['nlsys_obj']->getSetting('ph_ident')
																																												 ));

  $_NL['TMP']['html_ouput']=str_replace('{inlinepath}',$cfg_client['htmlpath'],$_NL['TMP']['html_ouput']);

} else 
	$_NL['TMP']['html_ouput']='';

	$_NL['TMP']['data']=array();
	if ($salutation=='') {
		$_NL['TMP']['data']['salutation']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_salutation');
	} else {
		$_NL['TMP']['data']['salutation']=trim($salutation);
	}
	if ($firstname=='') {
		$_NL['TMP']['data']['firstname']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_firstname');
	} else {
		$_NL['TMP']['data']['firstname']=trim($firstname);
	}
	if ($lastname=='') {
		$_NL['TMP']['data']['lastname']=$_NL['nlsys_obj']->getSetting('default_testmail_pers_lastname');
	} else {
		$_NL['TMP']['data']['lastname']=trim($lastname);
	}
	foreach ($_NL['TMP']['data'] as $k => $v) {
			$_NL['TMP']['html_ouput']=str_replace('{'.$k.'}',$v,nl_element_ifstatements($_NL['TMP']['html_ouput'],$_NL['TMP']['data'],$k,$v));
	}		

echo $_NL['TMP']['html_ouput'];

?>
