<?php
if(! defined('CMS_CONFIGFILE_INCLUDED')){
	die('NO CONFIGFILE FOUND');
}

$_NL['tpl']['settings_body'] = '
  <table cellspacing="0" cellpadding="0" border="0" width="100%" id="settings">
    <tr>
      <td colspan="2">

        <form action="{formurl}#settings" id="settingsform" method="post" style="display:inline;">
        <input type="hidden" name="action" value="save_settings" />
        <table class="uber" width="100%" id="settingslist">
          <tr>
            <th colspan="2" nowrap align="left">{lng_settings_general}</th>
          </tr>
          {body}
        </table>
        </form>
      </td>
    </tr>
  </table>
';
 
$_NL['tpl']['newsletter_settings_body'] = '

  <table cellspacing="0" cellpadding="0" border="0" width="100%" id="newslettersettings">
    <tr>
      <td colspan="3">
        <form action="{formurl}#newslettersettings" id="newslettersettingsform" method="post" style="display:inline;">
        <input type="hidden" name="action" value="save_newsletter_settings" />
        <table class="uber" width="100%" id="settingslist">
          <tr>
            <th colspan="6" nowrap align="left">{lng_newsletter_settings_general}</th>
          </tr>
          {body}
        </table>
        </form>
      </td>
    </tr>
  </table>
';
$_NL['tpl']['settings_section'] = '
          <tr>
            <th colspan="6" nowrap align="left">{lng_settings_section}</th>
          </tr>
';


$_NL['tpl']['set_organizer'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry nowrap">{lng_set_organizer}</td>
    <td class="entry" align="right" nowrap" width="187">
        <select name="settings[set_organizer]" size="1">
            <option value="1" {selected_yes}>{lng_yes}</option>
            <option value="0" {selected_no}>{lng_no}</option>
        </select>
    </td>
</tr>
';


$_NL['tpl']['set_template'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_set_template}</td>
    <td class="entry" align="right" nowrap width="187">
        <select name="settings[set_template]" size="1">
            <option value="1" {selected_yes}>{lng_yes}</option>
            <option value="0" {selected_no}>{lng_no}</option>
        </select>
    </td>
</tr>
';

$_NL['tpl']['set_template_multiple'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_set_template_multiple}</td>
    <td class="entry" align="right" nowrap width="187">
        <select name="settings[set_template_multiple]" size="1">
            <option value="1" {selected_yes}>{lng_yes}</option>
            <option value="0" {selected_no}>{lng_no}</option>
        </select>
    </td>
</tr>
';


$_NL['tpl']['number_of_month'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_number_of_month}</td>
    <td class="entry" align="right" nowrap width="187">{select_number}</td>
</tr>
';
$_NL['tpl']['number_of_entries'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_number_of_entries}</td>
    <td class="entry" align="right" nowrap width="187">{select_number}</td>
</tr>
';

$_NL['tpl']['language'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_language}</td>
    <td class="entry" align="right" nowrap width="187">{select_language}</td>
</tr>
';


$_NL['tpl']['skin'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_skin}</td>
    <td class="entry" align="right" nowrap width="187">{select_skin}</td>
</tr>
';

$_NL['tpl']['wysiwyg'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="5" class="entry" nowrap>{lng_wysiwyg}</td>
    <td class="entry" align="right" nowrap width="187">{select_wysiwyg}</td>
</tr>
';
$_NL['tpl']['new_newsletters_online'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_new_newsletters_online}</td>
    <td class="entry" align="right" nowrap width="187">{select_new_newsletters_online}</td>
</tr>
';
$_NL['tpl']['new_newsletters_lang_copy'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_new_newsletters_lang_copy}</td>
    <td class="entry" align="right" nowrap width="187">{select_new_newsletters_lang_copy}</td>
</tr>
';
$_NL['tpl']['del_all_lang_copies'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td class="entry" nowrap>{lng_del_all_lang_copies}</td>
    <td class="entry" align="right" nowrap width="187">{select_del_all_lang_copies}</td>
</tr>
';

$_NL['tpl']['buttons'] = '
<tr>
    <td colspan="2" align="right" id="buttons_settings" style="visibility:hidden">
			<input type="checkbox" id="settings_global" name="settings_global" value="true"/>&nbsp;<label for="settings_global">f&uuml;r alle Sprachen</label>&nbsp;
			<input name="sf_safe" value="{lng_save}" class="sf_buttonAction" onclick="CheckSettingsForm(document.getElementById(\'settingsform\'));" onmouseover="this.className=\'sf_buttonActionOver\'" onmouseout="this.className=\'sf_buttonAction\'" type="button">
			<input name="sf_cancel" value="{lng_cancel}" class="sf_buttonAction" onclick="window.location=\'{back}\'" onmouseover="this.className=\'sf_buttonActionCancelOver\'" onmouseout="this.className=\'sf_buttonAction\'" type="button">
    </td>
</tr>
';


$_NL['tpl']['on_off_switches'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
	  <td class="entry" nowrap width="20"><input type="text" id="{element}" maxlength="3" name="settings[{element}]" value="{sortindex}" style="font-size:1em;width:25px;text-align:right;"></td>
    <td class="entry" nowrap>{lng_descr}</td>
    <td class="entry" nowrap align="right">{add_option2}</td>
    <td class="entry" nowrap align="right">{add_option1}</td>

    <td class="entry" align="right" nowrap width="187">{select_element}</td>
    <td class="entry" align="right" nowrap" width="20" >{select_element_validation}</td>
</tr>
';

for ($i=1;$i<11;$i++)
	$_NL['tpl']['custom'.$i.'_label'] = '
	<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
	    <td class="entry" nowrap width="20"><input type="text" id="custom'.$i.'_sortindex" maxlength="3" name="settings[newsletter_custom'.$i.'_sortindex]" value="{custom'.$i.'_sortindex}" style="font-size:1em;width:25px;text-align:right;"></td>
	    <td class="entry" nowrap>{lng_custom'.$i.'_label}</td>
	    <td class="entry" nowrap width="220">{custom'.$i.'_select_type}</td>
	    <td class="entry" nowrap width="180">{lng_custom_label}</td>
	    <td class="entry" nowrap width="187" align="right"><input type="text" id="custom'.$i.'_label" name="settings[newsletter_custom'.$i.'_label]" value="{custom'.$i.'_label}" style="font-size:1em;width:165px;"></td>
	    <td class="entry" nowrap width="20" align="right">{custom'.$i.'_validation}</td>
	</tr>
	<tr id="custom'.$i.'_select_values_row"  style="{custom'.$i.'_select_type_show_values_row};" onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
	    <td class="entry" colspan="3" nowrap width="20"></td>
	    <td class="entry" nowrap width="180">{lng_custom_values}</td>
	    <td class="entry" nowrap width="187"><textarea id="custom'.$i.'_select_values" name="settings[newsletter_custom'.$i.'_select_values]" style="font-size:1em;width:182px;height:122px;margin-top:3px;">{custom'.$i.'_select_values}</textarea></td>
	    <td class="entry" nowrap width="20" ></td>
	</tr>
	';
	

$_NL['tpl']['picture_select_folders'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="4" class="entry" nowrap>{lng_picture_select_folders}
    												<input type="hidden" id="picture_select_folders" name="settings[newsletter_picture_select_folders]" value="{picture_select_folders}"></td>
    <td colspan="2" class="entry" align="right" nowrap width="187">{select_picture_select_folders}</td>
</tr>
';	
$_NL['tpl']['picture_select_subfolders'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="4" class="entry" nowrap>{lng_picture_select_subfolders}</td>
    <td colspan="2" class="entry" align="right" nowrap width="187">{select_picture_select_subfolders}</td>
</tr>
';	

$_NL['tpl']['file_select_folders'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="4" class="entry" nowrap>{lng_file_select_folders}
    												<input type="hidden" id="file_select_folders" name="settings[newsletter_file_select_folders]" value="{file_select_folders}"></td>
    <td colspan="2" class="entry" align="right" nowrap width="187">{select_file_select_folders}</td>
</tr>
';		

$_NL['tpl']['file_select_subfolders'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="4" class="entry" nowrap>{lng_file_select_subfolders}</td>
    <td colspan="2" class="entry" align="right" nowrap width="187">{select_file_select_subfolders}</td>
</tr>
';	

$_NL['tpl']['file_select_filetypes'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="4" class="entry" nowrap>{lng_file_select_filetypes}
    												<input type="hidden" id="file_select_filetypes" name="settings[newsletter_file_select_filetypes]" value="{file_select_filetypes}"></td>
    <td colspan="2" class="entry" align="right" nowrap width="187">{select_file_select_filetypes}</td>
</tr>
';	
$_NL['tpl']['buttons_newslettersettings'] = '
<tr>
    <td colspan="6" align="right" id="buttons_newslettersettings">
			<input type="checkbox" id="settings_global" name="settings_global" value="true" style="{multilang_chk_hide}"/>&nbsp;<label for="settings_global" style="{multilang_chk_hide}">{lng_settings_foralllanguages}</label>&nbsp;
			<input name="sf_safe" value="{lng_save}" class="sf_buttonAction" onclick="CheckSettingsForm(document.getElementById(\'newslettersettingsform\'));" onmouseover="this.className=\'sf_buttonActionOver\'" onmouseout="this.className=\'sf_buttonAction\'" type="button">
    </td>
</tr>
';


$_NL['tpl']['uni_select'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="5" class="entry" >{lng_uni}</td>
    <td class="entry" align="right" nowrap >{select_uni}</td>
</tr>
';
$_NL['tpl']['uni_select_multiple'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="5" class="entry" >{lng_uni_select_multiple}
    												<input type="hidden" id="{select_uni_multiple_nameid}" name="settings[{select_uni_multiple_nameid}]" value="{uni_select_multiple}"></td>
    <td class="entry" align="right" nowrap >{select_uni_select_multiple}</td>
</tr>
';	

$_NL['tpl']['uni_input'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="5" class="entry" >{lng_uni}</td>
    <td class="entry" align="right" nowrap><input type="text" id="{uni_input_name}" name="settings[{uni_input_name}]" value="{uni_input_value}" style="text-align:right;font-family:verdana;width:122px;"></td>
</tr>
';
$_NL['tpl']['uni_input_long'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="2" class="entry" >{lng_uni}</td>
    <td colspan="4" class="entry" align="right" nowrap><input type="text" id="{uni_input_name}" name="settings[{uni_input_name}]" value="{uni_input_value}" style="text-align:right;font-family:verdana;width:730px;"></td>
</tr>
';
$_NL['tpl']['uni_input_pass'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="5" class="entry" >{lng_uni}</td>
    <td class="entry" align="right" nowrap><input type="text" id="{uni_input_name}" type="name="settings[{uni_input_name}]" value="{uni_input_value}" style="text-align:right;font-family:verdana;width:178px;"></td>
</tr>
';
$_NL['tpl']['uni_area'] = '
<tr onMouseOver="this.style[\'background\']=\'#FFF7CE\';" onMouseOut="this.style[\'background\']=\'#ffffff\';" bgcolor="#ffffff">
    <td colspan="2" class="entry" >{lng_uni}</td>
    <td colspan="4" class="entry" align="right" nowrap><textarea id="{uni_input_name}" name="settings[{uni_input_name}]" style="font-size:1em;width:730px;height:256px;margin-top:3px;">{uni_input_value}</textarea></td>
</tr>
';


?>
